from __future__ import annotations
import clr
import os
from typing import Any

clr.AddReference(f'{os.getenv("ICADDIR")}\\bin\\sxnet.dll')
clr.AddReference('System')
import sxnet
import System


class SxAsmPlane:
    ASMPLANE_TOP: int = sxnet.SxAsmPlane.ASMPLANE_TOP
    ASMPLANE_FRONT: int = sxnet.SxAsmPlane.ASMPLANE_FRONT
    ASMPLANE_RIGHT: int = sxnet.SxAsmPlane.ASMPLANE_RIGHT
    STATUS_VISIBLE: int = sxnet.SxAsmPlane.STATUS_VISIBLE
    STATUS_INVISIBLE: int = sxnet.SxAsmPlane.STATUS_INVISIBLE
    STATUS_NOTEXIST: int = sxnet.SxAsmPlane.STATUS_NOTEXIST
    def close(self) -> None: return sxnet.SxAsmPlane.close()
    def create(self, vs: SxVS) -> SxAsmPlane: return sxnet.SxAsmPlane.create(vs)
    def create1(self, org: SxPos, zvec: SxVec, xvec: SxVec) -> SxAsmPlane: return sxnet.SxAsmPlane.create(org, zvec, xvec)
    def delete(self) -> None: return sxnet.SxAsmPlane.delete()
    def fixInput(self, mode: bool) -> None: return sxnet.SxAsmPlane.fixInput(mode)
    def getActive(self) -> SxAsmPlane: return sxnet.SxAsmPlane.getActive()
    def getAsmPlaneList(self, all: bool) -> list[SxAsmPlane]: return sxnet.SxAsmPlane.getAsmPlaneList(all)
    def getInf(self) -> SxInfAsmPlane: return sxnet.SxAsmPlane.getInf()
    def getInfList(self, plane_list: list[SxAsmPlane]) -> list[SxInfAsmPlane]: return sxnet.SxAsmPlane.getInfList(plane_list)
    def getModel(self) -> SxModel: return sxnet.SxAsmPlane.getModel()
    def getSegList(self, offset: int, num: int, visi: bool, part: bool, layer: bool, type: bool) -> list[SxEntSeg]: return sxnet.SxAsmPlane.getSegList(offset, num, visi, part, layer, type)
    def getStatus(self, window: SxWindow) -> int: return sxnet.SxAsmPlane.getStatus(window)
    def getStatus1(self, plane_list: list[SxAsmPlane], window: SxWindow) -> list[int]: return sxnet.SxAsmPlane.getStatus(plane_list, window)
    def getVS(self) -> SxVS: return sxnet.SxAsmPlane.getVS()
    def getWF(self) -> SxWF: return sxnet.SxAsmPlane.getWF()
    def getWindow(self) -> SxWindow: return sxnet.SxAsmPlane.getWindow()
    def getWindow1(self, plane_list: list[SxAsmPlane]) -> list[SxWindow]: return sxnet.SxAsmPlane.getWindow(plane_list)
    def isEqual(self, plane: SxAsmPlane) -> bool: return sxnet.SxAsmPlane.isEqual(plane)
    def isValid(self) -> bool: return sxnet.SxAsmPlane.isValid()
    def offset(self, pos: SxPos) -> None: return sxnet.SxAsmPlane.offset(pos)
    def offset1(self, offset: float) -> None: return sxnet.SxAsmPlane.offset(offset)
    def reset(self) -> None: return sxnet.SxAsmPlane.reset()
    def reset1(self, plane_list: list[SxAsmPlane]) -> None: return sxnet.SxAsmPlane.reset(plane_list)
    def setActive(self, window: SxWindow) -> None: return sxnet.SxAsmPlane.setActive(window)
    def setCoord(self, org: SxPos, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxAsmPlane.setCoord(org, zvec, xvec)
    def setCoord1(self, parmlist: list[SxParmAsmCoord]) -> None: return sxnet.SxAsmPlane.setCoord(parmlist)
    def setInitialState(self) -> None: return sxnet.SxAsmPlane.setInitialState()
    def setInitialState1(self, plane_list: list[SxAsmPlane]) -> None: return sxnet.SxAsmPlane.setInitialState(plane_list)
    def update(self) -> None: return sxnet.SxAsmPlane.update()


class SxBox:
    min: SxPos
    max: SxPos


class SxCoord:
    coord: SxPos
    is_arc: bool
    angle: float


class SxCoordSys:
    org: SxPos
    xvec: SxVec
    yvec: SxVec
    zvec: SxVec
    def conv(self, pos: SxPos, _global: bool) -> SxPos: return sxnet.SxCoordSys.conv(pos, _global)
    def conv1(self, vec: SxVec, _global: bool) -> SxVec: return sxnet.SxCoordSys.conv(vec, _global)


class SxDimLineAtr:
    line_color: int
    line_width: int
    text_color: int
    text_width: int
    rouway: int
    round: int
    suppress: bool
    multiple: float
    angtype: int
    dispang: int
    tiltang: int
    arrow1_type: int
    arrow2_type: int
    aidline1: int
    aidline2: int
    term1_mark: int
    term2_mark: int
    dot: bool
    dimval_height: float
    dimval_width_ratio: float
    space_ratio: float
    dimtol_ratio: float
    aidline_tilt: float
    arrow_width: float
    arrow_ang: float
    dot_diam: float
    dimval_scale: float
    dimval_space: float
    underline1_len: float
    underline2_len: float
    ATRDIM_ROUND_UP: int = sxnet.SxDimLineAtr.ATRDIM_ROUND_UP
    ATRDIM_ROUND_DOWN: int = sxnet.SxDimLineAtr.ATRDIM_ROUND_DOWN
    ATRDIM_ROUND_OF: int = sxnet.SxDimLineAtr.ATRDIM_ROUND_OF
    ATRDIM_DEGREE: int = sxnet.SxDimLineAtr.ATRDIM_DEGREE
    ATRDIM_MINUTE: int = sxnet.SxDimLineAtr.ATRDIM_MINUTE
    ATRDIM_SECOND: int = sxnet.SxDimLineAtr.ATRDIM_SECOND
    ATRDIM_ALONG: int = sxnet.SxDimLineAtr.ATRDIM_ALONG
    ATRDIM_HORIZON: int = sxnet.SxDimLineAtr.ATRDIM_HORIZON
    ATRDIM_ARROW_NONE: int = sxnet.SxDimLineAtr.ATRDIM_ARROW_NONE
    ATRDIM_ARROW_ONE: int = sxnet.SxDimLineAtr.ATRDIM_ARROW_ONE
    ATRDIM_ARROW_BOTH: int = sxnet.SxDimLineAtr.ATRDIM_ARROW_BOTH
    ATRDIM_ARROW_DOT: int = sxnet.SxDimLineAtr.ATRDIM_ARROW_DOT
    ATRDIM_TERM_MARK_NONE: int = sxnet.SxDimLineAtr.ATRDIM_TERM_MARK_NONE
    ATRDIM_TERM_MARK_DISP: int = sxnet.SxDimLineAtr.ATRDIM_TERM_MARK_DISP
    ATRDIM_TERM_MARK_HIDE: int = sxnet.SxDimLineAtr.ATRDIM_TERM_MARK_HIDE
    ATRDIM_AIDLINE_NONE: int = sxnet.SxDimLineAtr.ATRDIM_AIDLINE_NONE
    ATRDIM_AIDLINE_DISP: int = sxnet.SxDimLineAtr.ATRDIM_AIDLINE_DISP
    ATRDIM_AIDLINE_HIDE: int = sxnet.SxDimLineAtr.ATRDIM_AIDLINE_HIDE
    ATRDIM_DIMTOL_POS_TOP: int = sxnet.SxDimLineAtr.ATRDIM_DIMTOL_POS_TOP
    ATRDIM_DIMTOL_POS_CENTER: int = sxnet.SxDimLineAtr.ATRDIM_DIMTOL_POS_CENTER
    ATRDIM_DIMTOL_POS_BOTTOM: int = sxnet.SxDimLineAtr.ATRDIM_DIMTOL_POS_BOTTOM


class SxDimValueAtr:
    disp: bool
    mark1: bool
    mark2: int
    mark3: int
    fwordexist: bool
    bwordexist: bool
    dwordexist: bool
    tolexist: int
    frame: bool
    underline: bool
    correctline: bool
    val_refer: bool
    tol_refer: bool
    dimval_type: bool
    dist1: float
    dist2: float
    frontword: str
    backword: str
    downword: str
    upper_tolword: str
    down_tolword: str
    valword: str
    hmword: str
    opt_word: str
    str_num: str
    ATRDIM_MARK_NONE: int = sxnet.SxDimValueAtr.ATRDIM_MARK_NONE
    ATRDIM_MARK2_SMK: int = sxnet.SxDimValueAtr.ATRDIM_MARK2_SMK
    ATRDIM_MARK2_QMK: int = sxnet.SxDimValueAtr.ATRDIM_MARK2_QMK
    ATRDIM_MARK3_FAIMK: int = sxnet.SxDimValueAtr.ATRDIM_MARK3_FAIMK
    ATRDIM_MARK3_SQMK: int = sxnet.SxDimValueAtr.ATRDIM_MARK3_SQMK
    ATRDIM_MARK3_RMK: int = sxnet.SxDimValueAtr.ATRDIM_MARK3_RMK
    ATRDIM_MARK3_CMK: int = sxnet.SxDimValueAtr.ATRDIM_MARK3_CMK
    ATRDIM_MARK3_TMK: int = sxnet.SxDimValueAtr.ATRDIM_MARK3_TMK
    ATRDIM_MARK3_MMK: int = sxnet.SxDimValueAtr.ATRDIM_MARK3_MMK
    ATRDIM_MARK3_ARCMK: int = sxnet.SxDimValueAtr.ATRDIM_MARK3_ARCMK
    ATRDIM_MARK3_CRMK: int = sxnet.SxDimValueAtr.ATRDIM_MARK3_CRMK
    ATRDIM_MARK3_OPT: int = sxnet.SxDimValueAtr.ATRDIM_MARK3_OPT
    ATRDIM_TOL_NONE: int = sxnet.SxDimValueAtr.ATRDIM_TOL_NONE
    ATRDIM_TOL_ONE: int = sxnet.SxDimValueAtr.ATRDIM_TOL_ONE
    ATRDIM_TOL_TWO: int = sxnet.SxDimValueAtr.ATRDIM_TOL_TWO


class SxDraftAtr:
    general: SxDraftAtrGeneral
    word: SxDraftAtrWord
    notation: SxDraftAtrNotation
    smark: SxDraftAtrSmark
    balloon: SxDraftAtrBalloon
    weld: SxDraftAtrWeld
    geotol: SxDraftAtrGeoTol
    dimform: SxDraftAtrDimForm
    appdim: SxDraftAtrAppDim


class SxDraftAtrAppDim:
    arrow_word: SxDraftAtrText
    cutline_word: SxDraftAtrText
    finish_mark_len: float
    delta_len: float


class SxDraftAtrBalloon:
    diameter: float
    auto_size: bool
    dim_word: SxDraftAtrText


class SxDraftAtrDimForm:
    dimval_space: float
    note_underline_len: float
    underline1_len: float
    underline2_len: float
    step_space: float
    prog_diameter: float
    prog_space: float
    prog_bend_width: float
    note_space: float


class SxDraftAtrGeneral:
    color: int
    width: int
    aidline_extlen: float
    aidline_space: float
    aidline_tilt: float
    arrow_type: int
    arrow_width: float
    arrow_ang: float
    dot_diam: float


class SxDraftAtrGeoTol:
    dim_word: SxDraftAtrText
    frame_ratio: float
    datum_fill: bool
    datum_ratio: float


class SxDraftAtrNotation:
    rouway: int
    round: int
    suppress: bool
    multiple: float
    dimtol1_ratio: float
    dimtol2_ratio: float
    dimtol2_space: float
    dimtol_pos: int
    angtype: int
    dispang: int
    dispang_angdim: int
    dimval_scale: float


class SxDraftAtrSmark:
    dim_word: SxDraftAtrText


class SxDraftAtrText:
    font: bool
    font_name: str
    height: float
    width_ratio: float
    tilt: int
    space_ratio: float
    row_space: float
    color: int
    width: int


class SxDraftAtrWeld:
    dim_word: SxDraftAtrText
    route_ratio: float
    ang_ratio: float
    form_cir_ratio: float
    form_site_ratio: float
    form_base_ratio: float
    form_baseline_head_ratio: float
    form_baseline_tail_ratio: float
    form_tail_ratio: float


class SxDraftAtrWord:
    dim_word: SxDraftAtrText
    dim_word1: SxDraftAtrText
    dim_word2: SxDraftAtrText
    dim_word3: SxDraftAtrText


class SxEdge:
    def eval(self, pnt: SxPos) -> SxVec: return sxnet.SxEdge.eval(pnt)
    def getEndPoints(self) -> list[SxPos]: return sxnet.SxEdge.getEndPoints()
    def getEntSeg(self) -> SxEntSeg: return sxnet.SxEdge.getEntSeg()
    def getFaceList(self) -> list[SxFace]: return sxnet.SxEdge.getFaceList()
    def getFaceList1(self, edgelist: list[SxEdge]) -> list[SxFace]: return sxnet.SxEdge.getFaceList(edgelist)
    def getGeom(self) -> SxGeom: return sxnet.SxEdge.getGeom()
    def getGeomList(self, edgelist: list[SxEdge]) -> list[SxGeom]: return sxnet.SxEdge.getGeomList(edgelist)
    def getMass(self) -> SxInfMass: return sxnet.SxEdge.getMass()
    def getMassList(self, edgelist: list[SxEdge]) -> list[SxInfMass]: return sxnet.SxEdge.getMassList(edgelist)
    def getMiddlePoint(self) -> SxPos: return sxnet.SxEdge.getMiddlePoint()
    def getOnPoint(self, pnt: SxPos, real: bool) -> SxPos: return sxnet.SxEdge.getOnPoint(pnt, real)
    def isEqual(self, edge: SxEdge) -> bool: return sxnet.SxEdge.isEqual(edge)
    def isValid(self) -> bool: return sxnet.SxEdge.isValid()


class SxEnt:
    SHADE_WIRE: int = sxnet.SxEnt.SHADE_WIRE
    SHADE_CG: int = sxnet.SxEnt.SHADE_CG
    SHADE_TRANSPARENT: int = sxnet.SxEnt.SHADE_TRANSPARENT
    Type: int
    Is3d: bool
    ID: int
    def checkCollision(self, tol: float, cg: bool) -> list[SxEntSeg]: return sxnet.SxEnt.checkCollision(tol, cg)
    def checkCollision1(self, entlist: list[SxEnt], tol: float, attr: bool, cg: bool) -> list[SxEntSeg]: return sxnet.SxEnt.checkCollision(entlist, tol, attr, cg)
    def checkCollision2(self, tol: float, cg: bool) -> bool: return sxnet.SxEnt.checkCollision2(tol, cg)
    def checkCollisions(self, entlist: list[SxEnt], tol: float, attr: bool, cg: bool) -> list[SxEntSeg]: return sxnet.SxEnt.checkCollisions(entlist, tol, attr, cg)
    def checkCollisions1(self, entlist1: list[SxEnt], entlist2: list[SxEnt], tol: float, attr: bool, cg: bool) -> list[SxEntSeg]: return sxnet.SxEnt.checkCollisions(entlist1, entlist2, tol, attr, cg)
    def checkCollisions2(self, entlist1: list[SxEnt], entlist2: list[SxEnt], tol: float, attr: bool, cg: bool, qcheck: bool) -> list[SxEntSeg]: return sxnet.SxEnt.checkCollisions(entlist1, entlist2, tol, attr, cg, qcheck)
    def checkCollisions21(self, entlist: list[SxEnt], tol: float, cg: bool, check_all: bool) -> list[SxInfCollision]: return sxnet.SxEnt.checkCollisions2(entlist, tol, cg, check_all)
    def checkCollisions3(self, entlist: list[SxEnt], tol: float, cg: bool) -> list[SxEntSeg]: return sxnet.SxEnt.checkCollisions(entlist, tol, cg)
    def copy(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copy(vec, attr, layer, group, part)
    def copy1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy(vec, attr, layer, group)
    def copy10(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copy(entlist, pnt, vec, zvec, xvec, attr, layer, group, part)
    def copy11(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy(entlist, pnt, vec, zvec, xvec, attr, layer, group)
    def copy12(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copy13(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copy14(self, entlist: list[SxEnt], wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy(entlist, wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copy15(self, entlist: list[SxEnt], wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy(entlist, wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copy16(self, wf: SxWF, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy(wf, pnt, vec, zvec, xvec, attr, layer, group)
    def copy17(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy(wf, pnt, pnt2, zvec, xvec, attr, layer, group)
    def copy18(self, entlist: list[SxEnt], wf: SxWF, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy(entlist, wf, pnt, vec, zvec, xvec, attr, layer, group)
    def copy19(self, entlist: list[SxEnt], wf: SxWF, pnt: SxPos, pnt2: SxPos, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy(entlist, wf, pnt, pnt2, zvec, xvec, attr, layer, group)
    def copy2(self, entlist: list[SxEnt], vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copy(entlist, vec, attr, layer, group, part)
    def copy2D(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copy2D(vec, attr, layer, group, part)
    def copy2D1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy2D(vec, attr, layer, group)
    def copy2D2(self, entlist: list[SxEnt], vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copy2D(entlist, vec, attr, layer, group, part)
    def copy2D3(self, entlist: list[SxEnt], vec: SxVec, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy2D(entlist, vec, attr, layer, group)
    def copy2D4(self, vs: SxVS, pos: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy2D(vs, pos, vec, attr, layer, group)
    def copy2D5(self, vs: SxVS, pos: SxPos, pos2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy2D(vs, pos, pos2, attr, layer, group)
    def copy2D6(self, entlist: list[SxEnt], vs: SxVS, pos: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy2D(entlist, vs, pos, vec, attr, layer, group)
    def copy2D7(self, entlist: list[SxEnt], vs: SxVS, pos: SxPos, pos2: SxPos, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy2D(entlist, vs, pos, pos2, attr, layer, group)
    def copy2DMirror(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copy2DMirror(pnt1, pnt2, attr, layer, group, part)
    def copy2DMirror1(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy2DMirror(pnt1, pnt2, attr, layer, group)
    def copy2DMirror2(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copy2DMirror(pnt, vec, attr, layer, group, part)
    def copy2DMirror3(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy2DMirror(pnt, vec, attr, layer, group)
    def copy2DMirror4(self, entlist: list[SxEnt], pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copy2DMirror(entlist, pnt1, pnt2, attr, layer, group, part)
    def copy2DMirror5(self, entlist: list[SxEnt], pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy2DMirror(entlist, pnt1, pnt2, attr, layer, group)
    def copy2DMirror6(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copy2DMirror(entlist, pnt, vec, attr, layer, group, part)
    def copy2DMirror7(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy2DMirror(entlist, pnt, vec, attr, layer, group)
    def copy2DRotate(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copy2DRotate(pos, ang, attr, layer, group, part)
    def copy2DRotate1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy2DRotate(pos, ang, attr, layer, group)
    def copy2DRotate2(self, entlist: list[SxEnt], pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copy2DRotate(entlist, pos, ang, attr, layer, group, part)
    def copy2DRotate3(self, entlist: list[SxEnt], pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy2DRotate(entlist, pos, ang, attr, layer, group)
    def copy2DRotateRad(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copy2DRotateRad(pos, ang, attr, layer, group, part)
    def copy2DRotateRad1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy2DRotateRad(pos, ang, attr, layer, group)
    def copy2DRotateRad2(self, entlist: list[SxEnt], pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copy2DRotateRad(entlist, pos, ang, attr, layer, group, part)
    def copy2DRotateRad3(self, entlist: list[SxEnt], pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy2DRotateRad(entlist, pos, ang, attr, layer, group)
    def copy2DScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEnt.copy2DScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def copy2DScale1(self, entlist: list[SxEnt], pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> None: return sxnet.SxEnt.copy2DScale(entlist, pnt, scale, attr, layer, group, dim_val, text_size)
    def copy3(self, entlist: list[SxEnt], vec: SxVec, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy(entlist, vec, attr, layer, group)
    def copy4(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copy(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copy5(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy(pnt, vec, angx, angy, angz, attr, layer, group)
    def copy6(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copy(entlist, pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copy7(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copy(entlist, pnt, vec, angx, angy, angz, attr, layer, group)
    def copy8(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copy(pnt, vec, zvec, xvec, attr, layer, group, part)
    def copy9(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copy(pnt, vec, zvec, xvec, attr, layer, group)
    def copyMirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group, part)
    def copyMirror1(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group)
    def copyMirror10(self, entlist: list[SxEnt], face: SxFace, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copyMirror(entlist, face, attr, layer, group, part)
    def copyMirror11(self, entlist: list[SxEnt], face: SxFace, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copyMirror(entlist, face, attr, layer, group)
    def copyMirror2(self, entlist: list[SxEnt], plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copyMirror(entlist, plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group, part)
    def copyMirror3(self, entlist: list[SxEnt], plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copyMirror(entlist, plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group)
    def copyMirror4(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copyMirror(pnt, vec, attr, layer, group, part)
    def copyMirror5(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copyMirror(pnt, vec, attr, layer, group)
    def copyMirror6(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copyMirror(entlist, pnt, vec, attr, layer, group, part)
    def copyMirror7(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copyMirror(entlist, pnt, vec, attr, layer, group)
    def copyMirror8(self, face: SxFace, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copyMirror(face, attr, layer, group, part)
    def copyMirror9(self, face: SxFace, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copyMirror(face, attr, layer, group)
    def copyRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copyRad(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copyRad1(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copyRad(pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad2(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copyRad(entlist, pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copyRad3(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copyRad(entlist, pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad4(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copyRad(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad5(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copyRad(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copyRad6(self, entlist: list[SxEnt], wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copyRad(entlist, wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad7(self, entlist: list[SxEnt], wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copyRad(entlist, wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copyRotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotate1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyRotate2(self, entlist: list[SxEnt], axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copyRotate(entlist, axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotate3(self, entlist: list[SxEnt], axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copyRotate(entlist, axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyRotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotateRad1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEnt.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyRotateRad2(self, entlist: list[SxEnt], axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> None: return sxnet.SxEnt.copyRotateRad(entlist, axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotateRad3(self, entlist: list[SxEnt], axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> None: return sxnet.SxEnt.copyRotateRad(entlist, axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool, part: bool) -> SxEnt: return sxnet.SxEnt.copyScale(pnt, scale, attr, layer, group, dim_val, text_size, part)
    def copyScale1(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEnt.copyScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def copyScale2(self, entlist: list[SxEnt], pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool, part: bool) -> None: return sxnet.SxEnt.copyScale(entlist, pnt, scale, attr, layer, group, dim_val, text_size, part)
    def copyScale3(self, entlist: list[SxEnt], pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> None: return sxnet.SxEnt.copyScale(entlist, pnt, scale, attr, layer, group, dim_val, text_size)
    def delete(self) -> None: return sxnet.SxEnt.delete()
    def delete1(self, entlist: list[SxEnt]) -> None: return sxnet.SxEnt.delete(entlist)
    def deleteMkup(self) -> None: return sxnet.SxEnt.deleteMkup()
    def deleteMkup1(self, entlist: list[SxEnt]) -> None: return sxnet.SxEnt.deleteMkup(entlist)
    def echo(self, entlist: list[SxEnt]) -> None: return sxnet.SxEnt.echo(entlist)
    def echo1(self) -> None: return sxnet.SxEnt.echo()
    def erase(self) -> None: return sxnet.SxEnt.erase()
    def erase1(self, entlist: list[SxEnt]) -> None: return sxnet.SxEnt.erase(entlist)
    def getEntGrpList(self, elist: list[SxEnt]) -> list[SxEntGrp]: return sxnet.SxEnt.getEntGrpList(elist)
    def getEntPartList(self, elist: list[SxEnt]) -> list[SxEntPart]: return sxnet.SxEnt.getEntPartList(elist)
    def getEntRPartList(self, elist: list[SxEnt]) -> list[SxEntRPart]: return sxnet.SxEnt.getEntRPartList(elist)
    def getEntReferList(self, elist: list[SxEnt]) -> list[SxEntRefer]: return sxnet.SxEnt.getEntReferList(elist)
    def getEntSegList(self, elist: list[SxEnt]) -> list[SxEntSeg]: return sxnet.SxEnt.getEntSegList(elist)
    def getExtent(self) -> SxBox: return sxnet.SxEnt.getExtent()
    def getExtentList(self, entlist: list[SxEnt], merge: bool) -> list[SxBox]: return sxnet.SxEnt.getExtentList(entlist, merge)
    def getGrpList(self) -> list[SxEntGrp]: return sxnet.SxEnt.getGrpList()
    def getInf(self) -> SxInfEnt: return sxnet.SxEnt.getInf()
    def getInfList(self, elist: list[SxEnt]) -> list[SxInfEnt]: return sxnet.SxEnt.getInfList(elist)
    def getInfMaterialList(self, entlist: list[SxEnt]) -> list[SxInfMaterial]: return sxnet.SxEnt.getInfMaterialList(entlist)
    def getMass(self, opt: SxOptMass, entlist: list[SxEnt]) -> SxInfMass: return sxnet.SxEnt.getMass(opt, entlist)
    def getMass1(self, opt: SxOptMass) -> SxInfMass: return sxnet.SxEnt.getMass(opt)
    def getMassList(self, opt: SxOptMass, entlist: list[SxEnt]) -> list[SxInfMass]: return sxnet.SxEnt.getMassList(opt, entlist)
    def getModel(self) -> SxModel: return sxnet.SxEnt.getModel()
    def getPart(self) -> SxEntPart: return sxnet.SxEnt.getPart()
    def getRPart(self) -> SxEntRPart: return sxnet.SxEnt.getRPart()
    def getVS(self) -> SxVS: return sxnet.SxEnt.getVS()
    def getWF(self) -> SxWF: return sxnet.SxEnt.getWF()
    def getWindow(self) -> SxWindow: return sxnet.SxEnt.getWindow()
    def get_ID(self) -> int: return sxnet.SxEnt.get_ID()
    def get_Is3d(self) -> bool: return sxnet.SxEnt.get_Is3d()
    def get_Type(self) -> int: return sxnet.SxEnt.get_Type()
    def isEqual(self, ent: SxEnt) -> bool: return sxnet.SxEnt.isEqual(ent)
    def isValid(self, ent_list: list[SxEnt]) -> list[SxEnt]: return sxnet.SxEnt.isValid(ent_list)
    def isValid1(self) -> bool: return sxnet.SxEnt.isValid()
    def mirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos) -> None: return sxnet.SxEnt.mirror(plane_pnt1, plane_pnt2, plane_pnt3)
    def mirror1(self, entlist: list[SxEnt], plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos) -> None: return sxnet.SxEnt.mirror(entlist, plane_pnt1, plane_pnt2, plane_pnt3)
    def mirror2(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEnt.mirror(pnt, vec)
    def mirror2D(self, pnt1: SxPos, pnt2: SxPos) -> None: return sxnet.SxEnt.mirror2D(pnt1, pnt2)
    def mirror2D1(self, entlist: list[SxEnt], pnt1: SxPos, pnt2: SxPos) -> None: return sxnet.SxEnt.mirror2D(entlist, pnt1, pnt2)
    def mirror2D2(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEnt.mirror2D(pnt, vec)
    def mirror2D3(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEnt.mirror2D(entlist, pnt, vec)
    def mirror3(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEnt.mirror(entlist, pnt, vec)
    def mirror4(self, face: SxFace) -> None: return sxnet.SxEnt.mirror(face)
    def mirror5(self, entlist: list[SxEnt], face: SxFace) -> None: return sxnet.SxEnt.mirror(entlist, face)
    def move(self, vec: SxVec) -> None: return sxnet.SxEnt.move(vec)
    def move1(self, entlist: list[SxEnt], vec: SxVec) -> None: return sxnet.SxEnt.move(entlist, vec)
    def move2(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEnt.move(pnt, vec, angx, angy, angz)
    def move2D(self, entlist: list[SxEnt], vec: SxVec) -> None: return sxnet.SxEnt.move2D(entlist, vec)
    def move2D1(self, vec: SxVec) -> None: return sxnet.SxEnt.move2D(vec)
    def move3(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEnt.move(entlist, pnt, vec, angx, angy, angz)
    def move4(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxEnt.move(pnt, vec, zvec, xvec)
    def move5(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxEnt.move(entlist, pnt, vec, zvec, xvec)
    def move6(self, optlist: list[SxOptMove], update: bool) -> None: return sxnet.SxEnt.move(optlist, update)
    def moveRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEnt.moveRad(pnt, vec, angx, angy, angz)
    def moveRad1(self, entlist: list[SxEnt], pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEnt.moveRad(entlist, pnt, vec, angx, angy, angz)
    def rotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEnt.rotate(axis_pnt1, axis_pnt2, ang)
    def rotate1(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEnt.rotate(axis_pnt, axis_vec, ang)
    def rotate2(self, entlist: list[SxEnt], axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEnt.rotate(entlist, axis_pnt1, axis_pnt2, ang)
    def rotate2D(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEnt.rotate2D(pnt, ang)
    def rotate2D1(self, entlist: list[SxEnt], pnt: SxPos, angle: float) -> None: return sxnet.SxEnt.rotate2D(entlist, pnt, angle)
    def rotate2DRad(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEnt.rotate2DRad(pnt, ang)
    def rotate2DRad1(self, entlist: list[SxEnt], pnt: SxPos, ang: float) -> None: return sxnet.SxEnt.rotate2DRad(entlist, pnt, ang)
    def rotate3(self, entlist: list[SxEnt], axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEnt.rotate(entlist, axis_pnt, axis_vec, ang)
    def rotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEnt.rotateRad(axis_pnt1, axis_pnt2, ang)
    def rotateRad1(self, entlist: list[SxEnt], axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEnt.rotateRad(entlist, axis_pnt1, axis_pnt2, ang)
    def rotateRad2(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEnt.rotateRad(axis_pnt, axis_vec, ang)
    def rotateRad3(self, entlist: list[SxEnt], axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEnt.rotateRad(entlist, axis_pnt, axis_vec, ang)
    def scale(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEnt.scale(pnt, scale, dim_val, text_size)
    def scale1(self, entlist: list[SxEnt], pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEnt.scale(entlist, pnt, scale, dim_val, text_size)
    def scale2D(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEnt.scale2D(pnt, scale, dim_val, text_size)
    def scale2D1(self, entlist: list[SxEnt], pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEnt.scale2D(entlist, pnt, scale, dim_val, text_size)
    def setActiveVSWF(self) -> SxWindow: return sxnet.SxEnt.setActiveVSWF()
    def setActiveVSWF1(self, new_window: bool) -> SxWindow: return sxnet.SxEnt.setActiveVSWF(new_window)
    def setColor(self, color: int) -> None: return sxnet.SxEnt.setColor(color)
    def setColor1(self, entlist: list[SxEnt], color: int) -> None: return sxnet.SxEnt.setColor(entlist, color)
    def setDimLineColor(self, color: int) -> None: return sxnet.SxEnt.setDimLineColor(color)
    def setDimLineColor1(self, entlist: list[SxEnt], color: int) -> None: return sxnet.SxEnt.setDimLineColor(entlist, color)
    def setDimLineWidth(self, width: int) -> None: return sxnet.SxEnt.setDimLineWidth(width)
    def setDimLineWidth1(self, entlist: list[SxEnt], width: int) -> None: return sxnet.SxEnt.setDimLineWidth(entlist, width)
    def setDimTextColor(self, color: int) -> None: return sxnet.SxEnt.setDimTextColor(color)
    def setDimTextColor1(self, entlist: list[SxEnt], color: int) -> None: return sxnet.SxEnt.setDimTextColor(entlist, color)
    def setDimTextWidth(self, width: int) -> None: return sxnet.SxEnt.setDimTextWidth(width)
    def setDimTextWidth1(self, entlist: list[SxEnt], width: int) -> None: return sxnet.SxEnt.setDimTextWidth(entlist, width)
    def setDraftLine(self, entlist: list[SxEnt], mode: bool) -> None: return sxnet.SxEnt.setDraftLine(entlist, mode)
    def setDraftLine1(self, mode: bool) -> None: return sxnet.SxEnt.setDraftLine(mode)
    def setInfMaterial(self, entlist: list[SxEnt], mat: SxInfMaterial) -> None: return sxnet.SxEnt.setInfMaterial(entlist, mat)
    def setInfMaterial2(self, entlist: list[SxEnt], matlist: list[SxInfMaterial]) -> None: return sxnet.SxEnt.setInfMaterial2(entlist, matlist)
    def setLayer(self, layer: int) -> None: return sxnet.SxEnt.setLayer(layer)
    def setLayer1(self, entlist: list[SxEnt], layer: int) -> None: return sxnet.SxEnt.setLayer(entlist, layer)
    def setLineStyle(self, style: int) -> None: return sxnet.SxEnt.setLineStyle(style)
    def setLineStyle1(self, entlist: list[SxEnt], style: int) -> None: return sxnet.SxEnt.setLineStyle(entlist, style)
    def setLineWidth(self, width: int) -> None: return sxnet.SxEnt.setLineWidth(width)
    def setLineWidth1(self, entlist: list[SxEnt], width: int) -> None: return sxnet.SxEnt.setLineWidth(entlist, width)
    def setShade(self, entlist: list[SxEnt], shade: bool, mode: int) -> None: return sxnet.SxEnt.setShade(entlist, shade, mode)
    def setShade1(self, entlist: list[SxEnt], shade: bool) -> None: return sxnet.SxEnt.setShade(entlist, shade)
    def setShade2(self, shade: bool, mode: int) -> None: return sxnet.SxEnt.setShade(shade, mode)
    def setShade3(self, shade: bool) -> None: return sxnet.SxEnt.setShade(shade)
    def setShade4(self, entlist: list[SxEnt], shade: int, mode: int) -> int: return sxnet.SxEnt.setShade(entlist, shade, mode)
    def setShade5(self, entlist: list[SxEnt], shade: int) -> int: return sxnet.SxEnt.setShade(entlist, shade)
    def setShade6(self, shade: int, mode: int) -> int: return sxnet.SxEnt.setShade(shade, mode)
    def setShade7(self, shade: int) -> int: return sxnet.SxEnt.setShade(shade)
    def setTranslucent(self, entlist: list[SxEnt], mode: bool) -> list[SxEnt]: return sxnet.SxEnt.setTranslucent(entlist, mode)
    def setTranslucent1(self, mode: bool) -> None: return sxnet.SxEnt.setTranslucent(mode)
    def setVisible(self, visible: bool) -> None: return sxnet.SxEnt.setVisible(visible)
    def setVisible1(self, entlist: list[SxEnt], visible: bool) -> None: return sxnet.SxEnt.setVisible(entlist, visible)


class SxEntGrp(SxEnt):
    Type: int
    Is3d: bool
    ID: int
    def add(self, entlist: list[SxEnt]) -> None: return sxnet.SxEntGrp.add(entlist)
    def add1(self) -> None: return sxnet.SxEntGrp.add()
    def checkCollision(self, tol: float, cg: bool) -> list[SxEntSeg]: return sxnet.SxEntGrp.checkCollision(tol, cg)
    def checkCollision1(self, entlist: list[SxEnt], tol: float, attr: bool, cg: bool) -> list[SxEntSeg]: return sxnet.SxEntGrp.checkCollision(entlist, tol, attr, cg)
    def checkCollision2(self, tol: float, cg: bool) -> bool: return sxnet.SxEntGrp.checkCollision2(tol, cg)
    def copy(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copy(vec, attr, layer, group, part)
    def copy1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy(vec, attr, layer, group)
    def copy2(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copy(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copy2D(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copy2D(vec, attr, layer, group, part)
    def copy2D1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy2D(vec, attr, layer, group)
    def copy2D2(self, vs: SxVS, pos: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy2D(vs, pos, vec, attr, layer, group)
    def copy2D3(self, vs: SxVS, pos: SxPos, pos2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy2D(vs, pos, pos2, attr, layer, group)
    def copy2DMirror(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copy2DMirror(pnt1, pnt2, attr, layer, group, part)
    def copy2DMirror1(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy2DMirror(pnt1, pnt2, attr, layer, group)
    def copy2DMirror2(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copy2DMirror(pnt, vec, attr, layer, group, part)
    def copy2DMirror3(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy2DMirror(pnt, vec, attr, layer, group)
    def copy2DRotate(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copy2DRotate(pos, ang, attr, layer, group, part)
    def copy2DRotate1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy2DRotate(pos, ang, attr, layer, group)
    def copy2DRotateRad(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copy2DRotateRad(pos, ang, attr, layer, group, part)
    def copy2DRotateRad1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy2DRotateRad(pos, ang, attr, layer, group)
    def copy2DScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEntGrp.copy2DScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def copy3(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy(pnt, vec, angx, angy, angz, attr, layer, group)
    def copy4(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copy(pnt, vec, zvec, xvec, attr, layer, group, part)
    def copy5(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy(pnt, vec, zvec, xvec, attr, layer, group)
    def copy6(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copy7(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copy8(self, wf: SxWF, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy(wf, pnt, vec, zvec, xvec, attr, layer, group)
    def copy9(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copy(wf, pnt, pnt2, zvec, xvec, attr, layer, group)
    def copyMirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group, part)
    def copyMirror1(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group)
    def copyMirror2(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copyMirror(pnt, vec, attr, layer, group, part)
    def copyMirror3(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copyMirror(pnt, vec, attr, layer, group)
    def copyMirror4(self, face: SxFace, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copyMirror(face, attr, layer, group, part)
    def copyMirror5(self, face: SxFace, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copyMirror(face, attr, layer, group)
    def copyRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copyRad(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copyRad1(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copyRad(pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad2(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copyRad(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad3(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copyRad(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copyRotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotate1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyRotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotateRad1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntGrp.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool, part: bool) -> SxEnt: return sxnet.SxEntGrp.copyScale(pnt, scale, attr, layer, group, dim_val, text_size, part)
    def copyScale1(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEntGrp.copyScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def create(self, entlist: list[SxEnt], name: str, comment: str) -> SxEntGrp: return sxnet.SxEntGrp.create(entlist, name, comment)
    def create1(self, name: str, comment: str) -> SxEntGrp: return sxnet.SxEntGrp.create(name, comment)
    def delete(self) -> None: return sxnet.SxEntGrp.delete()
    def deleteMkup(self) -> None: return sxnet.SxEntGrp.deleteMkup()
    def echo(self) -> None: return sxnet.SxEntGrp.echo()
    def erase(self) -> None: return sxnet.SxEntGrp.erase()
    def exclude(self, entlist: list[SxEnt]) -> None: return sxnet.SxEntGrp.exclude(entlist)
    def exclude1(self) -> None: return sxnet.SxEntGrp.exclude()
    def free(self) -> None: return sxnet.SxEntGrp.free()
    def getEntList(self) -> list[SxEnt]: return sxnet.SxEntGrp.getEntList()
    def getExtent(self) -> SxBox: return sxnet.SxEntGrp.getExtent()
    def getGrpList(self) -> list[SxEntGrp]: return sxnet.SxEntGrp.getGrpList()
    def getInf(self) -> SxInfEnt: return sxnet.SxEntGrp.getInf()
    def getInfDetail(self) -> SxInfGrp: return sxnet.SxEntGrp.getInfDetail()
    def getMass(self, opt: SxOptMass) -> SxInfMass: return sxnet.SxEntGrp.getMass(opt)
    def getModel(self) -> SxModel: return sxnet.SxEntGrp.getModel()
    def getPart(self) -> SxEntPart: return sxnet.SxEntGrp.getPart()
    def getRPart(self) -> SxEntRPart: return sxnet.SxEntGrp.getRPart()
    def getVS(self) -> SxVS: return sxnet.SxEntGrp.getVS()
    def getWF(self) -> SxWF: return sxnet.SxEntGrp.getWF()
    def getWindow(self) -> SxWindow: return sxnet.SxEntGrp.getWindow()
    def get_ID(self) -> int: return sxnet.SxEntGrp.get_ID()
    def get_Is3d(self) -> bool: return sxnet.SxEntGrp.get_Is3d()
    def get_Type(self) -> int: return sxnet.SxEntGrp.get_Type()
    def isEqual(self, ent: SxEnt) -> bool: return sxnet.SxEntGrp.isEqual(ent)
    def isValid(self) -> bool: return sxnet.SxEntGrp.isValid()
    def mirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos) -> None: return sxnet.SxEntGrp.mirror(plane_pnt1, plane_pnt2, plane_pnt3)
    def mirror1(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEntGrp.mirror(pnt, vec)
    def mirror2(self, face: SxFace) -> None: return sxnet.SxEntGrp.mirror(face)
    def mirror2D(self, pnt1: SxPos, pnt2: SxPos) -> None: return sxnet.SxEntGrp.mirror2D(pnt1, pnt2)
    def mirror2D1(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEntGrp.mirror2D(pnt, vec)
    def move(self, vec: SxVec) -> None: return sxnet.SxEntGrp.move(vec)
    def move1(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEntGrp.move(pnt, vec, angx, angy, angz)
    def move2(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxEntGrp.move(pnt, vec, zvec, xvec)
    def move2D(self, vec: SxVec) -> None: return sxnet.SxEntGrp.move2D(vec)
    def moveRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEntGrp.moveRad(pnt, vec, angx, angy, angz)
    def rotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEntGrp.rotate(axis_pnt1, axis_pnt2, ang)
    def rotate1(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEntGrp.rotate(axis_pnt, axis_vec, ang)
    def rotate2D(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEntGrp.rotate2D(pnt, ang)
    def rotate2DRad(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEntGrp.rotate2DRad(pnt, ang)
    def rotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEntGrp.rotateRad(axis_pnt1, axis_pnt2, ang)
    def rotateRad1(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEntGrp.rotateRad(axis_pnt, axis_vec, ang)
    def scale(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEntGrp.scale(pnt, scale, dim_val, text_size)
    def scale2D(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEntGrp.scale2D(pnt, scale, dim_val, text_size)
    def setActiveVSWF(self) -> SxWindow: return sxnet.SxEntGrp.setActiveVSWF()
    def setActiveVSWF1(self, new_window: bool) -> SxWindow: return sxnet.SxEntGrp.setActiveVSWF(new_window)
    def setColor(self, color: int) -> None: return sxnet.SxEntGrp.setColor(color)
    def setDimLineColor(self, color: int) -> None: return sxnet.SxEntGrp.setDimLineColor(color)
    def setDimLineWidth(self, width: int) -> None: return sxnet.SxEntGrp.setDimLineWidth(width)
    def setDimTextColor(self, color: int) -> None: return sxnet.SxEntGrp.setDimTextColor(color)
    def setDimTextWidth(self, width: int) -> None: return sxnet.SxEntGrp.setDimTextWidth(width)
    def setDraftLine(self, mode: bool) -> None: return sxnet.SxEntGrp.setDraftLine(mode)
    def setLayer(self, layer: int) -> None: return sxnet.SxEntGrp.setLayer(layer)
    def setLineStyle(self, style: int) -> None: return sxnet.SxEntGrp.setLineStyle(style)
    def setLineWidth(self, width: int) -> None: return sxnet.SxEntGrp.setLineWidth(width)
    def setName(self, name: str, comment: str) -> None: return sxnet.SxEntGrp.setName(name, comment)
    def setShade(self, shade: bool, mode: int) -> None: return sxnet.SxEntGrp.setShade(shade, mode)
    def setShade1(self, shade: bool) -> None: return sxnet.SxEntGrp.setShade(shade)
    def setShade2(self, shade: int, mode: int) -> int: return sxnet.SxEntGrp.setShade(shade, mode)
    def setShade3(self, shade: int) -> int: return sxnet.SxEntGrp.setShade(shade)
    def setTranslucent(self, mode: bool) -> None: return sxnet.SxEntGrp.setTranslucent(mode)
    def setVisible(self, visible: bool) -> None: return sxnet.SxEntGrp.setVisible(visible)


class SxEntPart(SxEnt):
    Type: int
    Is3d: bool
    ID: int
    def add(self, entlist: list[SxEnt]) -> None: return sxnet.SxEntPart.add(entlist)
    def checkCollision(self, tol: float, cg: bool) -> list[SxEntSeg]: return sxnet.SxEntPart.checkCollision(tol, cg)
    def checkCollision1(self, entlist: list[SxEnt], tol: float, attr: bool, cg: bool) -> list[SxEntSeg]: return sxnet.SxEntPart.checkCollision(entlist, tol, attr, cg)
    def checkCollision2(self, tol: float, cg: bool) -> bool: return sxnet.SxEntPart.checkCollision2(tol, cg)
    def checkCollisions(self, partlist: list[SxEntPart], tol: float, cg: bool) -> list[SxEntSeg]: return sxnet.SxEntPart.checkCollisions(partlist, tol, cg)
    def checkCollisions1(self, collisionlist: list[SxOptCollision], movelist: list[SxOptMove], update: bool) -> SxInfCollision2: return sxnet.SxEntPart.checkCollisions(collisionlist, movelist, update)
    def checkCollisions2(self, partlist: list[SxEntPart], tol: float, cg: bool) -> list[SxInfCollision]: return sxnet.SxEntPart.checkCollisions2(partlist, tol, cg)
    def copy(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copy(vec, attr, layer, group, part)
    def copy1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy(vec, attr, layer, group)
    def copy2(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copy(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copy2D(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copy2D(vec, attr, layer, group, part)
    def copy2D1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy2D(vec, attr, layer, group)
    def copy2D2(self, vs: SxVS, pos: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy2D(vs, pos, vec, attr, layer, group)
    def copy2D3(self, vs: SxVS, pos: SxPos, pos2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy2D(vs, pos, pos2, attr, layer, group)
    def copy2DMirror(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copy2DMirror(pnt1, pnt2, attr, layer, group, part)
    def copy2DMirror1(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy2DMirror(pnt1, pnt2, attr, layer, group)
    def copy2DMirror2(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copy2DMirror(pnt, vec, attr, layer, group, part)
    def copy2DMirror3(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy2DMirror(pnt, vec, attr, layer, group)
    def copy2DRotate(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copy2DRotate(pos, ang, attr, layer, group, part)
    def copy2DRotate1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy2DRotate(pos, ang, attr, layer, group)
    def copy2DRotateRad(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copy2DRotateRad(pos, ang, attr, layer, group, part)
    def copy2DRotateRad1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy2DRotateRad(pos, ang, attr, layer, group)
    def copy2DScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEntPart.copy2DScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def copy3(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy(pnt, vec, angx, angy, angz, attr, layer, group)
    def copy4(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copy(pnt, vec, zvec, xvec, attr, layer, group, part)
    def copy5(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy(pnt, vec, zvec, xvec, attr, layer, group)
    def copy6(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copy7(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copy8(self, wf: SxWF, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy(wf, pnt, vec, zvec, xvec, attr, layer, group)
    def copy9(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copy(wf, pnt, pnt2, zvec, xvec, attr, layer, group)
    def copyMirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group, part)
    def copyMirror1(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group)
    def copyMirror2(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copyMirror(pnt, vec, attr, layer, group, part)
    def copyMirror3(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copyMirror(pnt, vec, attr, layer, group)
    def copyMirror4(self, face: SxFace, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copyMirror(face, attr, layer, group, part)
    def copyMirror5(self, face: SxFace, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copyMirror(face, attr, layer, group)
    def copyRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copyRad(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copyRad1(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copyRad(pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad2(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copyRad(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad3(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copyRad(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copyRotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotate1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyRotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotateRad1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntPart.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool, part: bool) -> SxEnt: return sxnet.SxEntPart.copyScale(pnt, scale, attr, layer, group, dim_val, text_size, part)
    def copyScale1(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEntPart.copyScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def create(self, name: str) -> SxEntPart: return sxnet.SxEntPart.create(name)
    def create1(self, entlist: list[SxEnt], name: str, comment: str, layer: int) -> SxEntPart: return sxnet.SxEntPart.create(entlist, name, comment, layer)
    def delete(self) -> None: return sxnet.SxEntPart.delete()
    def deleteInfEx(self) -> None: return sxnet.SxEntPart.deleteInfEx()
    def deleteInfEx1(self, partlist: list[SxEntPart]) -> None: return sxnet.SxEntPart.deleteInfEx(partlist)
    def deleteInfInst(self, attr_name: str) -> None: return sxnet.SxEntPart.deleteInfInst(attr_name)
    def deleteInfInst1(self, partlist: list[SxEntPart], attr_name: str) -> None: return sxnet.SxEntPart.deleteInfInst(partlist, attr_name)
    def deleteInfPurchased(self, change_all: bool) -> None: return sxnet.SxEntPart.deleteInfPurchased(change_all)
    def deleteInfRef(self, attr_name: str) -> None: return sxnet.SxEntPart.deleteInfRef(attr_name)
    def deleteInfRef1(self, partlist: list[SxEntPart], attr_name: str) -> None: return sxnet.SxEntPart.deleteInfRef(partlist, attr_name)
    def deleteMkup(self) -> None: return sxnet.SxEntPart.deleteMkup()
    def echo(self) -> None: return sxnet.SxEntPart.echo()
    def erase(self) -> None: return sxnet.SxEntPart.erase()
    def free(self) -> None: return sxnet.SxEntPart.free()
    def free1(self, partlist: list[SxEntPart]) -> None: return sxnet.SxEntPart.free(partlist)
    def getChildList(self) -> list[SxEntPart]: return sxnet.SxEntPart.getChildList()
    def getChildList1(self, all_level: bool) -> list[SxEntPart]: return sxnet.SxEntPart.getChildList(all_level)
    def getEntList(self) -> list[SxEnt]: return sxnet.SxEntPart.getEntList()
    def getExtent(self) -> SxBox: return sxnet.SxEntPart.getExtent()
    def getGrpList(self) -> list[SxEntGrp]: return sxnet.SxEntPart.getGrpList()
    def getInf(self) -> SxInfEnt: return sxnet.SxEntPart.getInf()
    def getInfDetail(self) -> SxInfPart: return sxnet.SxEntPart.getInfDetail()
    def getInfDetailList(self, partlist: list[SxEntPart]) -> list[SxInfPart]: return sxnet.SxEntPart.getInfDetailList(partlist)
    def getInfEx(self) -> str: return sxnet.SxEntPart.getInfEx()
    def getInfExList(self, partlist: list[SxEntPart]) -> list[str]: return sxnet.SxEntPart.getInfExList(partlist)
    def getInfInst(self, attr_name: str) -> str: return sxnet.SxEntPart.getInfInst(attr_name)
    def getInfInstList(self, partlist: list[SxEntPart], attr_name: str) -> list[str]: return sxnet.SxEntPart.getInfInstList(partlist, attr_name)
    def getInfMaterialList(self) -> list[SxInfMaterial]: return sxnet.SxEntPart.getInfMaterialList()
    def getInfPartTree(self) -> SxInfPartTree: return sxnet.SxEntPart.getInfPartTree()
    def getInfPurchased(self) -> SxInfPurchased: return sxnet.SxEntPart.getInfPurchased()
    def getInfPurchasedList(self, partlist: list[SxEntPart]) -> list[SxInfPurchased]: return sxnet.SxEntPart.getInfPurchasedList(partlist)
    def getInfRef(self, attr_name: str) -> str: return sxnet.SxEntPart.getInfRef(attr_name)
    def getInfRefList(self, partlist: list[SxEntPart], attr_name: str) -> list[str]: return sxnet.SxEntPart.getInfRefList(partlist, attr_name)
    def getMass(self, opt: SxOptMass) -> SxInfMass: return sxnet.SxEntPart.getMass(opt)
    def getModel(self) -> SxModel: return sxnet.SxEntPart.getModel()
    def getParent(self) -> SxEntPart: return sxnet.SxEntPart.getParent()
    def getPart(self) -> SxEntPart: return sxnet.SxEntPart.getPart()
    def getRPart(self) -> SxEntRPart: return sxnet.SxEntPart.getRPart()
    def getSamePartList(self) -> list[SxEntPart]: return sxnet.SxEntPart.getSamePartList()
    def getVS(self) -> SxVS: return sxnet.SxEntPart.getVS()
    def getWF(self) -> SxWF: return sxnet.SxEntPart.getWF()
    def getWindow(self) -> SxWindow: return sxnet.SxEntPart.getWindow()
    def get_ID(self) -> int: return sxnet.SxEntPart.get_ID()
    def get_Is3d(self) -> bool: return sxnet.SxEntPart.get_Is3d()
    def get_Type(self) -> int: return sxnet.SxEntPart.get_Type()
    def isEqual(self, ent: SxEnt) -> bool: return sxnet.SxEntPart.isEqual(ent)
    def isValid(self) -> bool: return sxnet.SxEntPart.isValid()
    def mirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos) -> None: return sxnet.SxEntPart.mirror(plane_pnt1, plane_pnt2, plane_pnt3)
    def mirror1(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEntPart.mirror(pnt, vec)
    def mirror2(self, face: SxFace) -> None: return sxnet.SxEntPart.mirror(face)
    def mirror2D(self, pnt1: SxPos, pnt2: SxPos) -> None: return sxnet.SxEntPart.mirror2D(pnt1, pnt2)
    def mirror2D1(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEntPart.mirror2D(pnt, vec)
    def move(self, vec: SxVec) -> None: return sxnet.SxEntPart.move(vec)
    def move1(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEntPart.move(pnt, vec, angx, angy, angz)
    def move2(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxEntPart.move(pnt, vec, zvec, xvec)
    def move2D(self, vec: SxVec) -> None: return sxnet.SxEntPart.move2D(vec)
    def moveRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEntPart.moveRad(pnt, vec, angx, angy, angz)
    def put(self, filemodel: SxFileModel, external: bool, pos: SxPos, alllevel: bool, read_only: bool, angx: float, angy: float, angz: float) -> SxEntPart: return sxnet.SxEntPart.put(filemodel, external, pos, alllevel, read_only, angx, angy, angz)
    def put1(self, filemodel: SxFileModel, external: bool, pos: SxPos, alllevel: bool, read_only: bool, zvec: SxVec, xvec: SxVec) -> SxEntPart: return sxnet.SxEntPart.put(filemodel, external, pos, alllevel, read_only, zvec, xvec)
    def put2(self, filemodel: SxFileModel, external: bool, pos: SxPos, alllevel: bool, read_only: bool, rm: SxMatrix3) -> SxEntPart: return sxnet.SxEntPart.put(filemodel, external, pos, alllevel, read_only, rm)
    def put3(self, filemodel: SxFileModel, external: bool, pos: SxPos, angx: float, angy: float, angz: float) -> SxEntPart: return sxnet.SxEntPart.put(filemodel, external, pos, angx, angy, angz)
    def put4(self, filemodel: SxFileModel, external: bool, pos: SxPos, zvec: SxVec, xvec: SxVec) -> SxEntPart: return sxnet.SxEntPart.put(filemodel, external, pos, zvec, xvec)
    def put5(self, filemodel: SxFileModel, external: bool, pos: SxPos, rm: SxMatrix3) -> SxEntPart: return sxnet.SxEntPart.put(filemodel, external, pos, rm)
    def putRad(self, filemodel: SxFileModel, external: bool, pos: SxPos, alllevel: bool, read_only: bool, angx: float, angy: float, angz: float) -> SxEntPart: return sxnet.SxEntPart.putRad(filemodel, external, pos, alllevel, read_only, angx, angy, angz)
    def putRad1(self, filemodel: SxFileModel, external: bool, pos: SxPos, angx: float, angy: float, angz: float) -> SxEntPart: return sxnet.SxEntPart.putRad(filemodel, external, pos, angx, angy, angz)
    def replace(self, part: SxEntPart, chang_all: bool) -> None: return sxnet.SxEntPart.replace(part, chang_all)
    def replace1(self, filemodel: SxFileModel, passwd: str, chang_all: bool) -> None: return sxnet.SxEntPart.replace(filemodel, passwd, chang_all)
    def replace2(self, filemodel: SxFileModel, chang_all: bool) -> None: return sxnet.SxEntPart.replace(filemodel, chang_all)
    def rotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEntPart.rotate(axis_pnt1, axis_pnt2, ang)
    def rotate1(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEntPart.rotate(axis_pnt, axis_vec, ang)
    def rotate2D(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEntPart.rotate2D(pnt, ang)
    def rotate2DRad(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEntPart.rotate2DRad(pnt, ang)
    def rotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEntPart.rotateRad(axis_pnt1, axis_pnt2, ang)
    def rotateRad1(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEntPart.rotateRad(axis_pnt, axis_vec, ang)
    def saveAs(self, path: str, fname: str, comment: str) -> None: return sxnet.SxEntPart.saveAs(path, fname, comment)
    def scale(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEntPart.scale(pnt, scale, dim_val, text_size)
    def scale2D(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEntPart.scale2D(pnt, scale, dim_val, text_size)
    def setAccess(self, read_only: bool) -> None: return sxnet.SxEntPart.setAccess(read_only)
    def setActive(self) -> SxWindow: return sxnet.SxEntPart.setActive()
    def setActive1(self, check_win: bool) -> None: return sxnet.SxEntPart.setActive(check_win)
    def setActiveTop(self) -> None: return sxnet.SxEntPart.setActiveTop()
    def setActiveVSWF(self) -> SxWindow: return sxnet.SxEntPart.setActiveVSWF()
    def setActiveVSWF1(self, new_window: bool) -> SxWindow: return sxnet.SxEntPart.setActiveVSWF(new_window)
    def setColor(self, color: int) -> None: return sxnet.SxEntPart.setColor(color)
    def setCoord(self, pos: SxPos, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxEntPart.setCoord(pos, zvec, xvec)
    def setCoord1(self, parmlist: list[SxParmPartCoord]) -> None: return sxnet.SxEntPart.setCoord(parmlist)
    def setDimLineColor(self, color: int) -> None: return sxnet.SxEntPart.setDimLineColor(color)
    def setDimLineWidth(self, width: int) -> None: return sxnet.SxEntPart.setDimLineWidth(width)
    def setDimTextColor(self, color: int) -> None: return sxnet.SxEntPart.setDimTextColor(color)
    def setDimTextWidth(self, width: int) -> None: return sxnet.SxEntPart.setDimTextWidth(width)
    def setDraftLine(self, mode: bool) -> None: return sxnet.SxEntPart.setDraftLine(mode)
    def setInfEx(self, info: str) -> None: return sxnet.SxEntPart.setInfEx(info)
    def setInfEx1(self, parmlist: list[SxParmPartInfEx]) -> None: return sxnet.SxEntPart.setInfEx(parmlist)
    def setInfInst(self, info: str, attr_name: str) -> None: return sxnet.SxEntPart.setInfInst(info, attr_name)
    def setInfInst1(self, partlist: list[SxEntPart], info: list[str], attr_name: str) -> None: return sxnet.SxEntPart.setInfInst(partlist, info, attr_name)
    def setInfMaterial(self, mat: SxInfMaterial) -> None: return sxnet.SxEntPart.setInfMaterial(mat)
    def setInfPurchased(self, info: SxInfPurchased, change_all: bool) -> None: return sxnet.SxEntPart.setInfPurchased(info, change_all)
    def setInfRef(self, info: str, attr_name: str) -> None: return sxnet.SxEntPart.setInfRef(info, attr_name)
    def setInfRef1(self, partlist: list[SxEntPart], info: list[str], attr_name: str) -> None: return sxnet.SxEntPart.setInfRef(partlist, info, attr_name)
    def setLayer(self, layer: int) -> None: return sxnet.SxEntPart.setLayer(layer)
    def setLineStyle(self, style: int) -> None: return sxnet.SxEntPart.setLineStyle(style)
    def setLineWidth(self, width: int) -> None: return sxnet.SxEntPart.setLineWidth(width)
    def setName(self, name: str, comment: str, filename: str, change_all: bool) -> None: return sxnet.SxEntPart.setName(name, comment, filename, change_all)
    def setName1(self, parmlist: list[SxParmPartName], change_all: bool) -> None: return sxnet.SxEntPart.setName(parmlist, change_all)
    def setNameTop(self, name: str, comment: str) -> None: return sxnet.SxEntPart.setNameTop(name, comment)
    def setParent(self, parent: SxEntPart) -> None: return sxnet.SxEntPart.setParent(parent)
    def setShade(self, shade: bool, mode: int) -> None: return sxnet.SxEntPart.setShade(shade, mode)
    def setShade1(self, shade: bool) -> None: return sxnet.SxEntPart.setShade(shade)
    def setShade2(self, shade: int, mode: int) -> int: return sxnet.SxEntPart.setShade(shade, mode)
    def setShade3(self, shade: int) -> int: return sxnet.SxEntPart.setShade(shade)
    def setTranslucent(self, mode: bool) -> None: return sxnet.SxEntPart.setTranslucent(mode)
    def setVisible(self, visible: bool) -> None: return sxnet.SxEntPart.setVisible(visible)
    def takeIn(self, all: bool, alllevel: bool) -> None: return sxnet.SxEntPart.takeIn(all, alllevel)
    def takeIn1(self, all: bool) -> None: return sxnet.SxEntPart.takeIn(all)
    def takeOut(self, all: bool) -> None: return sxnet.SxEntPart.takeOut(all)


class SxEntRPart(SxEnt):
    Type: int
    Is3d: bool
    ID: int
    def add(self, entlist: list[SxEnt]) -> None: return sxnet.SxEntRPart.add(entlist)
    def checkCollision(self, tol: float, cg: bool) -> list[SxEntSeg]: return sxnet.SxEntRPart.checkCollision(tol, cg)
    def checkCollision1(self, entlist: list[SxEnt], tol: float, attr: bool, cg: bool) -> list[SxEntSeg]: return sxnet.SxEntRPart.checkCollision(entlist, tol, attr, cg)
    def checkCollision2(self, tol: float, cg: bool) -> bool: return sxnet.SxEntRPart.checkCollision2(tol, cg)
    def copy(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copy(vec, attr, layer, group, part)
    def copy1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy(vec, attr, layer, group)
    def copy2(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copy(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copy2D(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copy2D(vec, attr, layer, group, part)
    def copy2D1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy2D(vec, attr, layer, group)
    def copy2D2(self, vs: SxVS, pos: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy2D(vs, pos, vec, attr, layer, group)
    def copy2D3(self, vs: SxVS, pos: SxPos, pos2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy2D(vs, pos, pos2, attr, layer, group)
    def copy2DMirror(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copy2DMirror(pnt1, pnt2, attr, layer, group, part)
    def copy2DMirror1(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy2DMirror(pnt1, pnt2, attr, layer, group)
    def copy2DMirror2(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copy2DMirror(pnt, vec, attr, layer, group, part)
    def copy2DMirror3(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy2DMirror(pnt, vec, attr, layer, group)
    def copy2DRotate(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copy2DRotate(pos, ang, attr, layer, group, part)
    def copy2DRotate1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy2DRotate(pos, ang, attr, layer, group)
    def copy2DRotateRad(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copy2DRotateRad(pos, ang, attr, layer, group, part)
    def copy2DRotateRad1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy2DRotateRad(pos, ang, attr, layer, group)
    def copy2DScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEntRPart.copy2DScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def copy3(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy(pnt, vec, angx, angy, angz, attr, layer, group)
    def copy4(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copy(pnt, vec, zvec, xvec, attr, layer, group, part)
    def copy5(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy(pnt, vec, zvec, xvec, attr, layer, group)
    def copy6(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copy7(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copy8(self, wf: SxWF, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy(wf, pnt, vec, zvec, xvec, attr, layer, group)
    def copy9(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copy(wf, pnt, pnt2, zvec, xvec, attr, layer, group)
    def copyMirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group, part)
    def copyMirror1(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group)
    def copyMirror2(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copyMirror(pnt, vec, attr, layer, group, part)
    def copyMirror3(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copyMirror(pnt, vec, attr, layer, group)
    def copyMirror4(self, face: SxFace, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copyMirror(face, attr, layer, group, part)
    def copyMirror5(self, face: SxFace, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copyMirror(face, attr, layer, group)
    def copyRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copyRad(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copyRad1(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copyRad(pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad2(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copyRad(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad3(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copyRad(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copyRotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotate1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyRotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotateRad1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRPart.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool, part: bool) -> SxEnt: return sxnet.SxEntRPart.copyScale(pnt, scale, attr, layer, group, dim_val, text_size, part)
    def copyScale1(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEntRPart.copyScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def create(self, entlist: list[SxEnt], name: str, layer: int) -> SxEntRPart: return sxnet.SxEntRPart.create(entlist, name, layer)
    def delete(self) -> None: return sxnet.SxEntRPart.delete()
    def deleteMkup(self) -> None: return sxnet.SxEntRPart.deleteMkup()
    def echo(self) -> None: return sxnet.SxEntRPart.echo()
    def erase(self) -> None: return sxnet.SxEntRPart.erase()
    def exclude(self, entlist: list[SxEnt]) -> None: return sxnet.SxEntRPart.exclude(entlist)
    def free(self) -> None: return sxnet.SxEntRPart.free()
    def getEntList(self) -> list[SxEnt]: return sxnet.SxEntRPart.getEntList()
    def getExtent(self) -> SxBox: return sxnet.SxEntRPart.getExtent()
    def getGrpList(self) -> list[SxEntGrp]: return sxnet.SxEntRPart.getGrpList()
    def getInf(self) -> SxInfEnt: return sxnet.SxEntRPart.getInf()
    def getInfDetail(self) -> SxInfRPart: return sxnet.SxEntRPart.getInfDetail()
    def getInfDetailList(self, rpartlist: list[SxEntRPart]) -> list[SxInfRPart]: return sxnet.SxEntRPart.getInfDetailList(rpartlist)
    def getMass(self, opt: SxOptMass) -> SxInfMass: return sxnet.SxEntRPart.getMass(opt)
    def getModel(self) -> SxModel: return sxnet.SxEntRPart.getModel()
    def getPart(self) -> SxEntPart: return sxnet.SxEntRPart.getPart()
    def getRPart(self) -> SxEntRPart: return sxnet.SxEntRPart.getRPart()
    def getVS(self) -> SxVS: return sxnet.SxEntRPart.getVS()
    def getWF(self) -> SxWF: return sxnet.SxEntRPart.getWF()
    def getWindow(self) -> SxWindow: return sxnet.SxEntRPart.getWindow()
    def get_ID(self) -> int: return sxnet.SxEntRPart.get_ID()
    def get_Is3d(self) -> bool: return sxnet.SxEntRPart.get_Is3d()
    def get_Type(self) -> int: return sxnet.SxEntRPart.get_Type()
    def isEqual(self, ent: SxEnt) -> bool: return sxnet.SxEntRPart.isEqual(ent)
    def isValid(self) -> bool: return sxnet.SxEntRPart.isValid()
    def mirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos) -> None: return sxnet.SxEntRPart.mirror(plane_pnt1, plane_pnt2, plane_pnt3)
    def mirror1(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEntRPart.mirror(pnt, vec)
    def mirror2(self, face: SxFace) -> None: return sxnet.SxEntRPart.mirror(face)
    def mirror2D(self, pnt1: SxPos, pnt2: SxPos) -> None: return sxnet.SxEntRPart.mirror2D(pnt1, pnt2)
    def mirror2D1(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEntRPart.mirror2D(pnt, vec)
    def move(self, vec: SxVec) -> None: return sxnet.SxEntRPart.move(vec)
    def move1(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEntRPart.move(pnt, vec, angx, angy, angz)
    def move2(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxEntRPart.move(pnt, vec, zvec, xvec)
    def move2D(self, vec: SxVec) -> None: return sxnet.SxEntRPart.move2D(vec)
    def moveRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEntRPart.moveRad(pnt, vec, angx, angy, angz)
    def rotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEntRPart.rotate(axis_pnt1, axis_pnt2, ang)
    def rotate1(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEntRPart.rotate(axis_pnt, axis_vec, ang)
    def rotate2D(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEntRPart.rotate2D(pnt, ang)
    def rotate2DRad(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEntRPart.rotate2DRad(pnt, ang)
    def rotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEntRPart.rotateRad(axis_pnt1, axis_pnt2, ang)
    def rotateRad1(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEntRPart.rotateRad(axis_pnt, axis_vec, ang)
    def scale(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEntRPart.scale(pnt, scale, dim_val, text_size)
    def scale2D(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEntRPart.scale2D(pnt, scale, dim_val, text_size)
    def setActiveVSWF(self) -> SxWindow: return sxnet.SxEntRPart.setActiveVSWF()
    def setActiveVSWF1(self, new_window: bool) -> SxWindow: return sxnet.SxEntRPart.setActiveVSWF(new_window)
    def setColor(self, color: int) -> None: return sxnet.SxEntRPart.setColor(color)
    def setCoord(self, pos: SxPos) -> None: return sxnet.SxEntRPart.setCoord(pos)
    def setDimLineColor(self, color: int) -> None: return sxnet.SxEntRPart.setDimLineColor(color)
    def setDimLineWidth(self, width: int) -> None: return sxnet.SxEntRPart.setDimLineWidth(width)
    def setDimTextColor(self, color: int) -> None: return sxnet.SxEntRPart.setDimTextColor(color)
    def setDimTextWidth(self, width: int) -> None: return sxnet.SxEntRPart.setDimTextWidth(width)
    def setDraftLine(self, mode: bool) -> None: return sxnet.SxEntRPart.setDraftLine(mode)
    def setLayer(self, layer: int) -> None: return sxnet.SxEntRPart.setLayer(layer)
    def setLineStyle(self, style: int) -> None: return sxnet.SxEntRPart.setLineStyle(style)
    def setLineWidth(self, width: int) -> None: return sxnet.SxEntRPart.setLineWidth(width)
    def setName(self, name: str, comment: str, change_all: bool) -> None: return sxnet.SxEntRPart.setName(name, comment, change_all)
    def setShade(self, shade: bool, mode: int) -> None: return sxnet.SxEntRPart.setShade(shade, mode)
    def setShade1(self, shade: bool) -> None: return sxnet.SxEntRPart.setShade(shade)
    def setShade2(self, shade: int, mode: int) -> int: return sxnet.SxEntRPart.setShade(shade, mode)
    def setShade3(self, shade: int) -> int: return sxnet.SxEntRPart.setShade(shade)
    def setTranslucent(self, mode: bool) -> None: return sxnet.SxEntRPart.setTranslucent(mode)
    def setVisible(self, visible: bool) -> None: return sxnet.SxEntRPart.setVisible(visible)


class SxEntRefer(SxEnt):
    Type: int
    Is3d: bool
    ID: int
    def checkCollision(self, tol: float, cg: bool) -> list[SxEntSeg]: return sxnet.SxEntRefer.checkCollision(tol, cg)
    def checkCollision1(self, entlist: list[SxEnt], tol: float, attr: bool, cg: bool) -> list[SxEntSeg]: return sxnet.SxEntRefer.checkCollision(entlist, tol, attr, cg)
    def checkCollision2(self, tol: float, cg: bool) -> bool: return sxnet.SxEntRefer.checkCollision2(tol, cg)
    def copy(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copy(vec, attr, layer, group, part)
    def copy1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy(vec, attr, layer, group)
    def copy2(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copy(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copy2D(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copy2D(vec, attr, layer, group, part)
    def copy2D1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy2D(vec, attr, layer, group)
    def copy2D2(self, vs: SxVS, pos: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy2D(vs, pos, vec, attr, layer, group)
    def copy2D3(self, vs: SxVS, pos: SxPos, pos2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy2D(vs, pos, pos2, attr, layer, group)
    def copy2DMirror(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copy2DMirror(pnt1, pnt2, attr, layer, group, part)
    def copy2DMirror1(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy2DMirror(pnt1, pnt2, attr, layer, group)
    def copy2DMirror2(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copy2DMirror(pnt, vec, attr, layer, group, part)
    def copy2DMirror3(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy2DMirror(pnt, vec, attr, layer, group)
    def copy2DRotate(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copy2DRotate(pos, ang, attr, layer, group, part)
    def copy2DRotate1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy2DRotate(pos, ang, attr, layer, group)
    def copy2DRotateRad(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copy2DRotateRad(pos, ang, attr, layer, group, part)
    def copy2DRotateRad1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy2DRotateRad(pos, ang, attr, layer, group)
    def copy2DScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEntRefer.copy2DScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def copy3(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy(pnt, vec, angx, angy, angz, attr, layer, group)
    def copy4(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copy(pnt, vec, zvec, xvec, attr, layer, group, part)
    def copy5(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy(pnt, vec, zvec, xvec, attr, layer, group)
    def copy6(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copy7(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copy8(self, wf: SxWF, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy(wf, pnt, vec, zvec, xvec, attr, layer, group)
    def copy9(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copy(wf, pnt, pnt2, zvec, xvec, attr, layer, group)
    def copyMirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group, part)
    def copyMirror1(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group)
    def copyMirror2(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copyMirror(pnt, vec, attr, layer, group, part)
    def copyMirror3(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copyMirror(pnt, vec, attr, layer, group)
    def copyMirror4(self, face: SxFace, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copyMirror(face, attr, layer, group, part)
    def copyMirror5(self, face: SxFace, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copyMirror(face, attr, layer, group)
    def copyRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copyRad(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copyRad1(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copyRad(pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad2(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copyRad(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad3(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copyRad(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copyRotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotate1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyRotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotateRad1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntRefer.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool, part: bool) -> SxEnt: return sxnet.SxEntRefer.copyScale(pnt, scale, attr, layer, group, dim_val, text_size, part)
    def copyScale1(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEntRefer.copyScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def create(self, mode: bool, vs: SxVS, pos: SxPos, scale: float, ang: float) -> SxEntRefer: return sxnet.SxEntRefer.create(mode, vs, pos, scale, ang)
    def delete(self) -> None: return sxnet.SxEntRefer.delete()
    def deleteMkup(self) -> None: return sxnet.SxEntRefer.deleteMkup()
    def echo(self) -> None: return sxnet.SxEntRefer.echo()
    def erase(self) -> None: return sxnet.SxEntRefer.erase()
    def free(self) -> None: return sxnet.SxEntRefer.free()
    def getExtent(self) -> SxBox: return sxnet.SxEntRefer.getExtent()
    def getGrpList(self) -> list[SxEntGrp]: return sxnet.SxEntRefer.getGrpList()
    def getInf(self) -> SxInfEnt: return sxnet.SxEntRefer.getInf()
    def getInfDetail(self) -> SxInfRefer: return sxnet.SxEntRefer.getInfDetail()
    def getMass(self, opt: SxOptMass) -> SxInfMass: return sxnet.SxEntRefer.getMass(opt)
    def getModel(self) -> SxModel: return sxnet.SxEntRefer.getModel()
    def getPart(self) -> SxEntPart: return sxnet.SxEntRefer.getPart()
    def getRPart(self) -> SxEntRPart: return sxnet.SxEntRefer.getRPart()
    def getVS(self) -> SxVS: return sxnet.SxEntRefer.getVS()
    def getWF(self) -> SxWF: return sxnet.SxEntRefer.getWF()
    def getWindow(self) -> SxWindow: return sxnet.SxEntRefer.getWindow()
    def get_ID(self) -> int: return sxnet.SxEntRefer.get_ID()
    def get_Is3d(self) -> bool: return sxnet.SxEntRefer.get_Is3d()
    def get_Type(self) -> int: return sxnet.SxEntRefer.get_Type()
    def isEqual(self, ent: SxEnt) -> bool: return sxnet.SxEntRefer.isEqual(ent)
    def isValid(self) -> bool: return sxnet.SxEntRefer.isValid()
    def mirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos) -> None: return sxnet.SxEntRefer.mirror(plane_pnt1, plane_pnt2, plane_pnt3)
    def mirror1(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEntRefer.mirror(pnt, vec)
    def mirror2(self, face: SxFace) -> None: return sxnet.SxEntRefer.mirror(face)
    def mirror2D(self, pnt1: SxPos, pnt2: SxPos) -> None: return sxnet.SxEntRefer.mirror2D(pnt1, pnt2)
    def mirror2D1(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEntRefer.mirror2D(pnt, vec)
    def move(self, vec: SxVec) -> None: return sxnet.SxEntRefer.move(vec)
    def move1(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEntRefer.move(pnt, vec, angx, angy, angz)
    def move2(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxEntRefer.move(pnt, vec, zvec, xvec)
    def move2D(self, vec: SxVec) -> None: return sxnet.SxEntRefer.move2D(vec)
    def moveRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEntRefer.moveRad(pnt, vec, angx, angy, angz)
    def replace(self, vs: SxVS) -> None: return sxnet.SxEntRefer.replace(vs)
    def rotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEntRefer.rotate(axis_pnt1, axis_pnt2, ang)
    def rotate1(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEntRefer.rotate(axis_pnt, axis_vec, ang)
    def rotate2D(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEntRefer.rotate2D(pnt, ang)
    def rotate2DRad(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEntRefer.rotate2DRad(pnt, ang)
    def rotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEntRefer.rotateRad(axis_pnt1, axis_pnt2, ang)
    def rotateRad1(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEntRefer.rotateRad(axis_pnt, axis_vec, ang)
    def scale(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEntRefer.scale(pnt, scale, dim_val, text_size)
    def scale2D(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEntRefer.scale2D(pnt, scale, dim_val, text_size)
    def setActiveVSWF(self) -> SxWindow: return sxnet.SxEntRefer.setActiveVSWF()
    def setActiveVSWF1(self, new_window: bool) -> SxWindow: return sxnet.SxEntRefer.setActiveVSWF(new_window)
    def setAttribute(self, original: bool) -> None: return sxnet.SxEntRefer.setAttribute(original)
    def setColor(self, color: int) -> None: return sxnet.SxEntRefer.setColor(color)
    def setDimLineColor(self, color: int) -> None: return sxnet.SxEntRefer.setDimLineColor(color)
    def setDimLineWidth(self, width: int) -> None: return sxnet.SxEntRefer.setDimLineWidth(width)
    def setDimTextColor(self, color: int) -> None: return sxnet.SxEntRefer.setDimTextColor(color)
    def setDimTextWidth(self, width: int) -> None: return sxnet.SxEntRefer.setDimTextWidth(width)
    def setDraftLine(self, mode: bool) -> None: return sxnet.SxEntRefer.setDraftLine(mode)
    def setLayer(self, layer: int) -> None: return sxnet.SxEntRefer.setLayer(layer)
    def setLineStyle(self, style: int) -> None: return sxnet.SxEntRefer.setLineStyle(style)
    def setLineWidth(self, width: int) -> None: return sxnet.SxEntRefer.setLineWidth(width)
    def setScale(self, scale: float) -> None: return sxnet.SxEntRefer.setScale(scale)
    def setShade(self, shade: bool, mode: int) -> None: return sxnet.SxEntRefer.setShade(shade, mode)
    def setShade1(self, shade: bool) -> None: return sxnet.SxEntRefer.setShade(shade)
    def setShade2(self, shade: int, mode: int) -> int: return sxnet.SxEntRefer.setShade(shade, mode)
    def setShade3(self, shade: int) -> int: return sxnet.SxEntRefer.setShade(shade)
    def setTranslucent(self, mode: bool) -> None: return sxnet.SxEntRefer.setTranslucent(mode)
    def setVisible(self, visible: bool) -> None: return sxnet.SxEntRefer.setVisible(visible)


class SxEntSeg(SxEnt):
    SEGTYPE_POINT: int = sxnet.SxEntSeg.SEGTYPE_POINT
    SEGTYPE_LINE: int = sxnet.SxEntSeg.SEGTYPE_LINE
    SEGTYPE_ARC: int = sxnet.SxEntSeg.SEGTYPE_ARC
    SEGTYPE_CIR: int = sxnet.SxEntSeg.SEGTYPE_CIR
    SEGTYPE_OTHER_DRAW: int = sxnet.SxEntSeg.SEGTYPE_OTHER_DRAW
    SEGTYPE_SYM: int = sxnet.SxEntSeg.SEGTYPE_SYM
    SEGTYPE_APL: int = sxnet.SxEntSeg.SEGTYPE_APL
    SEGTYPE_SPL: int = sxnet.SxEntSeg.SEGTYPE_SPL
    SEGTYPE_TEXT: int = sxnet.SxEntSeg.SEGTYPE_TEXT
    SEGTYPE_LBL: int = sxnet.SxEntSeg.SEGTYPE_LBL
    SEGTYPE_CENL: int = sxnet.SxEntSeg.SEGTYPE_CENL
    SEGTYPE_ARL: int = sxnet.SxEntSeg.SEGTYPE_ARL
    SEGTYPE_DLIN: int = sxnet.SxEntSeg.SEGTYPE_DLIN
    SEGTYPE_DANG: int = sxnet.SxEntSeg.SEGTYPE_DANG
    SEGTYPE_DARC: int = sxnet.SxEntSeg.SEGTYPE_DARC
    SEGTYPE_FMRK: int = sxnet.SxEntSeg.SEGTYPE_FMRK
    SEGTYPE_DCHA: int = sxnet.SxEntSeg.SEGTYPE_DCHA
    SEGTYPE_BALL: int = sxnet.SxEntSeg.SEGTYPE_BALL
    SEGTYPE_DELTA: int = sxnet.SxEntSeg.SEGTYPE_DELTA
    SEGTYPE_OTHER_DIM: int = sxnet.SxEntSeg.SEGTYPE_OTHER_DIM
    SEGTYPE_WELD: int = sxnet.SxEntSeg.SEGTYPE_WELD
    SEGTYPE_LEAD: int = sxnet.SxEntSeg.SEGTYPE_LEAD
    SEGTYPE_GTOL: int = sxnet.SxEntSeg.SEGTYPE_GTOL
    SEGTYPE_SMRK: int = sxnet.SxEntSeg.SEGTYPE_SMRK
    SEGTYPE_PCON: int = sxnet.SxEntSeg.SEGTYPE_PCON
    SEGTYPE_PRSM: int = sxnet.SxEntSeg.SEGTYPE_PRSM
    SEGTYPE_LPRJ: int = sxnet.SxEntSeg.SEGTYPE_LPRJ
    SEGTYPE_EPRJ: int = sxnet.SxEntSeg.SEGTYPE_EPRJ
    SEGTYPE_ROT: int = sxnet.SxEntSeg.SEGTYPE_ROT
    SEGTYPE_CONE: int = sxnet.SxEntSeg.SEGTYPE_CONE
    SEGTYPE_PCYL: int = sxnet.SxEntSeg.SEGTYPE_PCYL
    SEGTYPE_CYL: int = sxnet.SxEntSeg.SEGTYPE_CYL
    SEGTYPE_SPHR: int = sxnet.SxEntSeg.SEGTYPE_SPHR
    SEGTYPE_CAP: int = sxnet.SxEntSeg.SEGTYPE_CAP
    SEGTYPE_TORUS: int = sxnet.SxEntSeg.SEGTYPE_TORUS
    SEGTYPE_BOX: int = sxnet.SxEntSeg.SEGTYPE_BOX
    SEGTYPE_PRJT: int = sxnet.SxEntSeg.SEGTYPE_PRJT
    SEGTYPE_SOLID: int = sxnet.SxEntSeg.SEGTYPE_SOLID
    SEGTYPE_FCSOLID: int = sxnet.SxEntSeg.SEGTYPE_FCSOLID
    SEGTYPE_ELP: int = sxnet.SxEntSeg.SEGTYPE_ELP
    SEGTYPE_ELPA: int = sxnet.SxEntSeg.SEGTYPE_ELPA
    SEGTYPE_MARK: int = sxnet.SxEntSeg.SEGTYPE_MARK
    SEGTYPE_HATCH: int = sxnet.SxEntSeg.SEGTYPE_HATCH
    SEGTYPE_HATCH_EX: int = sxnet.SxEntSeg.SEGTYPE_HATCH_EX
    PLANE_XY: int = sxnet.SxEntSeg.PLANE_XY
    PLANE_YZ: int = sxnet.SxEntSeg.PLANE_YZ
    PLANE_ZX: int = sxnet.SxEntSeg.PLANE_ZX
    PLANE_ANY: int = sxnet.SxEntSeg.PLANE_ANY
    SEGTYPE_MKUP: int = sxnet.SxEntSeg.SEGTYPE_MKUP
    SEGTYPE_MKUP_DLIN: int = sxnet.SxEntSeg.SEGTYPE_MKUP_DLIN
    SEGTYPE_MKUP_DARC: int = sxnet.SxEntSeg.SEGTYPE_MKUP_DARC
    SEGTYPE_MKUP_DANG: int = sxnet.SxEntSeg.SEGTYPE_MKUP_DANG
    SEGTYPE_MKUP_LBL: int = sxnet.SxEntSeg.SEGTYPE_MKUP_LBL
    SEGTYPE_CIRSYM: int = sxnet.SxEntSeg.SEGTYPE_CIRSYM
    SEGTYPE_MOTLIN: int = sxnet.SxEntSeg.SEGTYPE_MOTLIN
    SEGTYPE_INTLKLIN: int = sxnet.SxEntSeg.SEGTYPE_INTLKLIN
    SEGTYPE_MOTSYM: int = sxnet.SxEntSeg.SEGTYPE_MOTSYM
    SEGTYPE_DIAGSTR: int = sxnet.SxEntSeg.SEGTYPE_DIAGSTR
    SEGTYPE_WIRING: int = sxnet.SxEntSeg.SEGTYPE_WIRING
    SPLINE_KIND_NORMAL: int = sxnet.SxEntSeg.SPLINE_KIND_NORMAL
    SPLINE_KIND_PERIODIC: int = sxnet.SxEntSeg.SPLINE_KIND_PERIODIC
    SPLINE_KIND_FIXED: int = sxnet.SxEntSeg.SPLINE_KIND_FIXED
    BLEND_BALL: int = sxnet.SxEntSeg.BLEND_BALL
    BLEND_CHAMFER: int = sxnet.SxEntSeg.BLEND_CHAMFER
    BOOL_UNITE: int = sxnet.SxEntSeg.BOOL_UNITE
    BOOL_SUBTRACT: int = sxnet.SxEntSeg.BOOL_SUBTRACT
    BOOL_INTERSECT: int = sxnet.SxEntSeg.BOOL_INTERSECT
    SHELL_INNER: int = sxnet.SxEntSeg.SHELL_INNER
    SHELL_OUTER: int = sxnet.SxEntSeg.SHELL_OUTER
    SHELL_BOTH: int = sxnet.SxEntSeg.SHELL_BOTH
    DIM_WORD: int = sxnet.SxEntSeg.DIM_WORD
    DIM_WORD1: int = sxnet.SxEntSeg.DIM_WORD1
    DIM_WORD2: int = sxnet.SxEntSeg.DIM_WORD2
    DIM_WORD3: int = sxnet.SxEntSeg.DIM_WORD3
    TEXT_BASE_LT: int = sxnet.SxEntSeg.TEXT_BASE_LT
    TEXT_BASE_CT: int = sxnet.SxEntSeg.TEXT_BASE_CT
    TEXT_BASE_RT: int = sxnet.SxEntSeg.TEXT_BASE_RT
    TEXT_BASE_LC: int = sxnet.SxEntSeg.TEXT_BASE_LC
    TEXT_BASE_CC: int = sxnet.SxEntSeg.TEXT_BASE_CC
    TEXT_BASE_RC: int = sxnet.SxEntSeg.TEXT_BASE_RC
    TEXT_BASE_LB: int = sxnet.SxEntSeg.TEXT_BASE_LB
    TEXT_BASE_CB: int = sxnet.SxEntSeg.TEXT_BASE_CB
    TEXT_BASE_RB: int = sxnet.SxEntSeg.TEXT_BASE_RB
    TEXT_ARRANGE_AUTO: int = sxnet.SxEntSeg.TEXT_ARRANGE_AUTO
    TEXT_ARRANGE_CENT: int = sxnet.SxEntSeg.TEXT_ARRANGE_CENT
    TEXT_ARRANGE_LEFT: int = sxnet.SxEntSeg.TEXT_ARRANGE_LEFT
    TEXT_ARRANGE_RIGHT: int = sxnet.SxEntSeg.TEXT_ARRANGE_RIGHT
    TEXT_ARRANGE_TOP: int = sxnet.SxEntSeg.TEXT_ARRANGE_TOP
    TEXT_ARRANGE_BOTTOM: int = sxnet.SxEntSeg.TEXT_ARRANGE_BOTTOM
    MOVE_ANY: int = sxnet.SxEntSeg.MOVE_ANY
    MOVE_HOR: int = sxnet.SxEntSeg.MOVE_HOR
    MOVE_VER: int = sxnet.SxEntSeg.MOVE_VER
    ARROW_LEFT: int = sxnet.SxEntSeg.ARROW_LEFT
    ARROW_RIGHT: int = sxnet.SxEntSeg.ARROW_RIGHT
    ARROW_BOTH: int = sxnet.SxEntSeg.ARROW_BOTH
    ADDLINE_LEFT: int = sxnet.SxEntSeg.ADDLINE_LEFT
    ADDLINE_RIGHT: int = sxnet.SxEntSeg.ADDLINE_RIGHT
    ADDLINE_BOTH: int = sxnet.SxEntSeg.ADDLINE_BOTH
    TRIM_ALL: int = sxnet.SxEntSeg.TRIM_ALL
    TRIM_1: int = sxnet.SxEntSeg.TRIM_1
    TRIM_2: int = sxnet.SxEntSeg.TRIM_2
    TRIM_NONE: int = sxnet.SxEntSeg.TRIM_NONE
    TRIM_THIN: int = sxnet.SxEntSeg.TRIM_THIN
    Type: int
    Is3d: bool
    ID: int
    def addBalloon(self, cinf1: str, cinf2: str, vec: SxVec) -> None: return sxnet.SxEntSeg.addBalloon(cinf1, cinf2, vec)
    def addDimLeaderLine(self, mode: bool, pnt: SxPos) -> None: return sxnet.SxEntSeg.addDimLeaderLine(mode, pnt)
    def addDimLeaderLine1(self, obj: Any, lead_pnt: SxPos, bend_pntlist: list[SxPos], opt: SxOptLeaderLine) -> None: return sxnet.SxEntSeg.addDimLeaderLine(obj, lead_pnt, bend_pntlist, opt)
    def checkCollision(self, tol: float, cg: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.checkCollision(tol, cg)
    def checkCollision1(self, entlist: list[SxEnt], tol: float, attr: bool, cg: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.checkCollision(entlist, tol, attr, cg)
    def checkCollision2(self, tol: float, cg: bool) -> bool: return sxnet.SxEntSeg.checkCollision2(tol, cg)
    def copy(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copy(vec, attr, layer, group, part)
    def copy1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy(vec, attr, layer, group)
    def copy2(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copy(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copy2D(self, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copy2D(vec, attr, layer, group, part)
    def copy2D1(self, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy2D(vec, attr, layer, group)
    def copy2D2(self, vs: SxVS, pos: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy2D(vs, pos, vec, attr, layer, group)
    def copy2D3(self, vs: SxVS, pos: SxPos, pos2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy2D(vs, pos, pos2, attr, layer, group)
    def copy2DMirror(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copy2DMirror(pnt1, pnt2, attr, layer, group, part)
    def copy2DMirror1(self, pnt1: SxPos, pnt2: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy2DMirror(pnt1, pnt2, attr, layer, group)
    def copy2DMirror2(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copy2DMirror(pnt, vec, attr, layer, group, part)
    def copy2DMirror3(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy2DMirror(pnt, vec, attr, layer, group)
    def copy2DRotate(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copy2DRotate(pos, ang, attr, layer, group, part)
    def copy2DRotate1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy2DRotate(pos, ang, attr, layer, group)
    def copy2DRotateRad(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copy2DRotateRad(pos, ang, attr, layer, group, part)
    def copy2DRotateRad1(self, pos: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy2DRotateRad(pos, ang, attr, layer, group)
    def copy2DScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEntSeg.copy2DScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def copy3(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy(pnt, vec, angx, angy, angz, attr, layer, group)
    def copy4(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copy(pnt, vec, zvec, xvec, attr, layer, group, part)
    def copy5(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy(pnt, vec, zvec, xvec, attr, layer, group)
    def copy6(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copy7(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copy8(self, wf: SxWF, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy(wf, pnt, vec, zvec, xvec, attr, layer, group)
    def copy9(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, zvec: SxVec, xvec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copy(wf, pnt, pnt2, zvec, xvec, attr, layer, group)
    def copyMirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group, part)
    def copyMirror1(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copyMirror(plane_pnt1, plane_pnt2, plane_pnt3, attr, layer, group)
    def copyMirror2(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copyMirror(pnt, vec, attr, layer, group, part)
    def copyMirror3(self, pnt: SxPos, vec: SxVec, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copyMirror(pnt, vec, attr, layer, group)
    def copyMirror4(self, face: SxFace, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copyMirror(face, attr, layer, group, part)
    def copyMirror5(self, face: SxFace, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copyMirror(face, attr, layer, group)
    def copyRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copyRad(pnt, vec, angx, angy, angz, attr, layer, group, part)
    def copyRad1(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copyRad(pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad2(self, wf: SxWF, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copyRad(wf, pnt, vec, angx, angy, angz, attr, layer, group)
    def copyRad3(self, wf: SxWF, pnt: SxPos, pnt2: SxPos, angx: float, angy: float, angz: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copyRad(wf, pnt, pnt2, angx, angy, angz, attr, layer, group)
    def copyRotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotate1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copyRotate(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyRotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group, part)
    def copyRotateRad1(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float, attr: bool, layer: bool, group: bool) -> SxEnt: return sxnet.SxEntSeg.copyRotateRad(axis_pnt1, axis_pnt2, ang, attr, layer, group)
    def copyScale(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool, part: bool) -> SxEnt: return sxnet.SxEntSeg.copyScale(pnt, scale, attr, layer, group, dim_val, text_size, part)
    def copyScale1(self, pnt: SxPos, scale: float, attr: bool, layer: bool, group: bool, dim_val: bool, text_size: bool) -> SxEnt: return sxnet.SxEntSeg.copyScale(pnt, scale, attr, layer, group, dim_val, text_size)
    def createAngleDim(self, obj1: Any, obj2: Any, pnt1: SxPos, tol1: str, tol2: str) -> SxEntSeg: return sxnet.SxEntSeg.createAngleDim(obj1, obj2, pnt1, tol1, tol2)
    def createAngleDim1(self, obj1: Any, obj2: Any, pnt: SxPos, opt: SxOptAngleDim) -> SxEntSeg: return sxnet.SxEntSeg.createAngleDim(obj1, obj2, pnt, opt)
    def createAngleDim2D(self, pos: SxPos, line1: SxGeomLine2D, line2: SxGeomLine2D) -> SxEntSeg: return sxnet.SxEntSeg.createAngleDim2D(pos, line1, line2)
    def createAngleDim3D(self, pos: SxPos, line1: SxGeomLine3D, line2: SxGeomLine3D, plane: SxGeomPlane) -> SxEntSeg: return sxnet.SxEntSeg.createAngleDim3D(pos, line1, line2, plane)
    def createAplDimArcleng(self, obj: Any, pos: SxPos, tol1: str, tol2: str, arcdisp: bool, type: bool) -> SxEntSeg: return sxnet.SxEntSeg.createAplDimArcleng(obj, pos, tol1, tol2, arcdisp, type)
    def createAplDimArcleng1(self, obj: Any, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, tol1: str, tol2: str, arcdisp: bool, type: bool) -> SxEntSeg: return sxnet.SxEntSeg.createAplDimArcleng(obj, pnt1, pnt2, pnt3, tol1, tol2, arcdisp, type)
    def createAplDimPoint(self, pnt: SxPos, pos: SxPos, tol1: str, tol2: str) -> SxEntSeg: return sxnet.SxEntSeg.createAplDimPoint(pnt, pos, tol1, tol2)
    def createAplDimPoint1(self, pnt: SxPos, pos: SxPos, tol1: str, tol2: str, setangle: bool, angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createAplDimPoint(pnt, pos, tol1, tol2, setangle, angle)
    def createAplDimSide(self, obj: Any, pnt: SxPos, dim_value: float, dimlength: float, tol1: str, tol2: str, mark: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createAplDimSide(obj, pnt, dim_value, dimlength, tol1, tol2, mark, mark_str)
    def createArc2D(self, center: SxPos, diameter: float, start_angle: float, end_angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createArc2D(center, diameter, start_angle, end_angle)
    def createArc2D1(self, center: SxPos, s_pos: SxPos, angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createArc2D(center, s_pos, angle)
    def createArc2DRad(self, center: SxPos, diameter: float, start_angle: float, end_angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createArc2DRad(center, diameter, start_angle, end_angle)
    def createArc2DRad1(self, center: SxPos, s_pos: SxPos, angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createArc2DRad(center, s_pos, angle)
    def createArc3D(self, center: SxPos, diameter: float, nvec: SxVec, svec: SxVec, evec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createArc3D(center, diameter, nvec, svec, evec)
    def createArrow(self, pntlist: list[SxPos]) -> SxEntSeg: return sxnet.SxEntSeg.createArrow(pntlist)
    def createArrowView(self, pnt1: SxPos, pnt2: SxPos, name: str) -> SxEntSeg: return sxnet.SxEntSeg.createArrowView(pnt1, pnt2, name)
    def createBalloon(self, pnt1: SxPos, pnt2: SxPos, cinf1: str, cinf2: str, arrowtyp: int) -> SxEntSeg: return sxnet.SxEntSeg.createBalloon(pnt1, pnt2, cinf1, cinf2, arrowtyp)
    def createBalloon1(self, pnt1: SxPos, pnt2: SxPos, cinf1: str, cinf2: str, arrowtyp: int, angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createBalloon(pnt1, pnt2, cinf1, cinf2, arrowtyp, angle)
    def createBlend(self, edge_list: list[SxEdge], radius: float, mode: int) -> None: return sxnet.SxEntSeg.createBlend(edge_list, radius, mode)
    def createBlock3D(self, pnt: SxPos, width: float, depth: float, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createBlock3D(pnt, width, depth, height, angx, angy, angz)
    def createBlock3D1(self, pnt: SxPos, width: float, depth: float, height: float, zvec: SxVec, xvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createBlock3D(pnt, width, depth, height, zvec, xvec)
    def createBlock3DRad(self, pnt: SxPos, width: float, depth: float, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createBlock3DRad(pnt, width, depth, height, angx, angy, angz)
    def createCap3D(self, pnt: SxPos, axis1: float, axis2: float, position: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createCap3D(pnt, axis1, axis2, position, angx, angy, angz)
    def createCap3D1(self, pnt: SxPos, axis1: float, axis2: float, position: float, zvec: SxVec, xvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createCap3D(pnt, axis1, axis2, position, zvec, xvec)
    def createCap3D2(self, pnt: SxPos, axis1: float, axis2: float, diameter: float, reverse: bool, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createCap3D(pnt, axis1, axis2, diameter, reverse, angx, angy, angz)
    def createCap3D3(self, pnt: SxPos, axis1: float, axis2: float, diameter: float, reverse: bool, zvec: SxVec, xvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createCap3D(pnt, axis1, axis2, diameter, reverse, zvec, xvec)
    def createCap3DRad(self, pnt: SxPos, axis1: float, axis2: float, position: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createCap3DRad(pnt, axis1, axis2, position, angx, angy, angz)
    def createCap3DRad1(self, pnt: SxPos, axis1: float, axis2: float, diameter: float, reverse: bool, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createCap3DRad(pnt, axis1, axis2, diameter, reverse, angx, angy, angz)
    def createCentLine(self, obj_list: list[Any], offset: float, angle: float, is_width: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.createCentLine(obj_list, offset, angle, is_width)
    def createCenterLine2D(self, entlist: list[SxEntSeg], offset: float) -> list[SxEntSeg]: return sxnet.SxEntSeg.createCenterLine2D(entlist, offset)
    def createChamfer2D(self, seg1: SxEntSeg, pos1: SxPos, seg2: SxEntSeg, pos2: SxPos, length: float, angle: float, trim_mode: int, draftline: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.createChamfer2D(seg1, pos1, seg2, pos2, length, angle, trim_mode, draftline)
    def createChamferDim(self, obj: Any, pos: SxPos, tol1: str, tol2: str, num: str, disp: bool) -> SxEntSeg: return sxnet.SxEntSeg.createChamferDim(obj, pos, tol1, tol2, num, disp)
    def createChamferDim1(self, obj: Any, pos: SxPos, opt: SxOptChamferDim) -> SxEntSeg: return sxnet.SxEntSeg.createChamferDim(obj, pos, opt)
    def createChamferDim2D(self, pos: SxPos, line: SxGeomLine2D) -> SxEntSeg: return sxnet.SxEntSeg.createChamferDim2D(pos, line)
    def createChamferDim3D(self, pos: SxPos, line: SxGeomLine3D, plane: SxGeomPlane) -> SxEntSeg: return sxnet.SxEntSeg.createChamferDim3D(pos, line, plane)
    def createCircle2D(self, center: SxPos, diameter: float) -> SxEntSeg: return sxnet.SxEntSeg.createCircle2D(center, diameter)
    def createCircle3D(self, center: SxPos, diameter: float) -> SxEntSeg: return sxnet.SxEntSeg.createCircle3D(center, diameter)
    def createCircle3D1(self, center: SxPos, diameter: float, nvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createCircle3D(center, diameter, nvec)
    def createCone3D(self, pnt: SxPos, bottom_diameter: float, val: float, is_diameter: bool, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createCone3D(pnt, bottom_diameter, val, is_diameter, height, angx, angy, angz)
    def createCone3D1(self, pnt: SxPos, bottom_diameter: float, val: float, is_diameter: bool, height: float, zvec: SxVec, xvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createCone3D(pnt, bottom_diameter, val, is_diameter, height, zvec, xvec)
    def createCone3D2(self, pnt: SxPos, bottom_diameter: float, top_diameter: float, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createCone3D(pnt, bottom_diameter, top_diameter, height, angx, angy, angz)
    def createCone3D3(self, pnt: SxPos, bottom_diameter: float, top_diameter: float, height: float, zvec: SxVec, xvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createCone3D(pnt, bottom_diameter, top_diameter, height, zvec, xvec)
    def createCone3DRad(self, pnt: SxPos, bottom_diameter: float, val: float, is_diameter: bool, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createCone3DRad(pnt, bottom_diameter, val, is_diameter, height, angx, angy, angz)
    def createCone3DRad1(self, pnt: SxPos, bottom_diameter: float, top_diameter: float, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createCone3DRad(pnt, bottom_diameter, top_diameter, height, angx, angy, angz)
    def createCutLine(self, obj: list[Any], pnt1: SxPos, pnt2: SxPos, name: str, arrow_disp: bool) -> SxEntSeg: return sxnet.SxEntSeg.createCutLine(obj, pnt1, pnt2, name, arrow_disp)
    def createCylinder3D(self, pnt: SxPos, diameter: float, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createCylinder3D(pnt, diameter, height, angx, angy, angz)
    def createCylinder3D1(self, pnt: SxPos, diameter: float, height: float, zvec: SxVec, xvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createCylinder3D(pnt, diameter, height, zvec, xvec)
    def createCylinder3DRad(self, pnt: SxPos, diameter: float, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createCylinder3DRad(pnt, diameter, height, angx, angy, angz)
    def createDelta(self, pos: SxPos, txt: str, angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createDelta(pos, txt, angle)
    def createDiameterDimBet2pt(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, tol1: str, tol2: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimBet2pt(pnt1, pnt2, pnt3, tol1, tol2, mark1, mark2, mark_str)
    def createDiameterDimBet2pt1(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimBet2pt(pnt1, pnt2, pnt3, opt)
    def createDiameterDimCent(self, obj: Any, pnt1: SxPos, pnt2: SxPos, tol1: str, tol2: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimCent(obj, pnt1, pnt2, tol1, tol2, mark1, mark2, mark_str)
    def createDiameterDimCent1(self, obj: Any, pnt1: SxPos, pnt2: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimCent(obj, pnt1, pnt2, opt)
    def createDiameterDimLead(self, obj: Any, pos: SxPos, direct: bool, tol1: str, tol2: str, kousu: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimLead(obj, pos, direct, tol1, tol2, kousu, mark1, mark2, mark_str)
    def createDiameterDimLead1(self, obj: Any, pos: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimLead(obj, pos, opt)
    def createDiameterDimNoDim(self, obj: Any, pos: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimNoDim(obj, pos, opt)
    def createDiameterDimOside(self, obj: Any, pos: SxPos, tol1: str, tol2: str, kousu: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimOside(obj, pos, tol1, tol2, kousu, mark1, mark2, mark_str)
    def createDiameterDimOside1(self, obj: Any, pos: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimOside(obj, pos, opt)
    def createDiameterDimStd(self, obj: Any, pos: SxPos, tol1: str, tol2: str, kousu: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimStd(obj, pos, tol1, tol2, kousu, mark1, mark2, mark_str)
    def createDiameterDimStd1(self, obj: Any, pos: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimStd(obj, pos, opt)
    def createDiameterDimStd2D(self, pos: SxPos, arcinf: list[float]) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimStd2D(pos, arcinf)
    def createDiameterDimStd3D(self, pos: SxPos, arcinf: list[float], plane: SxGeomPlane) -> SxEntSeg: return sxnet.SxEntSeg.createDiameterDimStd3D(pos, arcinf, plane)
    def createEllipse2D(self, center: SxPos, d1: float, d2: float, angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createEllipse2D(center, d1, d2, angle)
    def createEllipse2DRad(self, center: SxPos, d1: float, d2: float, angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createEllipse2DRad(center, d1, d2, angle)
    def createEntityDim3D(self, face: SxFace, type: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.createEntityDim3D(face, type)
    def createEntityDim3D1(self, type: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.createEntityDim3D(type)
    def createFinishMark(self, pos: SxPos, type: int) -> SxEntSeg: return sxnet.SxEntSeg.createFinishMark(pos, type)
    def createFinishMark1(self, obj: Any, pnt: SxPos, type: int) -> SxEntSeg: return sxnet.SxEntSeg.createFinishMark(obj, pnt, type)
    def createHatch2D(self, pos: SxPos, pattern: int, slant: float, space: float, pitch: float) -> SxEntSeg: return sxnet.SxEntSeg.createHatch2D(pos, pattern, slant, space, pitch)
    def createHatch2D1(self, seglist: list[SxEntSeg], pattern: int, slant: float, space: float, pitch: float) -> SxEntSeg: return sxnet.SxEntSeg.createHatch2D(seglist, pattern, slant, space, pitch)
    def createHatch2D2(self, pntlist: list[SxPos], pattern: int, slant: float, space: float, pitch: float) -> SxEntSeg: return sxnet.SxEntSeg.createHatch2D(pntlist, pattern, slant, space, pitch)
    def createHatch2D3(self, pos: SxPos, hatchfile: SxFileModel, slant: float, scale: float) -> SxEntSeg: return sxnet.SxEntSeg.createHatch2D(pos, hatchfile, slant, scale)
    def createHatch2D4(self, seglist: list[SxEntSeg], hatchfile: SxFileModel, slant: float, scale: float) -> SxEntSeg: return sxnet.SxEntSeg.createHatch2D(seglist, hatchfile, slant, scale)
    def createHatch2D5(self, pntlist: list[SxPos], hatchfile: SxFileModel, slant: float, scale: float) -> SxEntSeg: return sxnet.SxEntSeg.createHatch2D(pntlist, hatchfile, slant, scale)
    def createLengthDimBase(self, pntlist: list[SxPos], obj: Any, pnt1: SxPos, tol1: str, tol2: str, basenm: str, mark: int, mark_str: str) -> list[SxEntSeg]: return sxnet.SxEntSeg.createLengthDimBase(pntlist, obj, pnt1, tol1, tol2, basenm, mark, mark_str)
    def createLengthDimBase1(self, pntlist: list[SxPos], obj: Any, pnt: SxPos, opt: SxOptLengthDim) -> list[SxEntSeg]: return sxnet.SxEntSeg.createLengthDimBase(pntlist, obj, pnt, opt)
    def createLengthDimCent(self, obj: Any, pnt1: SxPos, pnt2: SxPos, tol1: str, tol2: str, mark: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createLengthDimCent(obj, pnt1, pnt2, tol1, tol2, mark, mark_str)
    def createLengthDimCent1(self, obj: Any, pnt1: SxPos, pnt2: SxPos, opt: SxOptLengthDim) -> SxEntSeg: return sxnet.SxEntSeg.createLengthDimCent(obj, pnt1, pnt2, opt)
    def createLengthDimDie(self, pntlist: list[SxPos], obj: Any, pnt1: SxPos, tol1: str, tol2: str, mark: int, mark_str: str) -> list[SxEntSeg]: return sxnet.SxEntSeg.createLengthDimDie(pntlist, obj, pnt1, tol1, tol2, mark, mark_str)
    def createLengthDimDie1(self, pntlist: list[SxPos], obj: Any, pnt: SxPos, opt: SxOptLengthDim) -> list[SxEntSeg]: return sxnet.SxEntSeg.createLengthDimDie(pntlist, obj, pnt, opt)
    def createLengthDimParl(self, pntlist: list[SxPos], obj: Any, pnt1: SxPos, tol1: str, tol2: str, mark: int, mark_str: str) -> list[SxEntSeg]: return sxnet.SxEntSeg.createLengthDimParl(pntlist, obj, pnt1, tol1, tol2, mark, mark_str)
    def createLengthDimParl1(self, pntlist: list[SxPos], obj: Any, pnt: SxPos, opt: SxOptLengthDim) -> list[SxEntSeg]: return sxnet.SxEntSeg.createLengthDimParl(pntlist, obj, pnt, opt)
    def createLengthDimProg(self, pntlist: list[SxPos], obj: Any, pnt1: SxPos, tol1: str, tol2: str, mark: int, mark_str: str) -> list[SxEntSeg]: return sxnet.SxEntSeg.createLengthDimProg(pntlist, obj, pnt1, tol1, tol2, mark, mark_str)
    def createLengthDimProg1(self, pntlist: list[SxPos], obj: Any, pnt: SxPos, opt: SxOptLengthDim) -> list[SxEntSeg]: return sxnet.SxEntSeg.createLengthDimProg(pntlist, obj, pnt, opt)
    def createLengthDimSeri(self, pntlist: list[SxPos], obj: Any, pnt: SxPos, tol1: str, tol2: str, mark: int, mark_str: str) -> list[SxEntSeg]: return sxnet.SxEntSeg.createLengthDimSeri(pntlist, obj, pnt, tol1, tol2, mark, mark_str)
    def createLengthDimSeri1(self, pntlist: list[SxPos], obj: Any, pnt: SxPos, opt: SxOptLengthDim) -> list[SxEntSeg]: return sxnet.SxEntSeg.createLengthDimSeri(pntlist, obj, pnt, opt)
    def createLengthDimStd(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, tol1: str, tol2: str, mark: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createLengthDimStd(pnt1, pnt2, pnt3, tol1, tol2, mark, mark_str)
    def createLengthDimStd1(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, opt: SxOptLengthDim) -> SxEntSeg: return sxnet.SxEntSeg.createLengthDimStd(pnt1, pnt2, pnt3, opt)
    def createLengthDimStd2(self, obj1: Any, obj2: Any, pnt1: SxPos, tol1: str, tol2: str, mark: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createLengthDimStd(obj1, obj2, pnt1, tol1, tol2, mark, mark_str)
    def createLengthDimStd2D(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, vec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createLengthDimStd2D(pnt1, pnt2, pnt3, vec)
    def createLengthDimStd3(self, obj1: Any, obj2: Any, pnt: SxPos, opt: SxOptLengthDim) -> SxEntSeg: return sxnet.SxEntSeg.createLengthDimStd(obj1, obj2, pnt, opt)
    def createLengthDimStd3D(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, vec: SxVec, plane: SxGeomPlane) -> SxEntSeg: return sxnet.SxEntSeg.createLengthDimStd3D(pnt1, pnt2, pnt3, vec, plane)
    def createLine2D(self, pnt1: SxPos, pnt2: SxPos) -> SxEntSeg: return sxnet.SxEntSeg.createLine2D(pnt1, pnt2)
    def createLine2D1(self, pnt1: SxPos, vec: SxVec, leng: float) -> SxEntSeg: return sxnet.SxEntSeg.createLine2D(pnt1, vec, leng)
    def createLine2D2(self, pnt1: SxPos, angle: float, leng: float) -> SxEntSeg: return sxnet.SxEntSeg.createLine2D(pnt1, angle, leng)
    def createLine2DInfinite(self, pnt1: SxPos, pnt2: SxPos) -> SxEntSeg: return sxnet.SxEntSeg.createLine2DInfinite(pnt1, pnt2)
    def createLine2DInfinite1(self, pnt1: SxPos, vec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createLine2DInfinite(pnt1, vec)
    def createLine2DInfinite2(self, pnt1: SxPos, angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createLine2DInfinite(pnt1, angle)
    def createLine2DInfiniteRad(self, pnt1: SxPos, angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createLine2DInfiniteRad(pnt1, angle)
    def createLine2DRad(self, pnt1: SxPos, angle: float, leng: float) -> SxEntSeg: return sxnet.SxEntSeg.createLine2DRad(pnt1, angle, leng)
    def createLine3D(self, pnt1: SxPos, pnt2: SxPos) -> SxEntSeg: return sxnet.SxEntSeg.createLine3D(pnt1, pnt2)
    def createLine3D1(self, sp: SxPos, vec: SxVec, leng: float) -> SxEntSeg: return sxnet.SxEntSeg.createLine3D(sp, vec, leng)
    def createLine3DInfinite(self, pnt1: SxPos, pnt2: SxPos) -> SxEntSeg: return sxnet.SxEntSeg.createLine3DInfinite(pnt1, pnt2)
    def createLine3DInfinite1(self, sp: SxPos, vec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createLine3DInfinite(sp, vec)
    def createLoft3D(self, seglist: list[SxEntSeg], rpos_list: list[SxPos], org_list: list[SxPos], set_tanjoin_s: bool, set_tanjoin_m: bool, set_tanjoin_e: bool, rpart: bool) -> SxEntSeg: return sxnet.SxEntSeg.createLoft3D(seglist, rpos_list, org_list, set_tanjoin_s, set_tanjoin_m, set_tanjoin_e, rpart)
    def createMkupAngleDim(self, obj1: Any, obj2: Any, pnt: SxPos, is_ang_obtuse: bool) -> SxEntSeg: return sxnet.SxEntSeg.createMkupAngleDim(obj1, obj2, pnt, is_ang_obtuse)
    def createMkupArrow(self, pntlist: list[SxPos]) -> SxEntSeg: return sxnet.SxEntSeg.createMkupArrow(pntlist)
    def createMkupDiameterDim(self, obj: Any, pos: SxPos) -> SxEntSeg: return sxnet.SxEntSeg.createMkupDiameterDim(obj, pos)
    def createMkupLengthDim(self, obj1: Any, obj2: Any, pnt: SxPos) -> SxEntSeg: return sxnet.SxEntSeg.createMkupLengthDim(obj1, obj2, pnt)
    def createMkupNote(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, cinf: list[str], verline: bool, underline: bool) -> SxEntSeg: return sxnet.SxEntSeg.createMkupNote(pnt1, pnt2, pnt3, cinf, verline, underline)
    def createMkupNote1(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, cinf: list[str], verline: bool, underline: bool, font_name: str, bold: bool, italic: bool) -> SxEntSeg: return sxnet.SxEntSeg.createMkupNote(pnt1, pnt2, pnt3, cinf, verline, underline, font_name, bold, italic)
    def createMkupRadiusDim(self, obj: Any, pos: SxPos) -> SxEntSeg: return sxnet.SxEntSeg.createMkupRadiusDim(obj, pos)
    def createNote(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, cinf: list[str], ttype: int, verline: bool, underline: bool, arrowtyp: int) -> SxEntSeg: return sxnet.SxEntSeg.createNote(pnt1, pnt2, pnt3, cinf, ttype, verline, underline, arrowtyp)
    def createNote1(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, cinf: list[str], ttype: int, verline: bool, underline: bool, arrowtyp: int, angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createNote(pnt1, pnt2, pnt3, cinf, ttype, verline, underline, arrowtyp, angle)
    def createNote2(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, cinf: list[str], ttype: int, verline: bool, underline: bool, arrowtyp: int, font_name: str, bold: bool, italic: bool) -> SxEntSeg: return sxnet.SxEntSeg.createNote(pnt1, pnt2, pnt3, cinf, ttype, verline, underline, arrowtyp, font_name, bold, italic)
    def createNote3(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, cinf: list[str], ttype: int, verline: bool, underline: bool, arrowtyp: int, angle: float, font_name: str, bold: bool, italic: bool) -> SxEntSeg: return sxnet.SxEntSeg.createNote(pnt1, pnt2, pnt3, cinf, ttype, verline, underline, arrowtyp, angle, font_name, bold, italic)
    def createPathSpec3D(self, seglist: list[SxEntSeg], path_seglist: list[SxEntSeg], connect: bool, rpart: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.createPathSpec3D(seglist, path_seglist, connect, rpart)
    def createPathSpec3D1(self, seglist: list[SxEntSeg], rpos_list: list[SxPos], org_list: list[SxPos], path_seglist: list[SxEntSeg], rpart: bool) -> SxEntSeg: return sxnet.SxEntSeg.createPathSpec3D(seglist, rpos_list, org_list, path_seglist, rpart)
    def createPoint2D(self, pnt: SxPos) -> SxEntSeg: return sxnet.SxEntSeg.createPoint2D(pnt)
    def createPoint3D(self, pnt: SxPos) -> SxEntSeg: return sxnet.SxEntSeg.createPoint3D(pnt)
    def createPrism3D(self, pnt: SxPos, num: int, length: float, is_diameter: bool, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createPrism3D(pnt, num, length, is_diameter, height, angx, angy, angz)
    def createPrism3D1(self, pnt: SxPos, num: int, length: float, is_diameter: bool, height: float, zvec: SxVec, xvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createPrism3D(pnt, num, length, is_diameter, height, zvec, xvec)
    def createPrism3D2(self, pnt: SxPos, num: int, diameter: float, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createPrism3D(pnt, num, diameter, height, angx, angy, angz)
    def createPrism3D3(self, pnt: SxPos, num: int, diameter: float, height: float, zvec: SxVec, xvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createPrism3D(pnt, num, diameter, height, zvec, xvec)
    def createPrism3DRad(self, pnt: SxPos, num: int, length: float, is_diameter: bool, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createPrism3DRad(pnt, num, length, is_diameter, height, angx, angy, angz)
    def createPrism3DRad1(self, pnt: SxPos, num: int, diameter: float, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createPrism3DRad(pnt, num, diameter, height, angx, angy, angz)
    def createPyramid3D(self, pnt: SxPos, num: int, bottom_length: float, top_length: float, is_diameter: bool, is_angle: bool, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createPyramid3D(pnt, num, bottom_length, top_length, is_diameter, is_angle, height, angx, angy, angz)
    def createPyramid3D1(self, pnt: SxPos, num: int, bottom_length: float, top_length: float, is_diameter: bool, is_angle: bool, height: float, zvec: SxVec, xvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createPyramid3D(pnt, num, bottom_length, top_length, is_diameter, is_angle, height, zvec, xvec)
    def createPyramid3D2(self, pnt: SxPos, num: int, bottom_diameter: float, top_diameter: float, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createPyramid3D(pnt, num, bottom_diameter, top_diameter, height, angx, angy, angz)
    def createPyramid3D3(self, pnt: SxPos, num: int, bottom_diameter: float, top_diameter: float, height: float, zvec: SxVec, xvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createPyramid3D(pnt, num, bottom_diameter, top_diameter, height, zvec, xvec)
    def createPyramid3DRad(self, pnt: SxPos, num: int, bottom_length: float, top_length: float, is_diameter: bool, is_angle: bool, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createPyramid3DRad(pnt, num, bottom_length, top_length, is_diameter, is_angle, height, angx, angy, angz)
    def createPyramid3DRad1(self, pnt: SxPos, num: int, bottom_diameter: float, top_diameter: float, height: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createPyramid3DRad(pnt, num, bottom_diameter, top_diameter, height, angx, angy, angz)
    def createRadiusDimBolt(self, obj: Any, pos: SxPos, tol1: str, tol2: str, kousu: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimBolt(obj, pos, tol1, tol2, kousu, mark1, mark2, mark_str)
    def createRadiusDimBolt1(self, obj: Any, pos: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimBolt(obj, pos, opt)
    def createRadiusDimCent(self, obj: Any, pnt1: SxPos, pnt2: SxPos, tol1: str, tol2: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimCent(obj, pnt1, pnt2, tol1, tol2, mark1, mark2, mark_str)
    def createRadiusDimCent1(self, obj: Any, pnt1: SxPos, pnt2: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimCent(obj, pnt1, pnt2, opt)
    def createRadiusDimLead(self, obj: Any, pos: SxPos, direct: bool, tol1: str, tol2: str, kousu: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimLead(obj, pos, direct, tol1, tol2, kousu, mark1, mark2, mark_str)
    def createRadiusDimLead1(self, obj: Any, pos: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimLead(obj, pos, opt)
    def createRadiusDimMini1(self, obj: Any, pos: SxPos, direct: bool, tol1: str, tol2: str, kousu: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimMini1(obj, pos, direct, tol1, tol2, kousu, mark1, mark2, mark_str)
    def createRadiusDimMini11(self, obj: Any, pos: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimMini1(obj, pos, opt)
    def createRadiusDimMini2(self, obj: Any, pos: SxPos, tol1: str, tol2: str, kousu: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimMini2(obj, pos, tol1, tol2, kousu, mark1, mark2, mark_str)
    def createRadiusDimMini21(self, obj: Any, pos: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimMini2(obj, pos, opt)
    def createRadiusDimNoDim(self, obj: Any, pos: SxPos, tol1: str, tol2: str, kousu: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimNoDim(obj, pos, tol1, tol2, kousu, mark1, mark2, mark_str)
    def createRadiusDimNoDim1(self, obj: Any, pos: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimNoDim(obj, pos, opt)
    def createRadiusDimStd(self, obj: Any, pos: SxPos, tol1: str, tol2: str, kousu: str, mark1: int, mark2: int, mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimStd(obj, pos, tol1, tol2, kousu, mark1, mark2, mark_str)
    def createRadiusDimStd1(self, obj: Any, pos: SxPos, opt: SxOptDiameterDim) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimStd(obj, pos, opt)
    def createRadiusDimStd2D(self, pos: SxPos, arcinf: list[float]) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimStd2D(pos, arcinf)
    def createRadiusDimStd3D(self, pos: SxPos, arcinf: list[float], plane: SxGeomPlane) -> SxEntSeg: return sxnet.SxEntSeg.createRadiusDimStd3D(pos, arcinf, plane)
    def createRound2D(self, seg1: SxEntSeg, pos1: SxPos, seg2: SxEntSeg, pos2: SxPos, radius: float, trim_mode: int, draftline: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.createRound2D(seg1, pos1, seg2, pos2, radius, trim_mode, draftline)
    def createShell(self, face_list: list[SxFace], shell_thick: float, mode: int) -> None: return sxnet.SxEntSeg.createShell(face_list, shell_thick, mode)
    def createSphere3D(self, pnt: SxPos, diameter: float) -> SxEntSeg: return sxnet.SxEntSeg.createSphere3D(pnt, diameter)
    def createSpline2D(self, poslist: list[SxPos], kind: int, set_angle_s: bool, set_angle_e: bool, angle_s: float, angle_e: float) -> list[SxEntSeg]: return sxnet.SxEntSeg.createSpline2D(poslist, kind, set_angle_s, set_angle_e, angle_s, angle_e)
    def createSpline2DRad(self, poslist: list[SxPos], kind: int, set_angle_s: bool, set_angle_e: bool, angle_s: float, angle_e: float) -> list[SxEntSeg]: return sxnet.SxEntSeg.createSpline2DRad(poslist, kind, set_angle_s, set_angle_e, angle_s, angle_e)
    def createSpun(self, org: SxPos, zvec: SxVec, xvec: SxVec, pnt_array: list[SxCoord], n_pnt: int) -> SxEntSeg: return sxnet.SxEntSeg.createSpun(org, zvec, xvec, pnt_array, n_pnt)
    def createSpun1(self, org: SxPos, zvec: SxVec, xvec: SxVec, pnt_array: list[SxCoord]) -> SxEntSeg: return sxnet.SxEntSeg.createSpun(org, zvec, xvec, pnt_array)
    def createSpun2(self, org: SxPos, zvec: SxVec, xvec: SxVec, angle: float, pnt_array: list[SxCoord]) -> SxEntSeg: return sxnet.SxEntSeg.createSpun(org, zvec, xvec, angle, pnt_array)
    def createSpun3(self, org: SxPos, zvec: SxVec, xvec: SxVec, angle: float, pnt_array: list[SxCoord], n_pnt: int) -> SxEntSeg: return sxnet.SxEntSeg.createSpun(org, zvec, xvec, angle, pnt_array, n_pnt)
    def createSpun4(self, seglist: list[SxEntSeg], org: SxPos, pnt1: SxPos, pnt2: SxPos, rpart: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.createSpun(seglist, org, pnt1, pnt2, rpart)
    def createSpun5(self, seglist: list[SxEntSeg], org: SxPos, seg1: SxEntSeg, rpart: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.createSpun(seglist, org, seg1, rpart)
    def createSurfmark(self, pnt: SxPos, cinf: list[str], jktype: int, shtype: int) -> SxEntSeg: return sxnet.SxEntSeg.createSurfmark(pnt, cinf, jktype, shtype)
    def createSurfmark1(self, obj: Any, pnt1: SxPos, pnt2: SxPos, opt: SxOptSurfmark) -> SxEntSeg: return sxnet.SxEntSeg.createSurfmark(obj, pnt1, pnt2, opt)
    def createSurfmark2(self, obj: Any, pnt1: SxPos, pnt2: SxPos, opt: SxOptSurfmark2) -> SxEntSeg: return sxnet.SxEntSeg.createSurfmark(obj, pnt1, pnt2, opt)
    def createSwept(self, org: SxPos, zvec: SxVec, xvec: SxVec, height: float, pnt1_array: list[SxCoord], pnt2_array: list[SxCoord], n_pnt: int) -> SxEntSeg: return sxnet.SxEntSeg.createSwept(org, zvec, xvec, height, pnt1_array, pnt2_array, n_pnt)
    def createSwept1(self, org: SxPos, zvec: SxVec, xvec: SxVec, height: float, pnt1_array: list[SxCoord], pnt2_array: list[SxCoord]) -> SxEntSeg: return sxnet.SxEntSeg.createSwept(org, zvec, xvec, height, pnt1_array, pnt2_array)
    def createSwept2(self, org: SxPos, zvec: SxVec, xvec: SxVec, height: float, pnt_array: list[SxCoord], n_pnt: int) -> SxEntSeg: return sxnet.SxEntSeg.createSwept(org, zvec, xvec, height, pnt_array, n_pnt)
    def createSwept3(self, org: SxPos, zvec: SxVec, xvec: SxVec, height: float, pnt_array: list[SxCoord]) -> SxEntSeg: return sxnet.SxEntSeg.createSwept(org, zvec, xvec, height, pnt_array)
    def createSwept4(self, seglist: list[SxEntSeg], height: float, org: SxPos, rpart: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.createSwept(seglist, height, org, rpart)
    def createSwept5(self, seglist: list[SxEntSeg], spnt: SxPos, epnt: SxPos, rpart: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.createSwept(seglist, spnt, epnt, rpart)
    def createTaper(self, face_list: list[SxFace], base_face: SxFace, ang: float) -> None: return sxnet.SxEntSeg.createTaper(face_list, base_face, ang)
    def createTaperRad(self, face_list: list[SxFace], base_face: SxFace, ang: float) -> None: return sxnet.SxEntSeg.createTaperRad(face_list, base_face, ang)
    def createText(self, pnt: SxPos, text: list[str], direc: bool, ttype: int, position: int, angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createText(pnt, text, direc, ttype, position, angle)
    def createText1(self, pnt1: SxPos, pnt2: SxPos, text: list[str], direc: bool, ttype: int, position: int, margin: list[float], angle: float) -> SxEntSeg: return sxnet.SxEntSeg.createText(pnt1, pnt2, text, direc, ttype, position, margin, angle)
    def createText2(self, pnt: SxPos, text: list[str], direc: bool, ttype: int, position: int, angle: float, font_name: str, bold: bool, italic: bool) -> SxEntSeg: return sxnet.SxEntSeg.createText(pnt, text, direc, ttype, position, angle, font_name, bold, italic)
    def createText3(self, pnt1: SxPos, pnt2: SxPos, text: list[str], direc: bool, ttype: int, position: int, margin: list[float], angle: float, font_name: str, bold: bool, italic: bool) -> SxEntSeg: return sxnet.SxEntSeg.createText(pnt1, pnt2, text, direc, ttype, position, margin, angle, font_name, bold, italic)
    def createText4(self, pnt1: SxPos, pnt2: SxPos, opt: SxOptCreateText) -> SxEntSeg: return sxnet.SxEntSeg.createText(pnt1, pnt2, opt)
    def createText5(self, pnt: SxPos, opt: SxOptCreateText) -> SxEntSeg: return sxnet.SxEntSeg.createText(pnt, opt)
    def createTol(self, obj: Any, pos: list[SxPos], frame: SxGeomTol.TolFrame) -> SxEntSeg: return sxnet.SxEntSeg.createTol(obj, pos, frame)
    def createTol1(self, pos: SxPos, frame: SxGeomTol.TolFrame) -> SxEntSeg: return sxnet.SxEntSeg.createTol(pos, frame)
    def createTolDatum(self, obj: Any, pos: list[SxPos], mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createTolDatum(obj, pos, mark_str)
    def createTolFrom(self, obj: Any, pos: list[SxPos], mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createTolFrom(obj, pos, mark_str)
    def createTolFrom1(self, pos: list[SxPos], mark_str: str) -> SxEntSeg: return sxnet.SxEntSeg.createTolFrom(pos, mark_str)
    def createTorus3D(self, center: SxPos, min_diameter: float, max_radius: float, angle: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createTorus3D(center, min_diameter, max_radius, angle, angx, angy, angz)
    def createTorus3D1(self, pnt: SxPos, min_diameter: float, max_radius: float, angle: float, zvec: SxVec, xvec: SxVec) -> SxEntSeg: return sxnet.SxEntSeg.createTorus3D(pnt, min_diameter, max_radius, angle, zvec, xvec)
    def createTorus3DRad(self, pnt: SxPos, min_diameter: float, max_radius: float, angle: float, angx: float, angy: float, angz: float) -> SxEntSeg: return sxnet.SxEntSeg.createTorus3DRad(pnt, min_diameter, max_radius, angle, angx, angy, angz)
    def createWeld(self, pnt1: SxPos, pnt2: SxPos, pnt3: SxPos, arrow_type: int, weld: SxGeomWeld.MarkText) -> SxEntSeg: return sxnet.SxEntSeg.createWeld(pnt1, pnt2, pnt3, arrow_type, weld)
    def cut(self, seglist: list[SxEntSeg], facelist: list[SxFace], rpnt: SxPos, trim: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.cut(seglist, facelist, rpnt, trim)
    def cut1(self, seglist: list[SxEntSeg], plane: SxFace, opos: SxPos, rpnt: SxPos, mode: int, trim: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.cut(seglist, plane, opos, rpnt, mode, trim)
    def cut2(self, seglist: list[SxEntSeg], wirelist: list[Any], spnt: SxPos, epnt: SxPos, rpnt: SxPos, trim: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.cut(seglist, wirelist, spnt, epnt, rpnt, trim)
    def cut3(self, facelist: list[SxFace], rpnt: SxPos, trim: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.cut(facelist, rpnt, trim)
    def cut4(self, plane: SxFace, opos: SxPos, rpnt: SxPos, mode: int, trim: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.cut(plane, opos, rpnt, mode, trim)
    def cut5(self, wirelist: list[Any], spnt: SxPos, epnt: SxPos, rpnt: SxPos, trim: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.cut(wirelist, spnt, epnt, rpnt, trim)
    def delDimLeaderLine(self) -> None: return sxnet.SxEntSeg.delDimLeaderLine()
    def delDimLeaderLine1(self, lead_line_no: int) -> None: return sxnet.SxEntSeg.delDimLeaderLine(lead_line_no)
    def delDupAdditionalLine(self, seglist: list[SxEntSeg]) -> None: return sxnet.SxEntSeg.delDupAdditionalLine(seglist)
    def delete(self) -> None: return sxnet.SxEntSeg.delete()
    def deleteBalloon(self, no: int) -> None: return sxnet.SxEntSeg.deleteBalloon(no)
    def deleteMkup(self) -> None: return sxnet.SxEntSeg.deleteMkup()
    def echo(self) -> None: return sxnet.SxEntSeg.echo()
    def editAdditionalLineTilt(self, tilt: float) -> None: return sxnet.SxEntSeg.editAdditionalLineTilt(tilt)
    def editBalloonDiameter(self, diameter: float) -> None: return sxnet.SxEntSeg.editBalloonDiameter(diameter)
    def editBalloonNum(self, no: int, num: int) -> None: return sxnet.SxEntSeg.editBalloonNum(no, num)
    def editBalloonNum1(self, num: int) -> None: return sxnet.SxEntSeg.editBalloonNum(num)
    def editDimText(self, dimtext: SxDimValueAtr, opt: SxOptDimEdit) -> None: return sxnet.SxEntSeg.editDimText(dimtext, opt)
    def editDimText1(self, tol: SxGeomTol.TolFrame) -> None: return sxnet.SxEntSeg.editDimText(tol)
    def editDimText2(self, weld: SxGeomWeld.MarkText, leadline_opt: SxOptWeldEdit) -> None: return sxnet.SxEntSeg.editDimText(weld, leadline_opt)
    def editDimText3(self, smark: SxGeomSmark) -> None: return sxnet.SxEntSeg.editDimText(smark)
    def editTerminalMark(self, arrow_type: int, which_arrow: int, lead_line_no: int) -> None: return sxnet.SxEntSeg.editTerminalMark(arrow_type, which_arrow, lead_line_no)
    def editTerminalMarkAuto(self, seglist: list[SxEntSeg], arrow_type: int) -> list[SxEntSeg]: return sxnet.SxEntSeg.editTerminalMarkAuto(seglist, arrow_type)
    def editTerminalMarkSize(self, arrow_width: float, arrow_ang: float, dot_diam: float) -> None: return sxnet.SxEntSeg.editTerminalMarkSize(arrow_width, arrow_ang, dot_diam)
    def editText(self, text: list[str]) -> None: return sxnet.SxEntSeg.editText(text)
    def editText1(self, text: str) -> None: return sxnet.SxEntSeg.editText(text)
    def erase(self) -> None: return sxnet.SxEntSeg.erase()
    def eval(self, pnt: SxPos) -> SxVec: return sxnet.SxEntSeg.eval(pnt)
    def execBoolean(self, entlist: list[SxEntSeg], mode: int, erase: bool) -> SxEntSeg: return sxnet.SxEntSeg.execBoolean(entlist, mode, erase)
    def execBoolean2(self, entlist: list[SxEntSeg], mode: int, erase: bool) -> SxInfExecBoolean: return sxnet.SxEntSeg.execBoolean2(entlist, mode, erase)
    def free(self, seglist: list[SxEntSeg]) -> list[SxEntSeg]: return sxnet.SxEntSeg.free(seglist)
    def free1(self) -> list[SxEntSeg]: return sxnet.SxEntSeg.free()
    def getAnnotedFacesfromDim3D(self) -> list[SxFace]: return sxnet.SxEntSeg.getAnnotedFacesfromDim3D()
    def getAnnotedFacesfromDim3D1(self, seglist: list[SxEntSeg]) -> list[SxFace]: return sxnet.SxEntSeg.getAnnotedFacesfromDim3D(seglist)
    def getEdgeList(self) -> list[SxEdge]: return sxnet.SxEntSeg.getEdgeList()
    def getEdgeList1(self, seglist: list[SxEntSeg]) -> list[SxEdge]: return sxnet.SxEntSeg.getEdgeList(seglist)
    def getEndPoints(self) -> list[SxPos]: return sxnet.SxEntSeg.getEndPoints()
    def getExtent(self) -> SxBox: return sxnet.SxEntSeg.getExtent()
    def getFaceList(self) -> list[SxFace]: return sxnet.SxEntSeg.getFaceList()
    def getFaceList1(self, seglist: list[SxEntSeg]) -> list[SxFace]: return sxnet.SxEntSeg.getFaceList(seglist)
    def getGeom(self) -> SxGeom: return sxnet.SxEntSeg.getGeom()
    def getGeomList(self, seglist: list[SxEntSeg]) -> list[SxGeom]: return sxnet.SxEntSeg.getGeomList(seglist)
    def getGrpList(self) -> list[SxEntGrp]: return sxnet.SxEntSeg.getGrpList()
    def getInf(self) -> SxInfEnt: return sxnet.SxEntSeg.getInf()
    def getInfHoleList(self) -> list[SxInfHole]: return sxnet.SxEntSeg.getInfHoleList()
    def getInfHoleList1(self, seglist: list[SxEntSeg]) -> list[SxInfHole]: return sxnet.SxEntSeg.getInfHoleList(seglist)
    def getInfMaterial(self) -> SxInfMaterial: return sxnet.SxEntSeg.getInfMaterial()
    def getLineAttribute(self) -> list[int]: return sxnet.SxEntSeg.getLineAttribute()
    def getMass(self, opt: SxOptMass) -> SxInfMass: return sxnet.SxEntSeg.getMass(opt)
    def getMiddlePoint(self) -> SxPos: return sxnet.SxEntSeg.getMiddlePoint()
    def getModel(self) -> SxModel: return sxnet.SxEntSeg.getModel()
    def getOnPoint(self, pnt: SxPos, real: bool) -> SxPos: return sxnet.SxEntSeg.getOnPoint(pnt, real)
    def getPart(self) -> SxEntPart: return sxnet.SxEntSeg.getPart()
    def getRPart(self) -> SxEntRPart: return sxnet.SxEntSeg.getRPart()
    def getVS(self) -> SxVS: return sxnet.SxEntSeg.getVS()
    def getWF(self) -> SxWF: return sxnet.SxEntSeg.getWF()
    def getWindow(self) -> SxWindow: return sxnet.SxEntSeg.getWindow()
    def get_ID(self) -> int: return sxnet.SxEntSeg.get_ID()
    def get_Is3d(self) -> bool: return sxnet.SxEntSeg.get_Is3d()
    def get_Type(self) -> int: return sxnet.SxEntSeg.get_Type()
    def isEqual(self, ent: SxEnt) -> bool: return sxnet.SxEntSeg.isEqual(ent)
    def isValid(self) -> bool: return sxnet.SxEntSeg.isValid()
    def mirror(self, plane_pnt1: SxPos, plane_pnt2: SxPos, plane_pnt3: SxPos) -> None: return sxnet.SxEntSeg.mirror(plane_pnt1, plane_pnt2, plane_pnt3)
    def mirror1(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEntSeg.mirror(pnt, vec)
    def mirror2(self, face: SxFace) -> None: return sxnet.SxEntSeg.mirror(face)
    def mirror2D(self, pnt1: SxPos, pnt2: SxPos) -> None: return sxnet.SxEntSeg.mirror2D(pnt1, pnt2)
    def mirror2D1(self, pnt: SxPos, vec: SxVec) -> None: return sxnet.SxEntSeg.mirror2D(pnt, vec)
    def move(self, vec: SxVec) -> None: return sxnet.SxEntSeg.move(vec)
    def move1(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEntSeg.move(pnt, vec, angx, angy, angz)
    def move2(self, pnt: SxPos, vec: SxVec, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxEntSeg.move(pnt, vec, zvec, xvec)
    def move2D(self, vec: SxVec) -> None: return sxnet.SxEntSeg.move2D(vec)
    def moveDim(self, pnt: SxPos, mode: int, term_mark: bool, bolt: bool) -> None: return sxnet.SxEntSeg.moveDim(pnt, mode, term_mark, bolt)
    def moveDimText(self, pnt: SxPos, mode: int) -> None: return sxnet.SxEntSeg.moveDimText(pnt, mode)
    def moveDimTextCenter(self) -> None: return sxnet.SxEntSeg.moveDimTextCenter()
    def moveDimTextReverse(self) -> None: return sxnet.SxEntSeg.moveDimTextReverse()
    def moveDimTextReverseSide(self) -> None: return sxnet.SxEntSeg.moveDimTextReverseSide()
    def moveRad(self, pnt: SxPos, vec: SxVec, angx: float, angy: float, angz: float) -> None: return sxnet.SxEntSeg.moveRad(pnt, vec, angx, angy, angz)
    def offset2D(self, seglist: list[SxEntSeg], seg: SxEntSeg, pnt: SxPos, oneside: bool, attr: bool, layer: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.offset2D(seglist, seg, pnt, oneside, attr, layer)
    def offset2D1(self, pnt: SxPos, oneside: bool, attr: bool, layer: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.offset2D(pnt, oneside, attr, layer)
    def offset3D(self, facelist: list[SxFace], offset: float) -> None: return sxnet.SxEntSeg.offset3D(facelist, offset)
    def removeOverlap(self, seglist: list[SxEntSeg], join: bool) -> list[SxEntSeg]: return sxnet.SxEntSeg.removeOverlap(seglist, join)
    def rotate(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEntSeg.rotate(axis_pnt1, axis_pnt2, ang)
    def rotate1(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEntSeg.rotate(axis_pnt, axis_vec, ang)
    def rotate2D(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEntSeg.rotate2D(pnt, ang)
    def rotate2DRad(self, pnt: SxPos, ang: float) -> None: return sxnet.SxEntSeg.rotate2DRad(pnt, ang)
    def rotateRad(self, axis_pnt1: SxPos, axis_pnt2: SxPos, ang: float) -> None: return sxnet.SxEntSeg.rotateRad(axis_pnt1, axis_pnt2, ang)
    def rotateRad1(self, axis_pnt: SxPos, axis_vec: SxVec, ang: float) -> None: return sxnet.SxEntSeg.rotateRad(axis_pnt, axis_vec, ang)
    def scale(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEntSeg.scale(pnt, scale, dim_val, text_size)
    def scale2D(self, pnt: SxPos, scale: float, dim_val: bool, text_size: bool) -> None: return sxnet.SxEntSeg.scale2D(pnt, scale, dim_val, text_size)
    def setActiveVSWF(self) -> SxWindow: return sxnet.SxEntSeg.setActiveVSWF()
    def setActiveVSWF1(self, new_window: bool) -> SxWindow: return sxnet.SxEntSeg.setActiveVSWF(new_window)
    def setAdditionalLineVisible(self, which_line: int, disp: bool) -> None: return sxnet.SxEntSeg.setAdditionalLineVisible(which_line, disp)
    def setColor(self, color: int) -> None: return sxnet.SxEntSeg.setColor(color)
    def setDimLineColor(self, color: int) -> None: return sxnet.SxEntSeg.setDimLineColor(color)
    def setDimLineWidth(self, width: int) -> None: return sxnet.SxEntSeg.setDimLineWidth(width)
    def setDimTexAngle(self, horizon: bool) -> None: return sxnet.SxEntSeg.setDimTexAngle(horizon)
    def setDimTextColor(self, color: int) -> None: return sxnet.SxEntSeg.setDimTextColor(color)
    def setDimTextFont(self, font_name: str) -> None: return sxnet.SxEntSeg.setDimTextFont(font_name)
    def setDimTextSize(self, height: float, width_ratio: float, space_ratio: float, dimtol_ratio1: float, dimtol_ratio2: float, tol_space: float, tilt: int) -> None: return sxnet.SxEntSeg.setDimTextSize(height, width_ratio, space_ratio, dimtol_ratio1, dimtol_ratio2, tol_space, tilt)
    def setDimTextVisible(self, disp: bool) -> None: return sxnet.SxEntSeg.setDimTextVisible(disp)
    def setDimTextWidth(self, width: int) -> None: return sxnet.SxEntSeg.setDimTextWidth(width)
    def setDraftLine(self, mode: bool) -> None: return sxnet.SxEntSeg.setDraftLine(mode)
    def setFCState(self, state: bool) -> None: return sxnet.SxEntSeg.setFCState(state)
    def setFCState1(self, seglist: list[SxEntSeg], state: bool) -> None: return sxnet.SxEntSeg.setFCState(seglist, state)
    def setInfMaterial(self, mat: SxInfMaterial) -> None: return sxnet.SxEntSeg.setInfMaterial(mat)
    def setLayer(self, layer: int) -> None: return sxnet.SxEntSeg.setLayer(layer)
    def setLineStyle(self, style: int) -> None: return sxnet.SxEntSeg.setLineStyle(style)
    def setLineWidth(self, width: int) -> None: return sxnet.SxEntSeg.setLineWidth(width)
    def setPresentAttrib(self, seglist: list[SxEntSeg], ttype: int) -> None: return sxnet.SxEntSeg.setPresentAttrib(seglist, ttype)
    def setPresentAttrib1(self, ttype: int) -> None: return sxnet.SxEntSeg.setPresentAttrib(ttype)
    def setPresentScale(self, seglist: list[SxEntSeg]) -> None: return sxnet.SxEntSeg.setPresentScale(seglist)
    def setPresentScale1(self) -> None: return sxnet.SxEntSeg.setPresentScale()
    def setShade(self, shade: bool, mode: int) -> None: return sxnet.SxEntSeg.setShade(shade, mode)
    def setShade1(self, shade: bool) -> None: return sxnet.SxEntSeg.setShade(shade)
    def setShade2(self, shade: int, mode: int) -> int: return sxnet.SxEntSeg.setShade(shade, mode)
    def setShade3(self, shade: int) -> int: return sxnet.SxEntSeg.setShade(shade)
    def setTranslucent(self, mode: bool) -> None: return sxnet.SxEntSeg.setTranslucent(mode)
    def setVisible(self, visible: bool) -> None: return sxnet.SxEntSeg.setVisible(visible)
    def trim2D(self, seglist: list[SxEntSeg], tseg: SxEntSeg, rpnt: SxPos) -> list[SxEntSeg]: return sxnet.SxEntSeg.trim2D(seglist, tseg, rpnt)
    def trim2D1(self, tseg: SxEntSeg, rpnt: SxPos) -> None: return sxnet.SxEntSeg.trim2D(tseg, rpnt)
    def trim2D10(self, seglist: list[SxEntSeg], tpnt: SxPos) -> list[SxEntSeg]: return sxnet.SxEntSeg.trim2D(seglist, tpnt)
    def trim2D11(self, tpnt: SxPos) -> list[SxEntSeg]: return sxnet.SxEntSeg.trim2D(tpnt)
    def trim2D2(self, seglist: list[SxEntSeg], tpnt: SxPos, rpnt: SxPos) -> list[SxEntSeg]: return sxnet.SxEntSeg.trim2D(seglist, tpnt, rpnt)
    def trim2D3(self, tpnt: SxPos, rpnt: SxPos) -> None: return sxnet.SxEntSeg.trim2D(tpnt, rpnt)
    def trim2D4(self, seglist: list[SxEntSeg], tseg1: SxEntSeg, tseg2: SxEntSeg, rpnt: SxPos) -> list[SxEntSeg]: return sxnet.SxEntSeg.trim2D(seglist, tseg1, tseg2, rpnt)
    def trim2D5(self, tseg1: SxEntSeg, tseg2: SxEntSeg, rpnt: SxPos) -> list[SxEntSeg]: return sxnet.SxEntSeg.trim2D(tseg1, tseg2, rpnt)
    def trim2D6(self, seglist: list[SxEntSeg], tpnt1: SxPos, tpnt2: SxPos, rpnt: SxPos) -> list[SxEntSeg]: return sxnet.SxEntSeg.trim2D(seglist, tpnt1, tpnt2, rpnt)
    def trim2D7(self, tpnt1: SxPos, tpnt2: SxPos, rpnt: SxPos) -> list[SxEntSeg]: return sxnet.SxEntSeg.trim2D(tpnt1, tpnt2, rpnt)
    def trim2D8(self, seglist: list[SxEntSeg], tseglist: list[SxEntSeg]) -> list[SxEntSeg]: return sxnet.SxEntSeg.trim2D(seglist, tseglist)
    def trim2D9(self, tseglist: list[SxEntSeg]) -> list[SxEntSeg]: return sxnet.SxEntSeg.trim2D(tseglist)


class SxException:
    ircode: list[int]
    Message: str
    Data: System.Collections.IDictionary
    InnerException: System.Exception
    TargetSite: System.Reflection.MethodBase
    StackTrace: str
    HelpLink: str
    Source: str
    HResult: int
    def GetBaseException(self) -> System.Exception: return sxnet.SxException.GetBaseException()
    def GetObjectData(self, info: System.Runtime.Serialization.SerializationInfo, context: System.Runtime.Serialization.StreamingContext) -> None: return sxnet.SxException.GetObjectData(info, context)
    def get_Data(self) -> System.Collections.IDictionary: return sxnet.SxException.get_Data()
    def get_HResult(self) -> int: return sxnet.SxException.get_HResult()
    def get_HelpLink(self) -> str: return sxnet.SxException.get_HelpLink()
    def get_InnerException(self) -> System.Exception: return sxnet.SxException.get_InnerException()
    def get_Message(self) -> str: return sxnet.SxException.get_Message()
    def get_Source(self) -> str: return sxnet.SxException.get_Source()
    def get_StackTrace(self) -> str: return sxnet.SxException.get_StackTrace()
    def get_TargetSite(self) -> System.Reflection.MethodBase: return sxnet.SxException.get_TargetSite()
    def set_HelpLink(self, value: str) -> None: return sxnet.SxException.set_HelpLink(value)
    def set_Source(self, value: str) -> None: return sxnet.SxException.set_Source(value)


class SxFace:
    def echo(self) -> None: return sxnet.SxFace.echo()
    def echo1(self, facelist: list[SxFace]) -> None: return sxnet.SxFace.echo(facelist)
    def eval(self, pnt: SxPos) -> SxVec: return sxnet.SxFace.eval(pnt)
    def getCenterPoint(self) -> SxPos: return sxnet.SxFace.getCenterPoint()
    def getColor(self) -> int: return sxnet.SxFace.getColor()
    def getColorList(self, face_list: list[SxFace]) -> list[int]: return sxnet.SxFace.getColorList(face_list)
    def getEdgeList(self) -> list[SxEdge]: return sxnet.SxFace.getEdgeList()
    def getEdgeList1(self, facelist: list[SxFace]) -> list[SxEdge]: return sxnet.SxFace.getEdgeList(facelist)
    def getEntSeg(self) -> SxEntSeg: return sxnet.SxFace.getEntSeg()
    def getGeom(self) -> SxGeom: return sxnet.SxFace.getGeom()
    def getGeomList(self, facelist: list[SxFace]) -> list[SxGeom]: return sxnet.SxFace.getGeomList(facelist)
    def getMass(self) -> SxInfMass: return sxnet.SxFace.getMass()
    def getMassList(self, facelist: list[SxFace]) -> list[SxInfMass]: return sxnet.SxFace.getMassList(facelist)
    def getOnPoint(self, pnt: SxPos, real: bool) -> SxPos: return sxnet.SxFace.getOnPoint(pnt, real)
    def isEqual(self, face: SxFace) -> bool: return sxnet.SxFace.isEqual(face)
    def isValid(self) -> bool: return sxnet.SxFace.isValid()
    def setColor(self, color: int) -> None: return sxnet.SxFace.setColor(color)
    def setColor1(self, face: list[SxFace], color: int) -> None: return sxnet.SxFace.setColor(face, color)


class SxFile:
    def getDir(self) -> str: return sxnet.SxFile.getDir()
    def getExtension(self) -> str: return sxnet.SxFile.getExtension()
    def getFileName(self) -> str: return sxnet.SxFile.getFileName()
    def getFileNameNoExt(self) -> str: return sxnet.SxFile.getFileNameNoExt()
    def getFullPath(self) -> str: return sxnet.SxFile.getFullPath()
    def getInf(self) -> SxInfFile: return sxnet.SxFile.getInf()


class SxFileMachinePart(SxFile):
    MODE_SEG: int = sxnet.SxFileMachinePart.MODE_SEG
    MODE_PART: int = sxnet.SxFileMachinePart.MODE_PART
    MODE_RPART: int = sxnet.SxFileMachinePart.MODE_RPART
    MODE_GRP: int = sxnet.SxFileMachinePart.MODE_GRP
    def getDir(self) -> str: return sxnet.SxFileMachinePart.getDir()
    def getDirJis(self) -> str: return sxnet.SxFileMachinePart.getDirJis()
    def getDirUser(self) -> str: return sxnet.SxFileMachinePart.getDirUser()
    def getExtension(self) -> str: return sxnet.SxFileMachinePart.getExtension()
    def getFileName(self) -> str: return sxnet.SxFileMachinePart.getFileName()
    def getFileNameNoExt(self) -> str: return sxnet.SxFileMachinePart.getFileNameNoExt()
    def getFullPath(self) -> str: return sxnet.SxFileMachinePart.getFullPath()
    def getInf(self) -> SxInfFile: return sxnet.SxFileMachinePart.getInf()
    def getPatternNames(self) -> list[str]: return sxnet.SxFileMachinePart.getPatternNames()
    def getVarEquations(self) -> list[str]: return sxnet.SxFileMachinePart.getVarEquations()
    def getVarIndex(self, var_name: str) -> int: return sxnet.SxFileMachinePart.getVarIndex(var_name)
    def getVarNames(self) -> list[str]: return sxnet.SxFileMachinePart.getVarNames()
    def getVarValues(self, pattern: str) -> list[float]: return sxnet.SxFileMachinePart.getVarValues(pattern)
    def open(self, mode: int, pattern: str, pos: SxPos, angx: float, angy: float, angz: float, layer: bool) -> SxEnt: return sxnet.SxFileMachinePart.open(mode, pattern, pos, angx, angy, angz, layer)
    def open1(self, mode: int, pattern: str, pos: SxPos, zvec: SxVec, xvec: SxVec, layer: bool) -> SxEnt: return sxnet.SxFileMachinePart.open(mode, pattern, pos, zvec, xvec, layer)
    def open2(self, mode: int, pattern: str, pos: SxPos, rm: SxMatrix3, layer: bool) -> SxEnt: return sxnet.SxFileMachinePart.open(mode, pattern, pos, rm, layer)
    def open2D(self, mode: int, pattern: str, pos: SxPos, ang: float, layer: bool, reverse_x: bool, reverse_y: bool) -> SxEnt: return sxnet.SxFileMachinePart.open2D(mode, pattern, pos, ang, layer, reverse_x, reverse_y)
    def open2DRad(self, mode: int, pattern: str, pos: SxPos, ang: float, layer: bool, reverse_x: bool, reverse_y: bool) -> SxEnt: return sxnet.SxFileMachinePart.open2DRad(mode, pattern, pos, ang, layer, reverse_x, reverse_y)
    def open3(self, mode: int, pattern: str, pos: SxPos, angx: float, angy: float, angz: float, layer: bool, auto_bheight: bool) -> SxEnt: return sxnet.SxFileMachinePart.open(mode, pattern, pos, angx, angy, angz, layer, auto_bheight)
    def open4(self, mode: int, pattern: str, pos: SxPos, zvec: SxVec, xvec: SxVec, layer: bool, auto_bheight: bool) -> SxEnt: return sxnet.SxFileMachinePart.open(mode, pattern, pos, zvec, xvec, layer, auto_bheight)
    def open5(self, mode: int, pattern: str, pos: SxPos, rm: SxMatrix3, layer: bool, auto_bheight: bool) -> SxEnt: return sxnet.SxFileMachinePart.open(mode, pattern, pos, rm, layer, auto_bheight)
    def openRad(self, mode: int, pattern: str, pos: SxPos, angx: float, angy: float, angz: float, layer: bool) -> SxEnt: return sxnet.SxFileMachinePart.openRad(mode, pattern, pos, angx, angy, angz, layer)
    def openRad1(self, mode: int, pattern: str, pos: SxPos, angx: float, angy: float, angz: float, layer: bool, auto_bheight: bool) -> SxEnt: return sxnet.SxFileMachinePart.openRad(mode, pattern, pos, angx, angy, angz, layer, auto_bheight)
    def setVarValues(self, pattern: str, values: list[float]) -> None: return sxnet.SxFileMachinePart.setVarValues(pattern, values)


class SxFileModel(SxFile):
    def getDir(self) -> str: return sxnet.SxFileModel.getDir()
    def getDirHatch(self) -> str: return sxnet.SxFileModel.getDirHatch()
    def getExtension(self) -> str: return sxnet.SxFileModel.getExtension()
    def getFileName(self) -> str: return sxnet.SxFileModel.getFileName()
    def getFileNameNoExt(self) -> str: return sxnet.SxFileModel.getFileNameNoExt()
    def getFullPath(self) -> str: return sxnet.SxFileModel.getFullPath()
    def getInf(self) -> SxInfFile: return sxnet.SxFileModel.getInf()
    def getInfDetail(self) -> SxInfFileModel: return sxnet.SxFileModel.getInfDetail()
    def open(self, read_only: bool, passwd: str) -> SxModel: return sxnet.SxFileModel.open(read_only, passwd)
    def open1(self, read_only: bool) -> SxModel: return sxnet.SxFileModel.open(read_only)
    def openIges(self, is_3d: bool) -> SxModel: return sxnet.SxFileModel.openIges(is_3d)
    def openPS(self, checkdata: bool) -> SxModel: return sxnet.SxFileModel.openPS(checkdata)
    def print(self, plot: SxInfPlot, passwd: str) -> None: return sxnet.SxFileModel.print(plot, passwd)
    def print1(self, passwd: str) -> None: return sxnet.SxFileModel.print(passwd)


class SxFilePart(SxFile):
    MODE_SEG: int = sxnet.SxFilePart.MODE_SEG
    MODE_PART: int = sxnet.SxFilePart.MODE_PART
    MODE_GRP: int = sxnet.SxFilePart.MODE_GRP
    MODE_RPART: int = sxnet.SxFilePart.MODE_RPART
    MODE_REFER: int = sxnet.SxFilePart.MODE_REFER
    def getDir(self) -> str: return sxnet.SxFilePart.getDir()
    def getExtension(self) -> str: return sxnet.SxFilePart.getExtension()
    def getFileName(self) -> str: return sxnet.SxFilePart.getFileName()
    def getFileNameNoExt(self) -> str: return sxnet.SxFilePart.getFileNameNoExt()
    def getFullPath(self) -> str: return sxnet.SxFilePart.getFullPath()
    def getInf(self) -> SxInfFile: return sxnet.SxFilePart.getInf()
    def getPartDir(self, no: int) -> str: return sxnet.SxFilePart.getPartDir(no)
    def open(self, mode: int, pos: SxPos, angx: float, angy: float, angz: float, layer: bool) -> SxEnt: return sxnet.SxFilePart.open(mode, pos, angx, angy, angz, layer)
    def open1(self, mode: int, pos: SxPos, zvec: SxVec, xvec: SxVec, layer: bool) -> SxEnt: return sxnet.SxFilePart.open(mode, pos, zvec, xvec, layer)
    def open2(self, mode: int, pos: SxPos, rm: SxMatrix3, layer: bool) -> SxEnt: return sxnet.SxFilePart.open(mode, pos, rm, layer)
    def open2D(self, mode: int, pos: SxPos, scale: float, ang: float, layer: bool) -> SxEnt: return sxnet.SxFilePart.open2D(mode, pos, scale, ang, layer)
    def open2DRad(self, mode: int, pos: SxPos, scale: float, ang: float, layer: bool) -> SxEnt: return sxnet.SxFilePart.open2DRad(mode, pos, scale, ang, layer)
    def openRad(self, mode: int, pos: SxPos, angx: float, angy: float, angz: float, layer: bool) -> SxEnt: return sxnet.SxFilePart.openRad(mode, pos, angx, angy, angz, layer)


class SxFileSymbol(SxFile):
    def getDir(self) -> str: return sxnet.SxFileSymbol.getDir()
    def getExtension(self) -> str: return sxnet.SxFileSymbol.getExtension()
    def getFileName(self) -> str: return sxnet.SxFileSymbol.getFileName()
    def getFileNameNoExt(self) -> str: return sxnet.SxFileSymbol.getFileNameNoExt()
    def getFullPath(self) -> str: return sxnet.SxFileSymbol.getFullPath()
    def getInf(self) -> SxInfFile: return sxnet.SxFileSymbol.getInf()
    def getSymbolDir(self, no: int) -> str: return sxnet.SxFileSymbol.getSymbolDir(no)
    def open(self, pos: SxPos, height: float, ang: float) -> SxEntSeg: return sxnet.SxFileSymbol.open(pos, height, ang)
    def openRad(self, pos: SxPos, height: float, ang: float) -> SxEntSeg: return sxnet.SxFileSymbol.openRad(pos, height, ang)


class SxGeom:
    type: int
    TYPE_POINT3D: int = sxnet.SxGeom.TYPE_POINT3D
    TYPE_LINE3D: int = sxnet.SxGeom.TYPE_LINE3D
    TYPE_CIRCLE3D: int = sxnet.SxGeom.TYPE_CIRCLE3D
    TYPE_ARC3D: int = sxnet.SxGeom.TYPE_ARC3D
    TYPE_BSPLINE3D: int = sxnet.SxGeom.TYPE_BSPLINE3D
    TYPE_OTHER_CURVE: int = sxnet.SxGeom.TYPE_OTHER_CURVE
    TYPE_POINT2D: int = sxnet.SxGeom.TYPE_POINT2D
    TYPE_LINE2D: int = sxnet.SxGeom.TYPE_LINE2D
    TYPE_CIRCLE2D: int = sxnet.SxGeom.TYPE_CIRCLE2D
    TYPE_ARC2D: int = sxnet.SxGeom.TYPE_ARC2D
    TYPE_ELLIPSE2D: int = sxnet.SxGeom.TYPE_ELLIPSE2D
    TYPE_ELPARC2D: int = sxnet.SxGeom.TYPE_ELPARC2D
    TYPE_SPLINE2D: int = sxnet.SxGeom.TYPE_SPLINE2D
    TYPE_PLANE: int = sxnet.SxGeom.TYPE_PLANE
    TYPE_CYLINDER: int = sxnet.SxGeom.TYPE_CYLINDER
    TYPE_CONE: int = sxnet.SxGeom.TYPE_CONE
    TYPE_TORUS: int = sxnet.SxGeom.TYPE_TORUS
    TYPE_SPHERE: int = sxnet.SxGeom.TYPE_SPHERE
    TYPE_CAP: int = sxnet.SxGeom.TYPE_CAP
    TYPE_OTHER_SURF: int = sxnet.SxGeom.TYPE_OTHER_SURF
    TYPE_SYMBOL: int = sxnet.SxGeom.TYPE_SYMBOL
    TYPE_SYM_METAL: int = sxnet.SxGeom.TYPE_SYM_METAL
    TYPE_SYM_INDICATOR: int = sxnet.SxGeom.TYPE_SYM_INDICATOR
    TYPE_ARROW_VIEW: int = sxnet.SxGeom.TYPE_ARROW_VIEW
    TYPE_CUTLINE: int = sxnet.SxGeom.TYPE_CUTLINE
    TYPE_APL: int = sxnet.SxGeom.TYPE_APL
    TYPE_NOTE: int = sxnet.SxGeom.TYPE_NOTE
    TYPE_LBL: int = sxnet.SxGeom.TYPE_LBL
    TYPE_ARL: int = sxnet.SxGeom.TYPE_ARL
    TYPE_DLIN: int = sxnet.SxGeom.TYPE_DLIN
    TYPE_DANG: int = sxnet.SxGeom.TYPE_DANG
    TYPE_DARC: int = sxnet.SxGeom.TYPE_DARC
    TYPE_FMRK: int = sxnet.SxGeom.TYPE_FMRK
    TYPE_DCHA: int = sxnet.SxGeom.TYPE_DCHA
    TYPE_BALL: int = sxnet.SxGeom.TYPE_BALL
    TYPE_DELTA: int = sxnet.SxGeom.TYPE_DELTA
    TYPE_OTHER_DRAFT: int = sxnet.SxGeom.TYPE_OTHER_DRAFT
    TYPE_WELD: int = sxnet.SxGeom.TYPE_WELD
    TYPE_SIMWELD: int = sxnet.SxGeom.TYPE_SIMWELD
    TYPE_LEAD: int = sxnet.SxGeom.TYPE_LEAD
    TYPE_GTOL: int = sxnet.SxGeom.TYPE_GTOL
    TYPE_TOLDATUM: int = sxnet.SxGeom.TYPE_TOLDATUM
    TYPE_SMRK: int = sxnet.SxGeom.TYPE_SMRK
    TYPE_MARK: int = sxnet.SxGeom.TYPE_MARK
    TYPE_HATCH: int = sxnet.SxGeom.TYPE_HATCH
    TYPE_OTHER_GEOM: int = sxnet.SxGeom.TYPE_OTHER_GEOM


class SxGeomAngDim(SxGeom):
    cs: SxCoordSys
    txtinfo: SxDimValueAtr
    diminfo: SxDimLineAtr
    pnt1: SxPos
    pnt2: SxPos
    pnt3: SxPos
    pnt4: SxPos
    pnt5: SxPos
    pnt6: SxPos
    type: int


class SxGeomAplDim(SxGeom):
    cs: SxCoordSys
    txtinfo: SxDimValueAtr
    diminfo: SxDimLineAtr
    pnt1: SxPos
    pnt2: SxPos
    pnt3: SxPos
    pnt4: SxPos
    pnt5: SxPos
    type: int


class SxGeomArc2D(SxGeom):
    cp: SxPos
    radius: float
    sang: float
    eang: float
    type: int


class SxGeomArc3D(SxGeom):
    cp: SxPos
    axis: SxVec
    radius: float
    vecs: SxVec
    vece: SxVec
    type: int


class SxGeomArcLengDim(SxGeom):
    cs: SxCoordSys
    txtinfo: SxDimValueAtr
    diminfo: SxDimLineAtr
    pnt1: SxPos
    pnt2: SxPos
    pnt3: SxPos
    pnt4: SxPos
    pnt5: SxPos
    pnt6: SxPos
    type: int


class SxGeomArrow(SxGeom):
    cs: SxCoordSys
    color: int
    width: int
    arrow_type: int
    arrow_width: float
    arrow_ang: float
    dot_diam: float
    pnt_num: int
    pntlist: list[SxPos]
    type: int


class SxGeomArrowView(SxGeom):
    cs: SxCoordSys
    place: bool
    name: str
    pnt1: SxPos
    pnt2: SxPos
    atr_word: SxDraftAtrText
    type: int


class SxGeomBalloon(SxGeom):
    cs: SxCoordSys
    tbl: int
    lead_line_num: int
    auto_size: bool
    diam: float
    pnt: SxPos
    txt1: str
    txt2: str
    lead_line: list[SxGeomLeadLine]
    atr_word: SxDraftAtrText
    line_color: int
    line_width: int
    num_use: int
    n_addball: int
    addball: list[SxGeomBalloon.AddBalloon]
    type: int


class SxGeomCap(SxGeom):
    cs: SxCoordSys
    radius1: float
    radius2: float
    orient: bool
    type: int


class SxGeomChamDim(SxGeom):
    cs: SxCoordSys
    txtinfo: SxDimValueAtr
    diminfo: SxDimLineAtr
    pnt1: SxPos
    pnt2: SxPos
    pnt3: SxPos
    type: int


class SxGeomCircle2D(SxGeom):
    cp: SxPos
    radius: float
    type: int


class SxGeomCircle3D(SxGeom):
    cp: SxPos
    axis: SxVec
    radius: float
    type: int


class SxGeomCone(SxGeom):
    cs: SxCoordSys
    radius: float
    half_ang: float
    orient: bool
    type: int


class SxGeomCutLine(SxGeom):
    cs: SxCoordSys
    arrow: bool
    name: str
    pnt1: SxPos
    pnt2: SxPos
    atr_word: SxDraftAtrText
    type: int


class SxGeomCylinder(SxGeom):
    cs: SxCoordSys
    radius: float
    orient: bool
    type: int


class SxGeomDelta(SxGeom):
    cs: SxCoordSys
    pnt: SxPos
    txt: str
    atr_word: SxDraftAtrText
    sidelen: float
    type: int


class SxGeomDiaDim(SxGeom):
    cs: SxCoordSys
    txtinfo: SxDimValueAtr
    diminfo: SxDimLineAtr
    pnt1: SxPos
    pnt2: SxPos
    pnt3: SxPos
    pnt4: SxPos
    type: int


class SxGeomEllipse2D(SxGeom):
    cp: SxPos
    radius1: float
    radius2: float
    ang: float
    type: int


class SxGeomElparc2D(SxGeom):
    cp: SxPos
    radius1: float
    radius2: float
    ang: float
    sang: float
    eang: float
    type: int


class SxGeomFinishMark(SxGeom):
    cs: SxCoordSys
    mark_type: int
    color: int
    width: int
    side_leng: float
    pnt: SxPos
    FINISH_MARK1: int = sxnet.SxGeomFinishMark.FINISH_MARK1
    FINISH_MARK2: int = sxnet.SxGeomFinishMark.FINISH_MARK2
    FINISH_MARK3: int = sxnet.SxGeomFinishMark.FINISH_MARK3
    FINISH_MARK4: int = sxnet.SxGeomFinishMark.FINISH_MARK4
    FINISH_MARK5: int = sxnet.SxGeomFinishMark.FINISH_MARK5
    type: int


class SxGeomHatch(SxGeom):
    pattern: int
    ang: float
    dist: float
    pitch: float
    ex_name: str
    ex_scale: float
    PATTERN_01: int = sxnet.SxGeomHatch.PATTERN_01
    PATTERN_02: int = sxnet.SxGeomHatch.PATTERN_02
    PATTERN_03: int = sxnet.SxGeomHatch.PATTERN_03
    PATTERN_04: int = sxnet.SxGeomHatch.PATTERN_04
    PATTERN_05: int = sxnet.SxGeomHatch.PATTERN_05
    PATTERN_06: int = sxnet.SxGeomHatch.PATTERN_06
    PATTERN_07: int = sxnet.SxGeomHatch.PATTERN_07
    PATTERN_08: int = sxnet.SxGeomHatch.PATTERN_08
    PATTERN_EX: int = sxnet.SxGeomHatch.PATTERN_EX
    type: int


class SxGeomIndicator(SxGeom):
    cs: SxCoordSys
    arrow_type: int
    height: float
    width_ratio: float
    space_ratio: float
    arrow_width: float
    arrow_ang: float
    dot_diam: float
    pnt1: SxPos
    pnt2: SxPos
    pnt3: SxPos
    pnt4: SxPos
    pnt_num: int
    pntlist: list[SxPos]
    type: int
    symbol_type: int
    def get_symbol_type(self) -> int: return sxnet.SxGeomIndicator.get_symbol_type()


class SxGeomLabel(SxGeom):
    cs: SxCoordSys
    verline: bool
    underline: bool
    lead_line_num: int
    text_line_num: int
    txt: list[str]
    lead_line: list[SxGeomLeadLine]
    atr_word: SxDraftAtrText
    type: int


class SxGeomLeadLine:
    arrow_type: int
    is_datum: bool
    pnt_num: int
    pntlist: list[SxPos]


class SxGeomLengthDim(SxGeom):
    cs: SxCoordSys
    dvec: SxVec
    txtinfo: SxDimValueAtr
    diminfo: SxDimLineAtr
    pnt1: SxPos
    pnt2: SxPos
    pnt3: SxPos
    type: int


class SxGeomLine2D(SxGeom):
    sp: SxPos
    vec: SxVec
    leng: float
    type: int


class SxGeomLine3D(SxGeom):
    sp: SxPos
    vec: SxVec
    leng: float
    type: int


class SxGeomMark(SxGeom):
    name: str
    pos: SxPos
    height: float
    angle: float
    type: int


class SxGeomOther(SxGeom):
    type: int


class SxGeomOtherCurve(SxGeom):
    type: int


class SxGeomOtherDraft(SxGeom):
    type: int


class SxGeomOtherSurf(SxGeom):
    type: int


class SxGeomPlane(SxGeom):
    cs: SxCoordSys
    type: int


class SxGeomPoint2D(SxGeom):
    point: SxPos
    type: int


class SxGeomPoint3D(SxGeom):
    point: SxPos
    type: int


class SxGeomSimWeld(SxGeom):
    cs: SxCoordSys
    mark_type: int
    color: int
    width: int
    tilt: int
    height: float
    pnt: SxPos
    type: int


class SxGeomSmark(SxGeom):
    cs: SxCoordSys
    atr_word: SxDraftAtrText
    remove_type: int
    streak_dir: int
    format: int
    circle_mark: bool
    lead_line_num: int
    lead_line: list[SxGeomLeadLine]
    val1: str
    val2: str
    val3: str
    val4: str
    proway: str
    cut_word: str
    parm1: str
    parm2: str
    parm3: str
    pnt: SxPos
    REMOVTYP_NOREMOVE: int = sxnet.SxGeomSmark.REMOVTYP_NOREMOVE
    REMOVTYP_REMOVE: int = sxnet.SxGeomSmark.REMOVTYP_REMOVE
    REMOVTYP_NODEL: int = sxnet.SxGeomSmark.REMOVTYP_NODEL
    STREAK_NONE: int = sxnet.SxGeomSmark.STREAK_NONE
    STREAK_PAR: int = sxnet.SxGeomSmark.STREAK_PAR
    STREAK_VER: int = sxnet.SxGeomSmark.STREAK_VER
    STREAK_X: int = sxnet.SxGeomSmark.STREAK_X
    STREAK_M: int = sxnet.SxGeomSmark.STREAK_M
    STREAK_C: int = sxnet.SxGeomSmark.STREAK_C
    STREAK_R: int = sxnet.SxGeomSmark.STREAK_R
    STREAK_N: int = sxnet.SxGeomSmark.STREAK_N
    STREAK_P: int = sxnet.SxGeomSmark.STREAK_P
    JIS_B0031_1994: int = sxnet.SxGeomSmark.JIS_B0031_1994
    JIS_B0031_2003: int = sxnet.SxGeomSmark.JIS_B0031_2003
    type: int


class SxGeomSphere(SxGeom):
    cs: SxCoordSys
    radius: float
    orient: bool
    type: int


class SxGeomSpline2D(SxGeom):
    kind: int
    pos: SxPos
    vec_list: list[SxVec]
    sang: float
    eang: float
    type: int


class SxGeomSymbol(SxGeom):
    cs: SxCoordSys
    symbol_type: int
    height: float
    width_ratio: float
    space_ratio: float
    pnt: SxPos
    SYMBOL_FINAL: int = sxnet.SxGeomSymbol.SYMBOL_FINAL
    SYMBOL_MID1: int = sxnet.SxGeomSymbol.SYMBOL_MID1
    SYMBOL_MID2: int = sxnet.SxGeomSymbol.SYMBOL_MID2
    SYMBOL_MID3: int = sxnet.SxGeomSymbol.SYMBOL_MID3
    SYMBOL_CENTER_FIX: int = sxnet.SxGeomSymbol.SYMBOL_CENTER_FIX
    SYMBOL_CENTER_TAIL: int = sxnet.SxGeomSymbol.SYMBOL_CENTER_TAIL
    SYMBOL_CENTER_SPR: int = sxnet.SxGeomSymbol.SYMBOL_CENTER_SPR
    SYMBOL_METAL: int = sxnet.SxGeomSymbol.SYMBOL_METAL
    SYMBOL_NAIL_ZIP: int = sxnet.SxGeomSymbol.SYMBOL_NAIL_ZIP
    SYMBOL_MIKIRI: int = sxnet.SxGeomSymbol.SYMBOL_MIKIRI
    SYMBOL_INDICATOR: int = sxnet.SxGeomSymbol.SYMBOL_INDICATOR
    SYMBOL_S: int = sxnet.SxGeomSymbol.SYMBOL_S
    SYMBOL_S1: int = sxnet.SxGeomSymbol.SYMBOL_S1
    SYMBOL_S2: int = sxnet.SxGeomSymbol.SYMBOL_S2
    SYMBOL_S3: int = sxnet.SxGeomSymbol.SYMBOL_S3
    SYMBOL_S4: int = sxnet.SxGeomSymbol.SYMBOL_S4
    SYMBOL_S5: int = sxnet.SxGeomSymbol.SYMBOL_S5
    SYMBOL_S6: int = sxnet.SxGeomSymbol.SYMBOL_S6
    SYMBOL_S7: int = sxnet.SxGeomSymbol.SYMBOL_S7
    SYMBOL_S8: int = sxnet.SxGeomSymbol.SYMBOL_S8
    SYMBOL_S9: int = sxnet.SxGeomSymbol.SYMBOL_S9
    SYMBOL_S10: int = sxnet.SxGeomSymbol.SYMBOL_S10
    SYMBOL_S11: int = sxnet.SxGeomSymbol.SYMBOL_S11
    SYMBOL_S12: int = sxnet.SxGeomSymbol.SYMBOL_S12
    SYMBOL_S13: int = sxnet.SxGeomSymbol.SYMBOL_S13
    SYMBOL_S14: int = sxnet.SxGeomSymbol.SYMBOL_S14
    SYMBOL_S15: int = sxnet.SxGeomSymbol.SYMBOL_S15
    SYMBOL_S16: int = sxnet.SxGeomSymbol.SYMBOL_S16
    SYMBOL_S17: int = sxnet.SxGeomSymbol.SYMBOL_S17
    SYMBOL_S18: int = sxnet.SxGeomSymbol.SYMBOL_S18
    SYMBOL_S19: int = sxnet.SxGeomSymbol.SYMBOL_S19
    SYMBOL_R: int = sxnet.SxGeomSymbol.SYMBOL_R
    SYMBOL_R1: int = sxnet.SxGeomSymbol.SYMBOL_R1
    SYMBOL_R2: int = sxnet.SxGeomSymbol.SYMBOL_R2
    SYMBOL_R3: int = sxnet.SxGeomSymbol.SYMBOL_R3
    SYMBOL_R4: int = sxnet.SxGeomSymbol.SYMBOL_R4
    SYMBOL_R5: int = sxnet.SxGeomSymbol.SYMBOL_R5
    SYMBOL_R6: int = sxnet.SxGeomSymbol.SYMBOL_R6
    SYMBOL_R7: int = sxnet.SxGeomSymbol.SYMBOL_R7
    SYMBOL_R8: int = sxnet.SxGeomSymbol.SYMBOL_R8
    SYMBOL_R9: int = sxnet.SxGeomSymbol.SYMBOL_R9
    SYMBOL_R10: int = sxnet.SxGeomSymbol.SYMBOL_R10
    SYMBOL_R11: int = sxnet.SxGeomSymbol.SYMBOL_R11
    SYMBOL_R12: int = sxnet.SxGeomSymbol.SYMBOL_R12
    SYMBOL_R13: int = sxnet.SxGeomSymbol.SYMBOL_R13
    SYMBOL_R14: int = sxnet.SxGeomSymbol.SYMBOL_R14
    SYMBOL_R15: int = sxnet.SxGeomSymbol.SYMBOL_R15
    SYMBOL_R16: int = sxnet.SxGeomSymbol.SYMBOL_R16
    SYMBOL_R17: int = sxnet.SxGeomSymbol.SYMBOL_R17
    SYMBOL_R18: int = sxnet.SxGeomSymbol.SYMBOL_R18
    SYMBOL_R19: int = sxnet.SxGeomSymbol.SYMBOL_R19
    type: int


class SxGeomSymbolMetal(SxGeom):
    cs: SxCoordSys
    symbol_type: int
    color: int
    width: int
    pnt1: SxPos
    pnt2: SxPos
    pnt3: SxPos
    type: int


class SxGeomText(SxGeom):
    cs: SxCoordSys
    base_pnt: int
    way: int
    pnt: SxPos
    txt: list[str]
    atr_word: SxDraftAtrText
    text_line_num: int
    type: int


class SxGeomTol(SxGeom):
    cs: SxCoordSys
    frame: list[SxGeomTol.TolFrame]
    frame_num: int
    refline1_type: int
    pnt1: SxPos
    pnt2: SxPos
    pnt3: SxPos
    refline2_type: int
    pnt4: SxPos
    pnt5: SxPos
    pnt6: SxPos
    refline3_type: int
    pnt7: SxPos
    pnt8: SxPos
    pnt9: SxPos
    refline4_type: int
    pnt10: SxPos
    pnt11: SxPos
    pnt12: SxPos
    refline5_type: int
    pnt13: SxPos
    pnt14: SxPos
    pnt15: SxPos
    refline6_type: int
    pnt16: SxPos
    pnt17: SxPos
    pnt18: SxPos
    lead_line_num: int
    lead_line: list[SxGeomLeadLine]
    atr_geotol: SxDraftAtrGeoTol
    pnt: SxPos
    TOL_MARK_LINE: int = sxnet.SxGeomTol.TOL_MARK_LINE
    TOL_MARK_PLANE: int = sxnet.SxGeomTol.TOL_MARK_PLANE
    TOL_MARK_PCIR: int = sxnet.SxGeomTol.TOL_MARK_PCIR
    TOL_MARK_CYLI: int = sxnet.SxGeomTol.TOL_MARK_CYLI
    TOL_MARK_LOUTLINE: int = sxnet.SxGeomTol.TOL_MARK_LOUTLINE
    TOL_MARK_FOUTLINE: int = sxnet.SxGeomTol.TOL_MARK_FOUTLINE
    TOL_MARK_PARALLEL: int = sxnet.SxGeomTol.TOL_MARK_PARALLEL
    TOL_MARK_RIGHT_ANGLE: int = sxnet.SxGeomTol.TOL_MARK_RIGHT_ANGLE
    TOL_MARK_TILT: int = sxnet.SxGeomTol.TOL_MARK_TILT
    TOL_MARK_SITE: int = sxnet.SxGeomTol.TOL_MARK_SITE
    TOL_MARK_COAXIAL: int = sxnet.SxGeomTol.TOL_MARK_COAXIAL
    TOL_MARK_SYMMETRY: int = sxnet.SxGeomTol.TOL_MARK_SYMMETRY
    TOL_MARK_CIRR: int = sxnet.SxGeomTol.TOL_MARK_CIRR
    TOL_MARK_TOTRUN: int = sxnet.SxGeomTol.TOL_MARK_TOTRUN
    TOL_EX_MARK_NONE: int = sxnet.SxGeomTol.TOL_EX_MARK_NONE
    TOL_EX_MARK_M: int = sxnet.SxGeomTol.TOL_EX_MARK_M
    TOL_EX_MARK_L: int = sxnet.SxGeomTol.TOL_EX_MARK_L
    TOL_EX_MARK_P: int = sxnet.SxGeomTol.TOL_EX_MARK_P
    TOL_EX_MARK_E: int = sxnet.SxGeomTol.TOL_EX_MARK_E
    TOL_EX_MARK_F: int = sxnet.SxGeomTol.TOL_EX_MARK_F
    TOL_EX_MARK_CZ: int = sxnet.SxGeomTol.TOL_EX_MARK_CZ
    TOL_AREA_MARK_NONE: int = sxnet.SxGeomTol.TOL_AREA_MARK_NONE
    TOL_AREA_MARK_FAI: int = sxnet.SxGeomTol.TOL_AREA_MARK_FAI
    TOL_AREA_MARK_SFAI: int = sxnet.SxGeomTol.TOL_AREA_MARK_SFAI
    TOL_AREA_MARK_QFAI: int = sxnet.SxGeomTol.TOL_AREA_MARK_QFAI
    TOL_AREA_MARK_SQ: int = sxnet.SxGeomTol.TOL_AREA_MARK_SQ
    type: int


class SxGeomTolDatum(SxGeom):
    cs: SxCoordSys
    is_datum: bool
    text: str
    pnt: SxPos
    refline_type: int
    pnt1: SxPos
    pnt2: SxPos
    pnt3: SxPos
    lead_line: SxGeomLeadLine
    atr_word: SxDraftAtrText
    type: int


class SxGeomTorus(SxGeom):
    cs: SxCoordSys
    max_radius: float
    min_radius: float
    orient: bool
    type: int


class SxGeomWeld(SxGeom):
    cs: SxCoordSys
    weld_mark: SxGeomWeld.MarkText
    atr_weld: SxDraftAtrWeld
    lead_line_num: int
    lead_line: list[SxGeomLeadLine]
    SIMWELD_MARK1: int = sxnet.SxGeomWeld.SIMWELD_MARK1
    SIMWELD_MARK2: int = sxnet.SxGeomWeld.SIMWELD_MARK2
    SIMWELD_MARK3: int = sxnet.SxGeomWeld.SIMWELD_MARK3
    SIMWELD_MARK4: int = sxnet.SxGeomWeld.SIMWELD_MARK4
    SIMWELD_MARK5: int = sxnet.SxGeomWeld.SIMWELD_MARK5
    SIMWELD_MARK6: int = sxnet.SxGeomWeld.SIMWELD_MARK6
    SIMWELD_MARK7: int = sxnet.SxGeomWeld.SIMWELD_MARK7
    SIMWELD_MARK8: int = sxnet.SxGeomWeld.SIMWELD_MARK8
    WELD_PLACE_UPPER: int = sxnet.SxGeomWeld.WELD_PLACE_UPPER
    WELD_PLACE_UNDER: int = sxnet.SxGeomWeld.WELD_PLACE_UNDER
    WELD_PLACE_BOTH_SIDES: int = sxnet.SxGeomWeld.WELD_PLACE_BOTH_SIDES
    WELD_MARK01: int = sxnet.SxGeomWeld.WELD_MARK01
    WELD_MARK02: int = sxnet.SxGeomWeld.WELD_MARK02
    WELD_MARK03: int = sxnet.SxGeomWeld.WELD_MARK03
    WELD_MARK04: int = sxnet.SxGeomWeld.WELD_MARK04
    WELD_MARK05: int = sxnet.SxGeomWeld.WELD_MARK05
    WELD_MARK06: int = sxnet.SxGeomWeld.WELD_MARK06
    WELD_MARK07: int = sxnet.SxGeomWeld.WELD_MARK07
    WELD_MARK08: int = sxnet.SxGeomWeld.WELD_MARK08
    WELD_MARK09: int = sxnet.SxGeomWeld.WELD_MARK09
    WELD_MARK10: int = sxnet.SxGeomWeld.WELD_MARK10
    WELD_MARK11: int = sxnet.SxGeomWeld.WELD_MARK11
    WELD_MARK12: int = sxnet.SxGeomWeld.WELD_MARK12
    WELD_MARK13: int = sxnet.SxGeomWeld.WELD_MARK13
    WELD_MARK14: int = sxnet.SxGeomWeld.WELD_MARK14
    WELD_MARK15: int = sxnet.SxGeomWeld.WELD_MARK15
    WELD_MARK16: int = sxnet.SxGeomWeld.WELD_MARK16
    WELD_MARK17: int = sxnet.SxGeomWeld.WELD_MARK17
    WELD_MARK18: int = sxnet.SxGeomWeld.WELD_MARK18
    WELD_MARK19: int = sxnet.SxGeomWeld.WELD_MARK19
    WELD_MARK20: int = sxnet.SxGeomWeld.WELD_MARK20
    WELD_MARK21: int = sxnet.SxGeomWeld.WELD_MARK21
    WELD_MARK22: int = sxnet.SxGeomWeld.WELD_MARK22
    WELD_MARK23: int = sxnet.SxGeomWeld.WELD_MARK23
    WELD_MARK24: int = sxnet.SxGeomWeld.WELD_MARK24
    WELD_MARK25: int = sxnet.SxGeomWeld.WELD_MARK25
    WELD_MARK26: int = sxnet.SxGeomWeld.WELD_MARK26
    WELD_MARK27: int = sxnet.SxGeomWeld.WELD_MARK27
    WELD_MARK28: int = sxnet.SxGeomWeld.WELD_MARK28
    WELD_MARK29: int = sxnet.SxGeomWeld.WELD_MARK29
    WELD_MARK30: int = sxnet.SxGeomWeld.WELD_MARK30
    WELD_MARK31: int = sxnet.SxGeomWeld.WELD_MARK31
    WELD_MARK32: int = sxnet.SxGeomWeld.WELD_MARK32
    WELD_MARK33: int = sxnet.SxGeomWeld.WELD_MARK33
    WELD_MARK34: int = sxnet.SxGeomWeld.WELD_MARK34
    WELD_MARK35: int = sxnet.SxGeomWeld.WELD_MARK35
    WELD_MARK36: int = sxnet.SxGeomWeld.WELD_MARK36
    WELD_MARK37: int = sxnet.SxGeomWeld.WELD_MARK37
    WELD_MARK38: int = sxnet.SxGeomWeld.WELD_MARK38
    WELD_MARK39: int = sxnet.SxGeomWeld.WELD_MARK39
    WELD_MARK40: int = sxnet.SxGeomWeld.WELD_MARK40
    WELD_MARK41: int = sxnet.SxGeomWeld.WELD_MARK41
    WELD_MARK42: int = sxnet.SxGeomWeld.WELD_MARK42
    WELD_MARK43: int = sxnet.SxGeomWeld.WELD_MARK43
    WELD_CIRCUM_MARK_NONE: int = sxnet.SxGeomWeld.WELD_CIRCUM_MARK_NONE
    WELD_CIRCUM_MARK_CIRF: int = sxnet.SxGeomWeld.WELD_CIRCUM_MARK_CIRF
    WELD_CIRCUM_MARK_SITE: int = sxnet.SxGeomWeld.WELD_CIRCUM_MARK_SITE
    WELD_CIRCUM_MARK_CIRFSITE: int = sxnet.SxGeomWeld.WELD_CIRCUM_MARK_CIRFSITE
    WELD_FACE_FORM_NONE: int = sxnet.SxGeomWeld.WELD_FACE_FORM_NONE
    WELD_FACE_FORM_FLAT: int = sxnet.SxGeomWeld.WELD_FACE_FORM_FLAT
    WELD_FACE_FORM_P: int = sxnet.SxGeomWeld.WELD_FACE_FORM_P
    WELD_FACE_FORM_H: int = sxnet.SxGeomWeld.WELD_FACE_FORM_H
    WELD_FACE_FORM_TOE: int = sxnet.SxGeomWeld.WELD_FACE_FORM_TOE
    WELD_FINISH_WAY_NONE: str = sxnet.SxGeomWeld.WELD_FINISH_WAY_NONE
    WELD_FINISH_WAY_C: str = sxnet.SxGeomWeld.WELD_FINISH_WAY_C
    WELD_FINISH_WAY_G: str = sxnet.SxGeomWeld.WELD_FINISH_WAY_G
    WELD_FINISH_WAY_M: str = sxnet.SxGeomWeld.WELD_FINISH_WAY_M
    WELD_FINISH_WAY_F: str = sxnet.SxGeomWeld.WELD_FINISH_WAY_F
    WELD_FINISH_WAY_P: str = sxnet.SxGeomWeld.WELD_FINISH_WAY_P
    WELD_BACK_SIDE_NONE: int = sxnet.SxGeomWeld.WELD_BACK_SIDE_NONE
    WELD_BACK_SIDE_MELT_THROUGH: int = sxnet.SxGeomWeld.WELD_BACK_SIDE_MELT_THROUGH
    WELD_BACK_SIDE_BACKING: int = sxnet.SxGeomWeld.WELD_BACK_SIDE_BACKING
    type: int


class SxInf3DParam:
    status: bool
    dvalue: float
    pos: SxPos
    TYPE_NUMBER: int = sxnet.SxInf3DParam.TYPE_NUMBER
    TYPE_LENGTH: int = sxnet.SxInf3DParam.TYPE_LENGTH
    TYPE_DIAMETER: int = sxnet.SxInf3DParam.TYPE_DIAMETER
    TYPE_RADIUS: int = sxnet.SxInf3DParam.TYPE_RADIUS
    TYPE_ANGLE: int = sxnet.SxInf3DParam.TYPE_ANGLE
    TYPE_POS: int = sxnet.SxInf3DParam.TYPE_POS
    Type: int
    Name: str
    Comment: str
    Equation: str
    Explain: str
    def getVarIndex(self, var_name: str, list: list[SxInf3DParam]) -> int: return sxnet.SxInf3DParam.getVarIndex(var_name, list)
    def get_Comment(self) -> str: return sxnet.SxInf3DParam.get_Comment()
    def get_Equation(self) -> str: return sxnet.SxInf3DParam.get_Equation()
    def get_Explain(self) -> str: return sxnet.SxInf3DParam.get_Explain()
    def get_Name(self) -> str: return sxnet.SxInf3DParam.get_Name()
    def get_Type(self) -> int: return sxnet.SxInf3DParam.get_Type()


class SxInfAsmPlane:
    wf: SxWF
    vs: SxVS
    cs: SxCoordSys


class SxInfCollision:
    seg1: SxEntSeg
    seg2: SxEntSeg
    part1: SxEntPart
    part2: SxEntPart
    face1: SxFace
    face2: SxFace
    pos1: SxPos
    pos2: SxPos
    tol: float


class SxInfCollision2:
    collisionlist: list[SxInfCollision]
    errpartlist: list[SxEntPart]


class SxInfDist:
    dist: float
    pos1: SxPos
    pos2: SxPos


class SxInfEnt:
    kind: int
    dim: int
    vs: SxVS
    wf: SxWF
    layer: int
    type: int
    visi: bool
    member_kind: int
    model: SxModel
    is_transparent: bool
    part: SxEntPart
    body_type: int
    is_draft: bool
    fc_state: int
    KIND_SEGMENT: int = sxnet.SxInfEnt.KIND_SEGMENT
    KIND_RPART: int = sxnet.SxInfEnt.KIND_RPART
    KIND_GROUP: int = sxnet.SxInfEnt.KIND_GROUP
    KIND_REFER: int = sxnet.SxInfEnt.KIND_REFER
    KIND_PART: int = sxnet.SxInfEnt.KIND_PART
    KIND_INVALID: int = sxnet.SxInfEnt.KIND_INVALID
    MEMBER_NONE: int = sxnet.SxInfEnt.MEMBER_NONE
    MEMBER_GRP: int = sxnet.SxInfEnt.MEMBER_GRP
    FC_STATE_NONE: int = sxnet.SxInfEnt.FC_STATE_NONE
    FC_STATE_NORMAL: int = sxnet.SxInfEnt.FC_STATE_NORMAL
    FC_STATE_ELEMENT: int = sxnet.SxInfEnt.FC_STATE_ELEMENT
    FC_STATE_NONMANIFOLD: int = sxnet.SxInfEnt.FC_STATE_NONMANIFOLD
    BODY_OTHER: int = sxnet.SxInfEnt.BODY_OTHER
    BODY_SOLID: int = sxnet.SxInfEnt.BODY_SOLID
    BODY_SHEET: int = sxnet.SxInfEnt.BODY_SHEET
    BODY_WIRE: int = sxnet.SxInfEnt.BODY_WIRE


class SxInfExecBoolean:
    seg: SxEntSeg
    fc_type: int
    USUAL_FCSOLID: int = sxnet.SxInfExecBoolean.USUAL_FCSOLID
    NON_MANIFOLD_FCSOLID: int = sxnet.SxInfExecBoolean.NON_MANIFOLD_FCSOLID
    NO_BODY_FCSOLID: int = sxnet.SxInfExecBoolean.NO_BODY_FCSOLID
    MULTI_BODY_FCSOLID: int = sxnet.SxInfExecBoolean.MULTI_BODY_FCSOLID


class SxInfFile:
    is_dir: bool
    read_attr: bool
    write_attr: bool
    size: int
    cdate: int
    ctime: int
    adate: int
    atime: int
    mdate: int
    mtime: int


class SxInfFileModel:
    version: int
    level: int
    exc: bool
    comment: str
    owner: str
    n_vs: int
    n_wf: int


class SxInfGrp:
    name: str
    comment: str


class SxInfHole:
    name: str
    detail_name: str
    pattern_name: str
    cs: SxCoordSys
    param_list: list[SxInfHole.Param]
    face_list: list[SxFace]
    hole_number: int
    tap_type: int
    num_th: int
    dir_th: int
    d_type: str
    penetrate: bool
    u_name: str


class SxInfLayer:
    no: int
    name: str
    is_disp: bool
    is_search: bool


class SxInfMass:
    is_SI: bool
    unit_type: int
    volume: float
    area: float
    length: float
    density: float
    mass: float
    weight: float
    pos: SxPos
    inf_global_moment: SxInfMoment
    inf_gravity_moment: SxInfMoment
    inf_main_moment: SxInfMoment
    specific_pos: SxPos
    specific_axis: SxVec
    specific_moment: float
    specific_radius: float
    UNIT_MM_G: int = sxnet.SxInfMass.UNIT_MM_G
    UNIT_MM_KG: int = sxnet.SxInfMass.UNIT_MM_KG
    UNIT_CM_G: int = sxnet.SxInfMass.UNIT_CM_G
    UNIT_CM_KG: int = sxnet.SxInfMass.UNIT_CM_KG
    UNIT_M_G: int = sxnet.SxInfMass.UNIT_M_G
    UNIT_M_KG: int = sxnet.SxInfMass.UNIT_M_KG


class SxInfMaterial:
    name: str
    matid: str
    spe_grav: float


class SxInfModel:
    path: str
    name: str
    comment: str
    is_read_only: bool
    nvs: int
    nwf: int


class SxInfMoment:
    cs: SxCoordSys
    i_xx: float
    i_yy: float
    i_zz: float
    pi_xy: float
    pi_yz: float
    pi_zx: float
    r_gx: float
    r_gy: float
    r_gz: float


class SxInfNumBalloons:
    upper_name: str
    lower_name: str
    n_balloons: int


class SxInfNumEnts:
    name: str
    layer: int
    n_ent: int


class SxInfNumParts:
    name: str
    n_parts1: int
    n_parts2: int


class SxInfPart:
    name: str
    comment: str
    cs: SxCoordSys
    is_mirror: bool
    is_external: bool
    is_read_only: bool
    is_unloaded: bool
    ref_model_name: str
    path: str


class SxInfPartTree:
    entpart: SxEntPart
    child_list: list[SxInfPartTree]
    parent: SxInfPartTree
    inf: SxInfPart
    ex_inf: str
    def CompareTo(self, tree: SxInfPartTree) -> int: return sxnet.SxInfPartTree.CompareTo(tree)


class SxInfPlot:
    no: str
    name: str
    def getInfDefPlot(self) -> SxInfPlot: return sxnet.SxInfPlot.getInfDefPlot()
    def getInfPlotList(self) -> list[SxInfPlot]: return sxnet.SxInfPlot.getInfPlotList()


class SxInfPrint:
    no: int
    size: str
    vertical: bool
    dinfo: list[float]


class SxInfPurchased:
    major_type: int
    minor_type: int
    serial_number: str
    maker_name: str
    Major_Controlled: int = sxnet.SxInfPurchased.Major_Controlled
    Major_Machine_Element: int = sxnet.SxInfPurchased.Major_Machine_Element
    Major_Other: int = sxnet.SxInfPurchased.Major_Other
    Minor_Controlled_Motor: int = sxnet.SxInfPurchased.Minor_Controlled_Motor
    Minor_Controlled_Sensor: int = sxnet.SxInfPurchased.Minor_Controlled_Sensor
    Minor_Controlled_Switch: int = sxnet.SxInfPurchased.Minor_Controlled_Switch
    Minor_Controlled_Solenoid_Valve: int = sxnet.SxInfPurchased.Minor_Controlled_Solenoid_Valve
    Minor_Controlled_Other: int = sxnet.SxInfPurchased.Minor_Controlled_Other
    Minor_Machine_Element_Bolt: int = sxnet.SxInfPurchased.Minor_Machine_Element_Bolt
    Minor_Machine_Element_Nut: int = sxnet.SxInfPurchased.Minor_Machine_Element_Nut
    Minor_Machine_Element_Washer: int = sxnet.SxInfPurchased.Minor_Machine_Element_Washer
    Minor_Other: int = sxnet.SxInfPurchased.Minor_Other


class SxInfRPart:
    name: str
    comment: str
    pos: SxPos
    angle: float
    is_mirror: bool
    ref_model_name: str
    ref_vs_name: str
    part3d_name: str


class SxInfRefer:
    kind: int
    pos: SxPos
    angle: float
    scale: float
    is_mirror: bool
    is_empty: bool
    ref_model_name: str
    ref_vs_name: str
    KIND_OTHER_MODEL: int = sxnet.SxInfRefer.KIND_OTHER_MODEL
    KIND_MY_MODEL: int = sxnet.SxInfRefer.KIND_MY_MODEL


class SxInfSearchColor:
    status: list[bool]
    def reset(self, onoff: bool) -> None: return sxnet.SxInfSearchColor.reset(onoff)


class SxInfSearchEntType:
    draw: SxInfSearchEntTypeDraw
    draft: SxInfSearchEntTypeDraft
    solid: SxInfSearchEntTypeSolid
    def reset(self, onoff: bool) -> None: return sxnet.SxInfSearchEntType.reset(onoff)
    def setStatus(self, enttyp: int, onoff: bool) -> None: return sxnet.SxInfSearchEntType.setStatus(enttyp, onoff)


class SxInfSearchEntTypeDraft:
    length_dim: bool
    angle_dim: bool
    radial_dim: bool
    chamfer_dim: bool
    apl_dim: bool
    arclength_dim: bool
    note: bool
    balloon: bool
    arrow: bool
    text: bool
    symbol: bool
    hatch: bool
    hatch_ex: bool
    fmark: bool
    smark: bool
    geotol: bool
    weld: bool
    delta: bool
    markup: bool
    other_dim: bool
    motion_line: bool
    interlock_line: bool
    motion_sym: bool
    diagram_str: bool
    def reset(self, onoff: bool) -> None: return sxnet.SxInfSearchEntTypeDraft.reset(onoff)


class SxInfSearchEntTypeDraw:
    point: bool
    line: bool
    circle: bool
    arc: bool
    ellipse: bool
    elparc: bool
    spline: bool
    refer_vs: bool
    refer_model: bool
    mark: bool
    other_draw: bool
    circuit_sym: bool
    def reset(self, onoff: bool) -> None: return sxnet.SxInfSearchEntTypeDraw.reset(onoff)


class SxInfSearchEntTypeSolid:
    rot: bool
    cone: bool
    pcon: bool
    prsm: bool
    pcyl: bool
    cyl: bool
    sphere: bool
    cap: bool
    torus: bool
    box: bool
    prjt: bool
    lprj: bool
    eprj: bool
    solid: bool
    fcsolid: bool
    old_dim: bool
    wiring: bool
    def reset(self, onoff: bool) -> None: return sxnet.SxInfSearchEntTypeSolid.reset(onoff)


class SxInfSearchLineStyle:
    status: list[bool]
    def reset(self, onoff: bool) -> None: return sxnet.SxInfSearchLineStyle.reset(onoff)


class SxInfSearchLineWidth:
    status: list[bool]
    def reset(self, onoff: bool) -> None: return sxnet.SxInfSearchLineWidth.reset(onoff)


class SxInfSelect:
    status: int
    pos_status: int
    ent: SxEnt
    edge: SxEdge
    face: SxFace
    pos: SxPos
    hit_pos: SxPos
    hit_seg1: SxEntSeg
    hit_seg2: SxEntSeg
    hit_edge1: SxEdge
    hit_edge2: SxEdge
    hit_face1: SxFace
    STATUS_GO: int = sxnet.SxInfSelect.STATUS_GO
    STATUS_ENT: int = sxnet.SxInfSelect.STATUS_ENT
    STATUS_EDGE: int = sxnet.SxInfSelect.STATUS_EDGE
    STATUS_FACE: int = sxnet.SxInfSelect.STATUS_FACE
    STATUS_POS: int = sxnet.SxInfSelect.STATUS_POS
    POS_STATUS_ANY: int = sxnet.SxInfSelect.POS_STATUS_ANY
    POS_STATUS_ENT: int = sxnet.SxInfSelect.POS_STATUS_ENT
    POS_STATUS_EDGE: int = sxnet.SxInfSelect.POS_STATUS_EDGE
    POS_STATUS_FACE: int = sxnet.SxInfSelect.POS_STATUS_FACE
    POS_STATUS_INT: int = sxnet.SxInfSelect.POS_STATUS_INT


class SxInfSys:
    version: int
    level: int
    path: str
    pen_color: int
    pen_style: int
    pen_width: int
    scale: float
    grid: float
    active_layer: int
    active_model: SxModel
    active_vs: SxVS
    active_wf: SxWF
    active_asmplane: SxAsmPlane
    active_part: SxEntPart
    active_window: SxWindow
    models: list[SxModel]
    windows: list[SxWindow]
    sys3d: bool
    fix_plane_input: bool
    cs: SxCoordSys
    is_viewer: bool


class SxInfVS:
    name: str
    scale: float
    org: SxPos
    angle: float
    cs: SxCoordSys
    view_type: int
    comment: str
    type: int


class SxInfWF:
    name: str
    type: int
    top_name: str
    top_comment: str


class SxInfWindow:
    is_base: bool
    model: SxModel
    vs: SxVS
    wf: SxWF
    status: int
    pmin: SxPosWindow
    pmax: SxPosWindow
    mdi_pmin: SxPosMDI
    mdi_pmax: SxPosMDI


class SxMatrix3:
    vec: list[SxVec]
    def degToRad(self, deg_ang: float) -> float: return sxnet.SxMatrix3.degToRad(deg_ang)
    def getEulerAngle(self) -> list[float]: return sxnet.SxMatrix3.getEulerAngle()
    def getInverse(self) -> SxMatrix3: return sxnet.SxMatrix3.getInverse()
    def isRotation(self) -> bool: return sxnet.SxMatrix3.isRotation()
    def multi(self, rm1: SxMatrix3, rm2: SxMatrix3) -> SxMatrix3: return sxnet.SxMatrix3.multi(rm1, rm2)
    def multi1(self, rm: SxMatrix3) -> SxMatrix3: return sxnet.SxMatrix3.multi(rm)
    def multi2(self, vec: SxVec) -> SxVec: return sxnet.SxMatrix3.multi(vec)
    def multi3(self, pos: SxPos) -> SxPos: return sxnet.SxMatrix3.multi(pos)
    def radToDeg(self, rad_ang: float) -> float: return sxnet.SxMatrix3.radToDeg(rad_ang)


class SxModel:
    def close(self) -> None: return sxnet.SxModel.close()
    def close1(self, ask: bool) -> None: return sxnet.SxModel.close(ask)
    def createNew(self, template: str) -> SxModel: return sxnet.SxModel.createNew(template)
    def createVS(self, name: str) -> SxVS: return sxnet.SxModel.createVS(name)
    def createVSLocalView(self, name: str, pos: SxPos, angle: float, scale: float) -> SxVS: return sxnet.SxModel.createVSLocalView(name, pos, angle, scale)
    def createVSLocalViewRad(self, name: str, pos: SxPos, angle: float, scale: float) -> SxVS: return sxnet.SxModel.createVSLocalViewRad(name, pos, angle, scale)
    def createVSView(self, viewtype: int, distno: int) -> SxVS: return sxnet.SxModel.createVSView(viewtype, distno)
    def createVSView1(self, viewtype: int, dist: float) -> SxVS: return sxnet.SxModel.createVSView(viewtype, dist)
    def createVSView2(self, viewtype: int, pos: SxPos) -> SxVS: return sxnet.SxModel.createVSView(viewtype, pos)
    def createWF(self, name: str) -> SxWF: return sxnet.SxModel.createWF(name)
    def delete(self) -> None: return sxnet.SxModel.delete()
    def delete1(self, ask: bool) -> None: return sxnet.SxModel.delete(ask)
    def deleteInfPrint(self, inflist: list[SxInfPrint]) -> None: return sxnet.SxModel.deleteInfPrint(inflist)
    def export(self, path: str, fname: str, file_type: int) -> None: return sxnet.SxModel.export(path, fname, file_type)
    def export1(self, path: str, fname: str, opt: SxOptExport) -> None: return sxnet.SxModel.export(path, fname, opt)
    def getActive(self) -> SxModel: return sxnet.SxModel.getActive()
    def getAssemblyInfo(self) -> ZSxInfAssyProc: return sxnet.SxModel.getAssemblyInfo()
    def getDirTemplate(self) -> str: return sxnet.SxModel.getDirTemplate()
    def getGlobalVS(self) -> SxVS: return sxnet.SxModel.getGlobalVS()
    def getGlobalWF(self) -> SxWF: return sxnet.SxModel.getGlobalWF()
    def getInf(self) -> SxInfModel: return sxnet.SxModel.getInf()
    def getInfPrintList(self) -> list[SxInfPrint]: return sxnet.SxModel.getInfPrintList()
    def getModel(self, path: str, name: str) -> SxModel: return sxnet.SxModel.getModel(path, name)
    def getModelList(self) -> list[SxModel]: return sxnet.SxModel.getModelList()
    def getVS(self, name: str) -> SxVS: return sxnet.SxModel.getVS(name)
    def getVSList(self) -> list[SxVS]: return sxnet.SxModel.getVSList()
    def getWF(self, name: str) -> SxWF: return sxnet.SxModel.getWF(name)
    def getWFList(self) -> list[SxWF]: return sxnet.SxModel.getWFList()
    def getWindow(self) -> SxWindow: return sxnet.SxModel.getWindow()
    def isEqual(self, model: SxModel) -> bool: return sxnet.SxModel.isEqual(model)
    def isValid(self) -> bool: return sxnet.SxModel.isValid()
    def print(self, no: int, plot: SxInfPlot) -> None: return sxnet.SxModel.print(no, plot)
    def print1(self, no: int) -> None: return sxnet.SxModel.print(no)
    def print2(self, inf: SxInfPrint, plot: SxInfPlot) -> None: return sxnet.SxModel.print(inf, plot)
    def print3(self, inf: SxInfPrint) -> None: return sxnet.SxModel.print(inf)
    def print4(self) -> None: return sxnet.SxModel.print()
    def save(self) -> None: return sxnet.SxModel.save()
    def save1(self, path: str, fname: str, comment: str, version: int, level: int) -> None: return sxnet.SxModel.save(path, fname, comment, version, level)
    def savePart(self, partlist: list[SxEntPart], modified: bool, child: bool) -> None: return sxnet.SxModel.savePart(partlist, modified, child)
    def setActive(self) -> SxWindow: return sxnet.SxModel.setActive()
    def setComment(self, comment: str) -> None: return sxnet.SxModel.setComment(comment)
    def setDim(self, is3d: bool) -> None: return sxnet.SxModel.setDim(is3d)
    def setInfPrint(self, pnt: SxPos, dsize: str, psize: str, vertical: bool, scale: float, size_x: float, size_y: float) -> SxInfPrint: return sxnet.SxModel.setInfPrint(pnt, dsize, psize, vertical, scale, size_x, size_y)
    def setInfPrint1(self, spnt: SxPos, epnt: SxPos, psize: str, scale: float, size_x: float, size_y: float) -> SxInfPrint: return sxnet.SxModel.setInfPrint(spnt, epnt, psize, scale, size_x, size_y)
    def setName(self, name: str) -> None: return sxnet.SxModel.setName(name)


class SxOpt3D2D_2:
    view_top: bool
    view_left: bool
    view_front: bool
    view_right: bool
    view_back: bool
    view_bottom: bool
    scale: float
    mode_view: int
    frame_file: SxFileModel
    pos_view_top: SxPos
    pos_view_left: SxPos
    pos_view_front: SxPos
    pos_view_right: SxPos
    pos_view_back: SxPos
    pos_view_bottom: SxPos
    space: bool
    space_right: float
    space_top: float
    space_left: float
    space_bottom: float
    remove_overlap: bool
    remove_int: bool
    tangent_mode: int
    tangent_angle: float
    part_mode: int
    hole: int
    hole_center_line: bool
    center_offset: int
    offset_ratio: float
    offset_length: float
    hole_inf: bool
    outline: int
    outline_style: int
    outline_width: int
    inter_hidden_line: int
    inter_hidden_line_style: int
    inter_hidden_line_width: int
    self_hidden_line: int
    self_hidden_line_style: int
    self_hidden_line_width: int
    copy3d: bool
    MODE_VIEW_AUTO: int = sxnet.SxOpt3D2D_2.MODE_VIEW_AUTO
    MODE_VIEW_NOCHANGE: int = sxnet.SxOpt3D2D_2.MODE_VIEW_NOCHANGE
    MODE_VIEW_MANUAL: int = sxnet.SxOpt3D2D_2.MODE_VIEW_MANUAL
    TANGENT_ON: int = sxnet.SxOpt3D2D_2.TANGENT_ON
    TANGENT_OFF: int = sxnet.SxOpt3D2D_2.TANGENT_OFF
    TANGENT_DRAFT: int = sxnet.SxOpt3D2D_2.TANGENT_DRAFT
    PART_BOTTOM: int = sxnet.SxOpt3D2D_2.PART_BOTTOM
    PART_TOP: int = sxnet.SxOpt3D2D_2.PART_TOP
    HOLE_JIS: int = sxnet.SxOpt3D2D_2.HOLE_JIS
    HOLE_FIGURE: int = sxnet.SxOpt3D2D_2.HOLE_FIGURE
    OUTLINE_NORMAL: int = sxnet.SxOpt3D2D_2.OUTLINE_NORMAL
    OUTLINE_DRAFT: int = sxnet.SxOpt3D2D_2.OUTLINE_DRAFT
    HIDDEN_LINE_OFF: int = sxnet.SxOpt3D2D_2.HIDDEN_LINE_OFF
    HIDDEN_LINE_ON: int = sxnet.SxOpt3D2D_2.HIDDEN_LINE_ON
    HIDDEN_LINE_DRAFT: int = sxnet.SxOpt3D2D_2.HIDDEN_LINE_DRAFT
    CENTER_OFFSET_RATIO: int = sxnet.SxOpt3D2D_2.CENTER_OFFSET_RATIO
    CENTER_OFFSET_LENGTH: int = sxnet.SxOpt3D2D_2.CENTER_OFFSET_LENGTH


class SxOptAngleDim:
    direction: int
    angletype: int
    upper_tolword: str
    down_tolword: str
    DIR_STANDARD: int = sxnet.SxOptAngleDim.DIR_STANDARD
    DIR_HORIZON: int = sxnet.SxOptAngleDim.DIR_HORIZON
    DIR_VERTICAL: int = sxnet.SxOptAngleDim.DIR_VERTICAL
    DIR_CENTERLINE: int = sxnet.SxOptAngleDim.DIR_CENTERLINE
    ANG_NORMAL: int = sxnet.SxOptAngleDim.ANG_NORMAL
    ANG_ACUTE: int = sxnet.SxOptAngleDim.ANG_ACUTE
    ANG_OBTUSE: int = sxnet.SxOptAngleDim.ANG_OBTUSE


class SxOptChamferDim:
    upper_tolword: str
    down_tolword: str
    num: str
    disp: bool
    location: bool


class SxOptCollision:
    partlist1: list[SxEntPart]
    partlist2: list[SxEntPart]


class SxOptCreateText:
    text: list[str]
    font_name: str
    ttype: int
    position: int
    h_position: int
    v_position: int
    margin: list[float]
    angle: float
    direc: bool
    bold: bool
    italic: bool


class SxOptDiameterDim:
    direction: int
    mark1: int
    setangle: bool
    angle: float
    mark2: int
    val_pos: bool
    follow_terminalmark: bool
    disp: bool
    center_pass: bool
    lead_left: bool
    opt_word: str
    str_num: str
    upper_tolword: str
    down_tolword: str
    DIR_ELEMENT: int = sxnet.SxOptDiameterDim.DIR_ELEMENT
    DIR_HORIZON: int = sxnet.SxOptDiameterDim.DIR_HORIZON
    DIR_VERTICAL: int = sxnet.SxOptDiameterDim.DIR_VERTICAL


class SxOptDimEdit:
    round: int
    suppress: bool
    multiple: float
    dot: bool
    dimval_scale: float
    angtype: int


class SxOptExport:
    file_type: int
    ps_version: int
    ps_format: int
    ps_color: bool
    stl_coord: bool
    stl_arc_div: int
    ps_transf: bool
    ps_refer: bool
    FILE_TYPE_DXF: int = sxnet.SxOptExport.FILE_TYPE_DXF
    FILE_TYPE_IGES: int = sxnet.SxOptExport.FILE_TYPE_IGES
    FILE_TYPE_BMI: int = sxnet.SxOptExport.FILE_TYPE_BMI
    FILE_TYPE_DWG: int = sxnet.SxOptExport.FILE_TYPE_DWG
    FILE_TYPE_DWF: int = sxnet.SxOptExport.FILE_TYPE_DWF
    FILE_TYPE_DOS: int = sxnet.SxOptExport.FILE_TYPE_DOS
    FILE_TYPE_STL: int = sxnet.SxOptExport.FILE_TYPE_STL
    FILE_TYPE_STL_MULTI: int = sxnet.SxOptExport.FILE_TYPE_STL_MULTI
    FILE_TYPE_WRL: int = sxnet.SxOptExport.FILE_TYPE_WRL
    FILE_TYPE_VPS: int = sxnet.SxOptExport.FILE_TYPE_VPS
    FILE_TYPE_STEP: int = sxnet.SxOptExport.FILE_TYPE_STEP
    FILE_TYPE_PS: int = sxnet.SxOptExport.FILE_TYPE_PS
    PS_FORMAT_X_T: int = sxnet.SxOptExport.PS_FORMAT_X_T
    PS_FORMAT_XMT_TXT: int = sxnet.SxOptExport.PS_FORMAT_XMT_TXT
    PS_FORMAT_X_B: int = sxnet.SxOptExport.PS_FORMAT_X_B
    PS_FORMAT_XMT_BIN: int = sxnet.SxOptExport.PS_FORMAT_XMT_BIN


class SxOptLeaderLine:
    arrow_type: int
    mode_standard: bool
    mode_arrow: bool


class SxOptLengthDim:
    direction: int
    mark: int
    autocorrect: bool
    autoword: bool
    follow_terminalmark: bool
    disp_zero: bool
    steptype: bool
    orthographic: bool
    opt_word: str
    upper_tolword: str
    down_tolword: str
    basenm: str
    DIR_ELEMENT: int = sxnet.SxOptLengthDim.DIR_ELEMENT
    DIR_HORIZON: int = sxnet.SxOptLengthDim.DIR_HORIZON
    DIR_VERTICAL: int = sxnet.SxOptLengthDim.DIR_VERTICAL


class SxOptMass:
    is_SI: bool
    unit_type: int
    mode_accuracy: int
    mode_create_point: bool
    density: float
    axis_f: bool
    pos: SxPos
    vec: SxVec
    ACCURACY_HIGH: int = sxnet.SxOptMass.ACCURACY_HIGH
    ACCURACY_MIDDLE: int = sxnet.SxOptMass.ACCURACY_MIDDLE
    ACCURACY_LOW: int = sxnet.SxOptMass.ACCURACY_LOW


class SxOptMove:
    entlist: list[SxEnt]
    pnt: SxPos
    vec: SxVec
    zvec: SxVec
    xvec: SxVec
    child_part: bool


class SxOptSelect:
    select_ent: bool
    select_edge: bool
    select_face: bool
    select_pos: bool
    select_go: bool
    ent_mode: int
    text: str


class SxOptSurfmark:
    jktype: int
    shtype: int
    cinf: list[str]
    lead_line: bool
    lead_standard: bool
    setangle: bool
    angle: float
    additionalline: bool
    lead_left: bool


class SxOptSurfmark2:
    jktype: int
    shtype: int
    cinf: list[str]
    circle_mark: bool
    lead_line: bool
    arrow_type: int
    lead_standard: bool
    setangle: bool
    angle: float
    additionalline: bool
    lead_left: bool


class SxOptWeldEdit:
    lead_line_no: int
    arrow_type: int


class SxParmAsmCoord:
    plane: SxAsmPlane
    org: SxPos
    zvec: SxVec
    xvec: SxVec


class SxParmPartCoord:
    part: SxEntPart
    org: SxPos
    zvec: SxVec
    xvec: SxVec


class SxParmPartInfEx:
    part: SxEntPart
    info: str


class SxParmPartName:
    part: SxEntPart
    name: str
    comment: str
    filename: str


class SxParmVSCoord:
    vs: SxVS
    org: SxPos
    zvec: SxVec
    xvec: SxVec


class SxPos:
    x: float
    y: float
    z: float
    def getDist(self, p1: SxPos, p2: SxPos) -> float: return sxnet.SxPos.getDist(p1, p2)
    def minus(self, pos1: SxPos, pos2: SxPos) -> SxPos: return sxnet.SxPos.minus(pos1, pos2)
    def minus1(self, vec: SxVec, pos: SxPos) -> SxPos: return sxnet.SxPos.minus(vec, pos)
    def minus2(self, pos: SxPos, vec: SxVec) -> SxPos: return sxnet.SxPos.minus(pos, vec)
    def minus3(self, vec1: SxVec, vec2: SxVec) -> SxPos: return sxnet.SxPos.minus(vec1, vec2)
    def minus4(self, vec: SxVec) -> None: return sxnet.SxPos.minus(vec)
    def minus5(self, pos: SxPos) -> None: return sxnet.SxPos.minus(pos)
    def plus(self, pos1: SxPos, pos2: SxPos) -> SxPos: return sxnet.SxPos.plus(pos1, pos2)
    def plus1(self, vec: SxVec, pos: SxPos) -> SxPos: return sxnet.SxPos.plus(vec, pos)
    def plus2(self, pos: SxPos, vec: SxVec) -> SxPos: return sxnet.SxPos.plus(pos, vec)
    def plus3(self, vec1: SxVec, vec2: SxVec) -> SxPos: return sxnet.SxPos.plus(vec1, vec2)
    def plus4(self, vec: SxVec) -> None: return sxnet.SxPos.plus(vec)
    def plus5(self, pos: SxPos) -> None: return sxnet.SxPos.plus(pos)


class SxPosMDI:
    x: int
    y: int


class SxPosWindow:
    x: int
    y: int


class SxSys:
    STYLE_SOLID: int = sxnet.SxSys.STYLE_SOLID
    STYLE_DASH: int = sxnet.SxSys.STYLE_DASH
    STYLE_ONE_DOT_CHAIN: int = sxnet.SxSys.STYLE_ONE_DOT_CHAIN
    STYLE_TWO_DOT_CHAIN: int = sxnet.SxSys.STYLE_TWO_DOT_CHAIN
    STYLE_DOT: int = sxnet.SxSys.STYLE_DOT
    STYLE_LONG_DASH: int = sxnet.SxSys.STYLE_LONG_DASH
    WIDTH_THIN: int = sxnet.SxSys.WIDTH_THIN
    WIDTH_MIDDLE: int = sxnet.SxSys.WIDTH_MIDDLE
    WIDTH_BOLD: int = sxnet.SxSys.WIDTH_BOLD
    COLOR_WHITE: int = sxnet.SxSys.COLOR_WHITE
    COLOR_RED: int = sxnet.SxSys.COLOR_RED
    COLOR_GREEN: int = sxnet.SxSys.COLOR_GREEN
    COLOR_YELLOW: int = sxnet.SxSys.COLOR_YELLOW
    COLOR_BLUE: int = sxnet.SxSys.COLOR_BLUE
    COLOR_MAGENTA: int = sxnet.SxSys.COLOR_MAGENTA
    COLOR_CYAN: int = sxnet.SxSys.COLOR_CYAN
    COLOR_GRAY: int = sxnet.SxSys.COLOR_GRAY
    COLOR_ORANGE: int = sxnet.SxSys.COLOR_ORANGE
    COLOR_LIGHT_GREEN: int = sxnet.SxSys.COLOR_LIGHT_GREEN
    COLOR_YELLOWISH_GREEN: int = sxnet.SxSys.COLOR_YELLOWISH_GREEN
    COLOR_SKY_BLUE: int = sxnet.SxSys.COLOR_SKY_BLUE
    COLOR_PURPLE: int = sxnet.SxSys.COLOR_PURPLE
    COLOR_BLUE_GREEN: int = sxnet.SxSys.COLOR_BLUE_GREEN
    COLOR_FRESH: int = sxnet.SxSys.COLOR_FRESH
    COLOR_PALE_ORANGE: int = sxnet.SxSys.COLOR_PALE_ORANGE
    COLOR_BLACK: int = sxnet.SxSys.COLOR_BLACK
    COLOR_EXT1: int = sxnet.SxSys.COLOR_EXT1
    COLOR_EXT2: int = sxnet.SxSys.COLOR_EXT2
    COLOR_EXT3: int = sxnet.SxSys.COLOR_EXT3
    COLOR_EXT4: int = sxnet.SxSys.COLOR_EXT4
    COLOR_EXT5: int = sxnet.SxSys.COLOR_EXT5
    COLOR_EXT6: int = sxnet.SxSys.COLOR_EXT6
    COLOR_EXT7: int = sxnet.SxSys.COLOR_EXT7
    COLOR_EXT8: int = sxnet.SxSys.COLOR_EXT8
    COLOR_EXT9: int = sxnet.SxSys.COLOR_EXT9
    COLOR_EXT10: int = sxnet.SxSys.COLOR_EXT10
    COLOR_EXT11: int = sxnet.SxSys.COLOR_EXT11
    COLOR_EXT12: int = sxnet.SxSys.COLOR_EXT12
    COLOR_EXT13: int = sxnet.SxSys.COLOR_EXT13
    COLOR_EXT14: int = sxnet.SxSys.COLOR_EXT14
    COLOR_EXT15: int = sxnet.SxSys.COLOR_EXT15
    ENTMODE_SEG: int = sxnet.SxSys.ENTMODE_SEG
    ENTMODE_PART: int = sxnet.SxSys.ENTMODE_PART
    ENTMODE_MULTI: int = sxnet.SxSys.ENTMODE_MULTI
    MULTI_INIT_SEG: int = sxnet.SxSys.MULTI_INIT_SEG
    MULTI_INIT_PART: int = sxnet.SxSys.MULTI_INIT_PART
    MULTI_INIT_NONE: int = sxnet.SxSys.MULTI_INIT_NONE
    SEARCH_ENT_TYPE_ALL: int = sxnet.SxSys.SEARCH_ENT_TYPE_ALL
    SEARCH_ENT_TYPE_DRAW: int = sxnet.SxSys.SEARCH_ENT_TYPE_DRAW
    SEARCH_ENT_TYPE_DRAFT: int = sxnet.SxSys.SEARCH_ENT_TYPE_DRAFT
    SEARCH_ENT_TYPE_SOLID: int = sxnet.SxSys.SEARCH_ENT_TYPE_SOLID
    CG_MODE_NONE: int = sxnet.SxSys.CG_MODE_NONE
    CG_MODE_SHADE: int = sxnet.SxSys.CG_MODE_SHADE
    CG_MODE_EDGE: int = sxnet.SxSys.CG_MODE_EDGE
    CG_MODE_HIDDEN: int = sxnet.SxSys.CG_MODE_HIDDEN
    def cancel(self) -> None: return sxnet.SxSys.cancel()
    def clearUndo(self) -> None: return sxnet.SxSys.clearUndo()
    def command(self, comstr: list[str], is_macro: bool) -> None: return sxnet.SxSys.command(comstr, is_macro)
    def command1(self, comstr: str, is_macro: bool) -> None: return sxnet.SxSys.command(comstr, is_macro)
    def getAngle(self, obj1: Any, obj2: Any) -> float: return sxnet.SxSys.getAngle(obj1, obj2)
    def getCommand(self) -> str: return sxnet.SxSys.getCommand()
    def getDir(self) -> str: return sxnet.SxSys.getDir()
    def getDispLayer(self) -> list[bool]: return sxnet.SxSys.getDispLayer()
    def getDistance(self, obj1: Any, obj2: Any) -> SxInfDist: return sxnet.SxSys.getDistance(obj1, obj2)
    def getDraftAtr(self) -> SxDraftAtr: return sxnet.SxSys.getDraftAtr()
    def getEdge(self) -> SxEdge: return sxnet.SxSys.getEdge()
    def getEdgeList(self) -> list[SxEdge]: return sxnet.SxSys.getEdgeList()
    def getEnt(self) -> SxEnt: return sxnet.SxSys.getEnt()
    def getEnt1(self, mode: int) -> SxEnt: return sxnet.SxSys.getEnt(mode)
    def getEnt2(self, mode: int, multi_init: int) -> SxEnt: return sxnet.SxSys.getEnt(mode, multi_init)
    def getEntList(self) -> list[SxEnt]: return sxnet.SxSys.getEntList()
    def getEntList1(self, mode: int) -> list[SxEnt]: return sxnet.SxSys.getEntList(mode)
    def getEntList2(self, mode: int, multi_init: int) -> list[SxEnt]: return sxnet.SxSys.getEntList(mode, multi_init)
    def getFace(self) -> SxFace: return sxnet.SxSys.getFace()
    def getFaceList(self) -> list[SxFace]: return sxnet.SxSys.getFaceList()
    def getHitEdgeList(self) -> list[SxEdge]: return sxnet.SxSys.getHitEdgeList()
    def getHitEntSegList(self) -> list[SxEntSeg]: return sxnet.SxSys.getHitEntSegList()
    def getHitFaceList(self) -> list[SxFace]: return sxnet.SxSys.getHitFaceList()
    def getHitPos(self) -> SxPos: return sxnet.SxSys.getHitPos()
    def getInf(self) -> SxInfSys: return sxnet.SxSys.getInf()
    def getInfLayer(self) -> list[SxInfLayer]: return sxnet.SxSys.getInfLayer()
    def getInfMaterials(self) -> list[SxInfMaterial]: return sxnet.SxSys.getInfMaterials()
    def getInfNumBalloons(self, allview: bool) -> list[SxInfNumBalloons]: return sxnet.SxSys.getInfNumBalloons(allview)
    def getInfNumBalloons1(self) -> list[SxInfNumBalloons]: return sxnet.SxSys.getInfNumBalloons()
    def getInfNumEnts(self, layer: bool, allview: bool) -> list[SxInfNumEnts]: return sxnet.SxSys.getInfNumEnts(layer, allview)
    def getInfNumParts(self, allview: bool) -> list[SxInfNumParts]: return sxnet.SxSys.getInfNumParts(allview)
    def getInfNumParts1(self) -> list[SxInfNumParts]: return sxnet.SxSys.getInfNumParts()
    def getLength(self, obj_list: list[Any]) -> float: return sxnet.SxSys.getLength(obj_list)
    def getPos(self) -> SxPos: return sxnet.SxSys.getPos()
    def getPosList(self) -> list[SxPos]: return sxnet.SxSys.getPosList()
    def getSearchColor(self) -> SxInfSearchColor: return sxnet.SxSys.getSearchColor()
    def getSearchEntType(self) -> SxInfSearchEntType: return sxnet.SxSys.getSearchEntType()
    def getSearchLayer(self) -> list[bool]: return sxnet.SxSys.getSearchLayer()
    def getSearchLineStyle(self) -> SxInfSearchLineStyle: return sxnet.SxSys.getSearchLineStyle()
    def getSearchLineWidth(self) -> SxInfSearchLineWidth: return sxnet.SxSys.getSearchLineWidth()
    def init(self, portno: int) -> None: return sxnet.SxSys.init(portno)
    def init1(self, portno: int, disp_msg: bool) -> None: return sxnet.SxSys.init(portno, disp_msg)
    def select(self, opt: SxOptSelect) -> SxInfSelect: return sxnet.SxSys.select(opt)
    def setComMode(self, key: str, mode: bool) -> None: return sxnet.SxSys.setComMode(key, mode)
    def setCoord(self, part: SxEntPart) -> None: return sxnet.SxSys.setCoord(part)
    def setCoordStatus(self, enable: bool) -> None: return sxnet.SxSys.setCoordStatus(enable)
    def setDim(self, is3d: bool) -> None: return sxnet.SxSys.setDim(is3d)
    def setDispLayer(self, layer: int, mode: bool) -> None: return sxnet.SxSys.setDispLayer(layer, mode)
    def setDispLayer1(self, layers: list[int], mode: bool) -> None: return sxnet.SxSys.setDispLayer(layers, mode)
    def setDraftAtr(self, atr: SxDraftAtr) -> None: return sxnet.SxSys.setDraftAtr(atr)
    def setGrid(self, distance: float) -> None: return sxnet.SxSys.setGrid(distance)
    def setLayer(self, layer: int) -> None: return sxnet.SxSys.setLayer(layer)
    def setLayerName(self, layer: int, name: str) -> None: return sxnet.SxSys.setLayerName(layer, name)
    def setMkupDraftAtr(self, height: float, width_ratio: float, space_ratio: float) -> None: return sxnet.SxSys.setMkupDraftAtr(height, width_ratio, space_ratio)
    def setPenColor(self, color: int) -> None: return sxnet.SxSys.setPenColor(color)
    def setPenStyle(self, style: int) -> None: return sxnet.SxSys.setPenStyle(style)
    def setPenWidth(self, width: int) -> None: return sxnet.SxSys.setPenWidth(width)
    def setScale(self, scale: float) -> None: return sxnet.SxSys.setScale(scale)
    def setSearchColor(self, inf: SxInfSearchColor) -> None: return sxnet.SxSys.setSearchColor(inf)
    def setSearchColor1(self, status: bool) -> None: return sxnet.SxSys.setSearchColor(status)
    def setSearchEntType(self, inf: SxInfSearchEntType) -> None: return sxnet.SxSys.setSearchEntType(inf)
    def setSearchEntType1(self, inf: SxInfSearchEntTypeDraw) -> None: return sxnet.SxSys.setSearchEntType(inf)
    def setSearchEntType2(self, inf: SxInfSearchEntTypeDraft) -> None: return sxnet.SxSys.setSearchEntType(inf)
    def setSearchEntType3(self, inf: SxInfSearchEntTypeSolid) -> None: return sxnet.SxSys.setSearchEntType(inf)
    def setSearchEntType4(self, mode: int, onoff: bool) -> None: return sxnet.SxSys.setSearchEntType(mode, onoff)
    def setSearchLayer(self, layer: int, mode: bool) -> None: return sxnet.SxSys.setSearchLayer(layer, mode)
    def setSearchLayer1(self, layers: list[int], mode: bool) -> None: return sxnet.SxSys.setSearchLayer(layers, mode)
    def setSearchLineStyle(self, inf: SxInfSearchLineStyle) -> None: return sxnet.SxSys.setSearchLineStyle(inf)
    def setSearchLineStyle1(self, status: bool) -> None: return sxnet.SxSys.setSearchLineStyle(status)
    def setSearchLineWidth(self, inf: SxInfSearchLineWidth) -> None: return sxnet.SxSys.setSearchLineWidth(inf)
    def setSearchLineWidth1(self, status: bool) -> None: return sxnet.SxSys.setSearchLineWidth(status)
    def setShade(self, shade: bool, mode: int) -> None: return sxnet.SxSys.setShade(shade, mode)
    def setShade1(self, shade: bool) -> None: return sxnet.SxSys.setShade(shade)
    def setShadeMode(self, mode: int) -> None: return sxnet.SxSys.setShadeMode(mode)
    def setWindowStatus(self, mode: int) -> None: return sxnet.SxSys.setWindowStatus(mode)


class SxVS:
    TYPE_WORK_VS: int = sxnet.SxVS.TYPE_WORK_VS
    TYPE_GLOBAL_VIEW: int = sxnet.SxVS.TYPE_GLOBAL_VIEW
    TYPE_VIEW: int = sxnet.SxVS.TYPE_VIEW
    TYPE_LOCAL_VIEW: int = sxnet.SxVS.TYPE_LOCAL_VIEW
    VIEW_TOP: int = sxnet.SxVS.VIEW_TOP
    VIEW_FRONT: int = sxnet.SxVS.VIEW_FRONT
    VIEW_RIGHT: int = sxnet.SxVS.VIEW_RIGHT
    VIEW_LEFT: int = sxnet.SxVS.VIEW_LEFT
    VIEW_BACK: int = sxnet.SxVS.VIEW_BACK
    VIEW_BOTTOM: int = sxnet.SxVS.VIEW_BOTTOM
    Type: int
    def close(self) -> None: return sxnet.SxVS.close()
    def convExtent(self, box: SxBox) -> SxBox: return sxnet.SxVS.convExtent(box)
    def convPos(self, mode: bool, pos: SxPos) -> SxPos: return sxnet.SxVS.convPos(mode, pos)
    def delete(self) -> None: return sxnet.SxVS.delete()
    def deleteDraftLine(self) -> None: return sxnet.SxVS.deleteDraftLine()
    def getActive(self) -> SxVS: return sxnet.SxVS.getActive()
    def getEntList(self, p1: SxPos, p2: SxPos, part: bool, cross: bool) -> list[SxEnt]: return sxnet.SxVS.getEntList(p1, p2, part, cross)
    def getExtent(self) -> SxBox: return sxnet.SxVS.getExtent()
    def getGrp(self, name: str) -> SxEntGrp: return sxnet.SxVS.getGrp(name)
    def getGrpList(self) -> list[SxEntGrp]: return sxnet.SxVS.getGrpList()
    def getInf(self) -> SxInfVS: return sxnet.SxVS.getInf()
    def getModel(self) -> SxModel: return sxnet.SxVS.getModel()
    def getRPartList(self, name: str) -> list[SxEntRPart]: return sxnet.SxVS.getRPartList(name)
    def getRPartList1(self) -> list[SxEntRPart]: return sxnet.SxVS.getRPartList()
    def getReferList(self, visi: bool) -> list[SxEntRefer]: return sxnet.SxVS.getReferList(visi)
    def getSegList(self, offset: int, num: int, visi: bool, part: bool, layer: bool, type: bool) -> list[SxEntSeg]: return sxnet.SxVS.getSegList(offset, num, visi, part, layer, type)
    def getSegList1(self, offset: int, num: int, visi: bool, part: bool) -> list[SxEntSeg]: return sxnet.SxVS.getSegList(offset, num, visi, part)
    def getViewName(self, viewtype: int) -> str: return sxnet.SxVS.getViewName(viewtype)
    def getWindow(self) -> SxWindow: return sxnet.SxVS.getWindow()
    def get_Type(self) -> int: return sxnet.SxVS.get_Type()
    def isEqual(self, vs: SxVS) -> bool: return sxnet.SxVS.isEqual(vs)
    def isValid(self) -> bool: return sxnet.SxVS.isValid()
    def move(self, pos: SxPos) -> None: return sxnet.SxVS.move(pos)
    def rotate(self, angle: float, mode: bool) -> None: return sxnet.SxVS.rotate(angle, mode)
    def setActive(self) -> SxWindow: return sxnet.SxVS.setActive()
    def setActive1(self, new_window: bool) -> SxWindow: return sxnet.SxVS.setActive(new_window)
    def setComment(self, comment: str) -> None: return sxnet.SxVS.setComment(comment)
    def setCoord(self, org: SxPos, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxVS.setCoord(org, zvec, xvec)
    def setCoord1(self, parmlist: list[SxParmVSCoord]) -> None: return sxnet.SxVS.setCoord(parmlist)
    def setName(self, name: str) -> None: return sxnet.SxVS.setName(name)
    def setOrigin(self, pos: SxPos, mode: bool) -> None: return sxnet.SxVS.setOrigin(pos, mode)
    def setScale(self, scale: float, move_view: bool) -> None: return sxnet.SxVS.setScale(scale, move_view)


class SxVec:
    x: float
    y: float
    z: float
    def cross(self, vec1: SxVec, vec2: SxVec) -> SxVec: return sxnet.SxVec.cross(vec1, vec2)
    def dot(self, vec1: SxVec, vec2: SxVec) -> float: return sxnet.SxVec.dot(vec1, vec2)
    def getLeng(self) -> float: return sxnet.SxVec.getLeng()
    def isNormal(self) -> bool: return sxnet.SxVec.isNormal()
    def minus(self, vec1: SxVec, vec2: SxVec) -> SxVec: return sxnet.SxVec.minus(vec1, vec2)
    def minus1(self, vec: SxVec, pos: SxPos) -> SxVec: return sxnet.SxVec.minus(vec, pos)
    def minus2(self, pos: SxPos, vec: SxVec) -> SxVec: return sxnet.SxVec.minus(pos, vec)
    def minus3(self, pos1: SxPos, pos2: SxPos) -> SxVec: return sxnet.SxVec.minus(pos1, pos2)
    def minus4(self, vec: SxVec) -> None: return sxnet.SxVec.minus(vec)
    def minus5(self, pos: SxPos) -> None: return sxnet.SxVec.minus(pos)
    def multi(self, vec: SxVec, rm: SxMatrix3) -> SxVec: return sxnet.SxVec.multi(vec, rm)
    def multi1(self, rm: SxMatrix3) -> None: return sxnet.SxVec.multi(rm)
    def normalize(self) -> None: return sxnet.SxVec.normalize()
    def plus(self, vec1: SxVec, vec2: SxVec) -> SxVec: return sxnet.SxVec.plus(vec1, vec2)
    def plus1(self, vec: SxVec, pos: SxPos) -> SxVec: return sxnet.SxVec.plus(vec, pos)
    def plus2(self, pos: SxPos, vec: SxVec) -> SxVec: return sxnet.SxVec.plus(pos, vec)
    def plus3(self, pos1: SxPos, pos2: SxPos) -> SxVec: return sxnet.SxVec.plus(pos1, pos2)
    def plus4(self, vec: SxVec) -> None: return sxnet.SxVec.plus(vec)
    def plus5(self, pos: SxPos) -> None: return sxnet.SxVec.plus(pos)


class SxWF:
    TYPE_WORK_WF: int = sxnet.SxWF.TYPE_WORK_WF
    TYPE_GLOBAL_WF: int = sxnet.SxWF.TYPE_GLOBAL_WF
    Type: int
    def close(self) -> None: return sxnet.SxWF.close()
    def delete(self) -> None: return sxnet.SxWF.delete()
    def deleteInfExTopPart(self) -> None: return sxnet.SxWF.deleteInfExTopPart()
    def deleteInfPurchasedTopPart(self) -> None: return sxnet.SxWF.deleteInfPurchasedTopPart()
    def exec3DParametric(self, inf: list[SxInf3DParam]) -> None: return sxnet.SxWF.exec3DParametric(inf)
    def exec3DParametric1(self, csvfile: str) -> None: return sxnet.SxWF.exec3DParametric(csvfile)
    def getActive(self) -> SxWF: return sxnet.SxWF.getActive()
    def getAsmPlaneList(self) -> list[SxAsmPlane]: return sxnet.SxWF.getAsmPlaneList()
    def getEntList(self, box: SxBox, part: bool) -> list[SxEnt]: return sxnet.SxWF.getEntList(box, part)
    def getEntList1(self, box: SxBox, part: bool, org: SxPos, zvec: SxVec, xvec: SxVec) -> list[SxEnt]: return sxnet.SxWF.getEntList(box, part, org, zvec, xvec)
    def getExtent(self) -> SxBox: return sxnet.SxWF.getExtent()
    def getGrp(self, name: str) -> SxEntGrp: return sxnet.SxWF.getGrp(name)
    def getGrpList(self) -> list[SxEntGrp]: return sxnet.SxWF.getGrpList()
    def getInf(self) -> SxInfWF: return sxnet.SxWF.getInf()
    def getInf3DParametric(self) -> list[SxInf3DParam]: return sxnet.SxWF.getInf3DParametric()
    def getInfExTopPart(self) -> str: return sxnet.SxWF.getInfExTopPart()
    def getInfPartTree(self) -> SxInfPartTree: return sxnet.SxWF.getInfPartTree()
    def getInfPurchasedTopPart(self) -> SxInfPurchased: return sxnet.SxWF.getInfPurchasedTopPart()
    def getInfRefTopPart(self, attr_name: str) -> str: return sxnet.SxWF.getInfRefTopPart(attr_name)
    def getModel(self) -> SxModel: return sxnet.SxWF.getModel()
    def getModifiedPartList(self) -> list[SxEntPart]: return sxnet.SxWF.getModifiedPartList()
    def getPartList(self, name: str) -> list[SxEntPart]: return sxnet.SxWF.getPartList(name)
    def getPartList1(self) -> list[SxEntPart]: return sxnet.SxWF.getPartList()
    def getPartNew(self, name: str) -> SxEntPart: return sxnet.SxWF.getPartNew(name)
    def getSegList(self, offset: int, num: int, visi: bool, part: bool) -> list[SxEntSeg]: return sxnet.SxWF.getSegList(offset, num, visi, part)
    def getSegList1(self, offset: int, num: int, visi: bool, part: bool, layer: bool, type: bool) -> list[SxEntSeg]: return sxnet.SxWF.getSegList(offset, num, visi, part, layer, type)
    def getTopPartList(self) -> list[SxEntPart]: return sxnet.SxWF.getTopPartList()
    def getTopSegList(self, offset: int, num: int, visi: bool) -> list[SxEntSeg]: return sxnet.SxWF.getTopSegList(offset, num, visi)
    def getTopSegList1(self, offset: int, num: int, visi: bool, layer: bool, type: bool) -> list[SxEntSeg]: return sxnet.SxWF.getTopSegList(offset, num, visi, layer, type)
    def getWindow(self) -> SxWindow: return sxnet.SxWF.getWindow()
    def get_Type(self) -> int: return sxnet.SxWF.get_Type()
    def isEqual(self, wf: SxWF) -> bool: return sxnet.SxWF.isEqual(wf)
    def isTopPartModified(self) -> bool: return sxnet.SxWF.isTopPartModified()
    def isValid(self) -> bool: return sxnet.SxWF.isValid()
    def project3D2DIsome_2(self, opt: SxOpt3D2D_2, base_pnt: SxPos, pnt_2d: SxPos) -> None: return sxnet.SxWF.project3D2DIsome_2(opt, base_pnt, pnt_2d)
    def project3D2D_2(self, opt: SxOpt3D2D_2) -> None: return sxnet.SxWF.project3D2D_2(opt)
    def setActive(self) -> SxWindow: return sxnet.SxWF.setActive()
    def setActive1(self, new_window: bool) -> SxWindow: return sxnet.SxWF.setActive(new_window)
    def setCoordTopPart(self, pos: SxPos, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxWF.setCoordTopPart(pos, zvec, xvec)
    def setDisp3DParamDim(self, visi: bool) -> None: return sxnet.SxWF.setDisp3DParamDim(visi)
    def setInfExTopPart(self, info: str) -> None: return sxnet.SxWF.setInfExTopPart(info)
    def setInfPurchasedTopPart(self, info: SxInfPurchased) -> None: return sxnet.SxWF.setInfPurchasedTopPart(info)
    def setInfRefTopPart(self, info: str, attr_name: str) -> None: return sxnet.SxWF.setInfRefTopPart(info, attr_name)
    def setName(self, name: str) -> None: return sxnet.SxWF.setName(name)
    def setNameTopPart(self, name: str, comment: str) -> None: return sxnet.SxWF.setNameTopPart(name, comment)
    def setStatus3DParametric(self, inf: list[SxInf3DParam]) -> None: return sxnet.SxWF.setStatus3DParametric(inf)


class SxWindow:
    STATUS_NORMAL: int = sxnet.SxWindow.STATUS_NORMAL
    STATUS_ICON: int = sxnet.SxWindow.STATUS_ICON
    STATUS_MAX: int = sxnet.SxWindow.STATUS_MAX
    VIEW_TOP: int = sxnet.SxWindow.VIEW_TOP
    VIEW_FRONT: int = sxnet.SxWindow.VIEW_FRONT
    VIEW_RIGHT: int = sxnet.SxWindow.VIEW_RIGHT
    VIEW_LEFT: int = sxnet.SxWindow.VIEW_LEFT
    VIEW_BACK: int = sxnet.SxWindow.VIEW_BACK
    VIEW_BOTTOM: int = sxnet.SxWindow.VIEW_BOTTOM
    No: int
    def close(self) -> None: return sxnet.SxWindow.close()
    def close1(self, ask: bool) -> None: return sxnet.SxWindow.close(ask)
    def create(self) -> SxWindow: return sxnet.SxWindow.create()
    def delete(self) -> None: return sxnet.SxWindow.delete()
    def delete1(self, ask: bool) -> None: return sxnet.SxWindow.delete(ask)
    def getActive(self) -> SxWindow: return sxnet.SxWindow.getActive()
    def getActiveAsmPlane(self) -> SxAsmPlane: return sxnet.SxWindow.getActiveAsmPlane()
    def getAsmPlaneList(self, all: bool) -> list[SxAsmPlane]: return sxnet.SxWindow.getAsmPlaneList(all)
    def getCoordVirtual(self, winpos: SxPosWindow) -> SxPos: return sxnet.SxWindow.getCoordVirtual(winpos)
    def getInf(self) -> SxInfWindow: return sxnet.SxWindow.getInf()
    def getMDIRect(self) -> list[SxPosMDI]: return sxnet.SxWindow.getMDIRect()
    def getMatrix(self) -> SxMatrix3: return sxnet.SxWindow.getMatrix()
    def getStatusAsmPlane(self, plane: SxAsmPlane) -> int: return sxnet.SxWindow.getStatusAsmPlane(plane)
    def getStatusAsmPlane1(self, plane_list: list[SxAsmPlane]) -> list[int]: return sxnet.SxWindow.getStatusAsmPlane(plane_list)
    def getWindowList(self) -> list[SxWindow]: return sxnet.SxWindow.getWindowList()
    def get_No(self) -> int: return sxnet.SxWindow.get_No()
    def isEqual(self, window: SxWindow) -> bool: return sxnet.SxWindow.isEqual(window)
    def move(self, mdi_pos: SxPosMDI) -> None: return sxnet.SxWindow.move(mdi_pos)
    def pan(self, center: SxPos) -> None: return sxnet.SxWindow.pan(center)
    def resize(self, mdi_pos1: SxPosMDI, width: int, height: int) -> None: return sxnet.SxWindow.resize(mdi_pos1, width, height)
    def rotate(self, zvec: SxVec, xvec: SxVec) -> None: return sxnet.SxWindow.rotate(zvec, xvec)
    def rotate1(self, rm: SxMatrix3) -> None: return sxnet.SxWindow.rotate(rm)
    def setActive(self) -> None: return sxnet.SxWindow.setActive()
    def setActiveAsmPlane(self, plane: SxAsmPlane) -> None: return sxnet.SxWindow.setActiveAsmPlane(plane)
    def setDim(self, is3d: bool) -> None: return sxnet.SxWindow.setDim(is3d)
    def setInvisibleExcAsmPlane(self, plane: SxAsmPlane) -> None: return sxnet.SxWindow.setInvisibleExcAsmPlane(plane)
    def setStatus(self, status: int) -> None: return sxnet.SxWindow.setStatus(status)
    def setSysView(self, view: int) -> None: return sxnet.SxWindow.setSysView(view)
    def setUserView(self, view: int) -> None: return sxnet.SxWindow.setUserView(view)
    def setVS(self, vs: SxVS) -> None: return sxnet.SxWindow.setVS(vs)
    def setVisibleAsmPlane(self, plane: SxAsmPlane, visi: bool) -> None: return sxnet.SxWindow.setVisibleAsmPlane(plane, visi)
    def setWF(self, wf: SxWF) -> None: return sxnet.SxWindow.setWF(wf)
    def zoom(self, ratio: float) -> None: return sxnet.SxWindow.zoom(ratio)
    def zoom1(self, p1: SxPos, p2: SxPos) -> None: return sxnet.SxWindow.zoom(p1, p2)
    def zoomful(self) -> None: return sxnet.SxWindow.zoomful()


class ZSxAnimation:
    Is_Playing: bool
    def end(self) -> None: return sxnet.ZSxAnimation.end()
    def get_Is_Playing(self) -> bool: return sxnet.ZSxAnimation.get_Is_Playing()
    def modify(self, optlist: list[ZSxOptAnimation]) -> int: return sxnet.ZSxAnimation.modify(optlist)
    def start(self, optlist: list[ZSxOptAnimation]) -> None: return sxnet.ZSxAnimation.start(optlist)


class ZSxAssyProc:
    def check(self, partlist: list[SxEntPart], check: bool, sort: bool) -> None: return sxnet.ZSxAssyProc.check(partlist, check, sort)


class ZSxInfAssyProc:
    name: str
    comment: str
    is_checked: bool


class ZSxLabel:
    def create(self, part: SxEntPart, pnt: SxPos, color: int, text: str) -> ZSxLabel: return sxnet.ZSxLabel.create(part, pnt, color, text)
    def delete(self, labellist: list[ZSxLabel]) -> None: return sxnet.ZSxLabel.delete(labellist)
    def delete1(self) -> None: return sxnet.ZSxLabel.delete()


class ZSxOptAnimation:
    ent: SxEnt
    org: SxPos
    zvec: SxVec
    xvec: SxVec
    color: int

